package com.emr.controller;

import com.alibaba.fastjson.JSON;
import com.emr.entity.ArchiveRemindDeptUser;
import com.emr.entity.ArchiveTransferDeptUser;
import com.emr.service.ArchiveTransferDeptUserService;
import com.emr.util.ExceptionPrintUtil;
import com.emr.util.Msg;
import com.emr.vo.CommomTree;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @ProjectName:
 * @Description:
 * @Param 传输参数
 * @Return
 * @Author: 曾文和
 * @CreateDate: 2020/11/5 17:07
 * @UpdateUser: 曾文和
 * @UpdateDate: 2020/11/5 17:07
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
@Controller
@RequestMapping("transferDeptUser")
public class ArchiveTransferDeptUserController {
    @Autowired
    private ArchiveTransferDeptUserService transferDeptUserService;
    /**
     * 科室用户树
     * @return
     */
    @RequestMapping(value="selectTranferDeptUserTree",method = RequestMethod.POST)
    @ResponseBody
    public List<CommomTree> selectTranferDeptUserTree(String deptName, String masterId){
        try {
            return transferDeptUserService.selectTranferDeptUserTree(deptName,masterId);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    /**
     * 保存选中项
     * @return
     */
    @RequestMapping(value="updateTransferDeptUserSet")
    @ResponseBody
    public Msg updateTransferDeptUserSet(String jsonStr, HttpServletRequest request) throws Exception{
        //json字符串转换成list集合
        List<ArchiveTransferDeptUser> list = JSON.parseArray(jsonStr, ArchiveTransferDeptUser.class);
        //批量添加
        transferDeptUserService.updateTransferDeptUserSet(list,request);
        return Msg.success();
    }
}
