package com.emr.controller;

import com.emr.dao.Emr_Commom_SetMapper;
import com.emr.entity.EmrHolidaySetVo;
import com.emr.entity.Emr_Commom_Set;
import com.emr.entity.OffsetLimitPage;
import com.emr.service.ipml.HolidaySetService;
import com.emr.util.ExceptionPrintUtil;
import com.emr.util.Msg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping("holidaySet/")
public class HolidaySetController {
    @Autowired
    private HolidaySetService holidaySetService;
    @Autowired
    private Emr_Commom_SetMapper commomSetMapper;
    @RequestMapping("holidaySetList")
    public String holidaySetList(Model model){
        Emr_Commom_Set obj = commomSetMapper.selectByPrimaryKey(1);
        model.addAttribute("commomSet",obj);
        return "holidaySetDir/holidaySetList";
    }

    @ResponseBody
    @RequestMapping(value = "getHolidaySetList")
    public OffsetLimitPage getHolidaySetList(EmrHolidaySetVo holidaySetVo) {
        try {
            return holidaySetService.selectByColumn(holidaySetVo);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    @RequestMapping("save")
    @ResponseBody
    public Msg save(String startTime,String endTime,String checkBoxes,Integer flag) throws Exception{
        holidaySetService.update(startTime, endTime, checkBoxes, flag);
        return Msg.success();
    }

    @RequestMapping("update")
    @ResponseBody
    public Msg update(Integer flag,Integer id) throws Exception{
        if(flag != null) {
            holidaySetService.update(flag, id);
            return Msg.success();
        }else{
            return Msg.fail("工作日状态不能为空!");
        }
    }
}
