package com.emr.controller;

import com.alibaba.fastjson.JSONObject;
import com.emr.entity.Power_User;
import com.emr.service.ipml.CommomService;
import com.emr.util.ActionScopeUtils;
import com.emr.util.HttpClientUtils;
import com.emr.vo.User;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.apache.commons.lang3.StringUtils;
import org.apache.cxf.endpoint.Client;
import org.apache.shiro.SecurityUtils;
import org.apache.shiro.authc.UsernamePasswordToken;
import org.apache.shiro.subject.Subject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @author HJL
 * @create 2019/4/29
 */
@Controller
public class LoginController {
    @Value("${TOKEN_EXPIRE_TIME}")
    private long TOKEN_EXPIRE_TIME;
    @Value("${STR_SPLIT}")
    private String STR_SPLIT;
    @Value("${POWER_URLHEAD}")
    private String POWER_URLHEAD;
    @Value("${POWER_JSP}")
    private String POWER_JSP;
    @Value("${WEBSOCKET_URLHEAD}")
    private String WEBSOCKET_URLHEAD;

    @Value("${powerUrl}")
    private String powerUrl;

    @RequestMapping(value = "/toLogin")
    public String toLogin() {
        return "redirect:/login.jsp";
    }

    @Autowired
    private CommomService commomService;

    //实现用户登录@PathVariable("username")
    @RequestMapping(value = "/login")
    public String login(Model model, HttpServletRequest request) throws Exception{
        String token = request.getParameter("token");
        String userName = request.getParameter("userName");
        String flag = request.getParameter("flag");
        if(StringUtils.isNoneBlank(token)){
                //高明归档特殊token=1462903487866169011
                if("1462903487866169011".equals(token)){
                //请求权限系统根据用户名登录换取token
                String requestUrl = POWER_URLHEAD + "/font/getToken?userName="+userName+"&password="+token;
                JSONObject obj = HttpClientUtils.httpGet(requestUrl);
                if(obj!=null) {
                    if ("100".equals(obj.getString("code"))) {
                        JSONObject extend = obj.getJSONObject("extend");
                        token = extend.getString("token");
                    }
                }
            }
            Object[] objects = new Object[0];
            Client client = null;
            try {
                JAXDynamicClientFactory dcf = JAXDynamicClientFactory.newInstance();
                client = dcf.createClient(POWER_URLHEAD + "/WebService/PowerWebService?wsdl");
                objects = client.invoke("getInfosByUserId", token, "emr_medical_record");
            } catch (Exception e) {
                e.printStackTrace();
            } finally {
                if(null != client) {
                    client.destroy();
                }
            }
            ObjectMapper mapper = new ObjectMapper();
            Power_User powerUser = mapper.readValue(objects[0].toString(), Power_User.class);
            if (null == powerUser.getUserId()) {
                return "redirect:"+POWER_URLHEAD+"/login";
            }
            UsernamePasswordToken userToken = new UsernamePasswordToken(userName, "123456");
            Subject subject = SecurityUtils.getSubject();
            subject.login(userToken);
            request.getSession().setAttribute("POWER_URLHEAD", POWER_URLHEAD);
            request.getSession().setAttribute("POWER_JSP", POWER_JSP);
            //传递通知需要的数据
            request.getSession().setAttribute("WEBSOCKET_URLHEAD", WEBSOCKET_URLHEAD);
            request.getSession().setAttribute("STR_SPLIT", STR_SPLIT);
            //设置进session
            ActionScopeUtils.setSessionAttribute("token",token,Integer.valueOf(String.valueOf(TOKEN_EXPIRE_TIME)));
            ActionScopeUtils.setSessionAttribute("CURRENT_USER",powerUser,Integer.valueOf(String.valueOf(TOKEN_EXPIRE_TIME)));
        }else{
            return "redirect:"+POWER_URLHEAD+"/login";
        }
        String contextPath = request.getScheme()+"://"+request.getServerName()+":"
                +request.getServerPort() + request.getContextPath();
        if("2".equals(flag)){
            return "redirect:" + contextPath + "/font/recordPage";
        }else {
            return "redirect:" + contextPath + "/index";
        }
     }

    @RequestMapping(value = "/index")
    public String index() {
        return "index";
    }

}
 

