/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 14:39
 * Description:病案终审退回
 */
package com.emr.controller;

import com.emr.dao.Archive_MasterMapper;
import com.emr.entity.*;
import com.emr.service.Archive_MasterService;
import com.emr.service.ipml.ArchiveCallbackInfoService;
import com.emr.util.ExceptionPrintUtil;
import com.emr.util.ExportExcelUtil;
import com.emr.util.Msg;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

@PropertySource(value = "classpath:config/jdbc.properties", encoding = "UTF-8")
@Controller
@RequestMapping("/medicalRecall")
public class MedicalRecallController {
    @Autowired
    private Archive_MasterMapper archiveMasterMapper;

    @Autowired
    private Archive_MasterService archiveMasterService;

    @Autowired
    private ArchiveCallbackInfoService callbackInfoService;

    @Value("${recallReason}")
    private String recallReason;

    @RequestMapping(value = "/recall")
    public String recall() {
        return "medicalRecallDir/medicalRecallList";
    }


    /**
     * 病案终审退回
     * */
    @ResponseBody
    @RequestMapping(value = "/recallList")
    public OffsetLimitPage recallList(Archive_Master_Vo master, Integer offset, Integer limit) {
        //查询已归档记录
        try {
            return archiveMasterService.selectFiled(master, offset, limit);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    @ResponseBody
    @RequestMapping(value = "/exportExcel")
    public void exportExcel(HttpServletResponse response, Archive_Master_Vo master){
        String tableThNames = "住院号,住院次数,名字,性别,入院科室,入院日期,出院科室,出院日期,上次召回状态,归档状态,终审工号";
        String fieldCns = "inpNo,visitId,name,sex,deptAdmissionTo,admissionDateTime,deptName,dischargeDateTime,status,archivestate,checkedDoctor";
        try {
            List<Archive_Master_Vo> list = archiveMasterMapper.selectFiled(master);
            //文件名
            String fileName = "归档记录" + new SimpleDateFormat("yyyyMMddHHmmss").format(new Date()) + ".xls";
            //ExportExcelUtil
            ExportExcelUtil exportExcelUtil = new ExportExcelUtil();
            //导出excel的操作
            exportExcelUtil.expordExcel(tableThNames,fieldCns,list,fileName,response);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }
    }

    @ResponseBody
    @RequestMapping(value = "/updateState")
    public Msg updateState(HttpServletRequest request,ArchiveCallbackInfo callbackInfo) throws Exception{
        boolean flag = FormTokenFlagUtil.isFlag(request);
        if (!flag) {
            return Msg.fail("请不要重复提交!");
        }
        if(StringUtils.isBlank(callbackInfo.getCallbackReason())){
            callbackInfo.setCallbackReason(recallReason);
        }
        callbackInfoService.insertCallbackInfoService(callbackInfo);
        return Msg.success();
    }
}
 

