package com.emr.controller;

import com.emr.entity.EmrPaperPositionDictionary;
import com.emr.entity.EmrPaperPositionInfo;
import com.emr.service.ipml.PaperPostionService;
import com.emr.util.ExceptionPrintUtil;
import com.emr.util.Msg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.List;

@Controller
@RequestMapping("paperPostion")
public class PaperPostionController {
    @Autowired
    private PaperPostionService paperPostionService;
    @RequestMapping("selectPaperPositonDictionary")
    @ResponseBody
    public List<EmrPaperPositionDictionary> selectPaperPositonDictionary(){
        try{
            return paperPostionService.selectPaperPositonDictionary();
        }catch (Exception e){
            e.printStackTrace();
            ExceptionPrintUtil.printException(e);
            return null;
        }
    }

    @RequestMapping("updatePaperPostion")
    @ResponseBody
    public Msg updatePaperPostion(EmrPaperPositionInfo obj) throws Exception{
        paperPostionService.updatePaperPostion(obj);
        return Msg.success();
    }
}
