package com.emr.controller;

import com.emr.entity.Archive_Master_Vo;
import com.emr.entity.CollectorStatus;
import com.emr.entity.OffsetLimitPage;
import com.emr.service.ipml.StatisticsService;
import com.emr.util.ExceptionPrintUtil;
import com.emr.util.ExportExcelUtil1;
import com.emr.vo.*;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

/**
 * @ProjectName:
 * @Description:
 * @Param 传输参数
 * @Return
 * @Author: 曾文和
 * @CreateDate: 2020/1/8 14:52
 * @UpdateUser: 曾文和
 * @UpdateDate: 2020/1/8 14:52
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
@Controller
@RequestMapping("statistics/")
public class StatisticsController {
    @Autowired
    private StatisticsService statisticsService;
    //终审按天统计
    @RequestMapping("finalStatistics")
    public String finalStatistics(){
        return "statistics/finalStatistics";
    }

    //终审明细
    @RequestMapping("finalStatisticsDetail")
    public String finalStatisticsDetail(){
        return "statistics/finalStatisticsDetail";
    }

    //初审按天统计
    @RequestMapping("firstStatistics")
    public String firstStatistics(){
        return "statistics/firstStatistics";
    }

    //初审终审明细
    @RequestMapping("statisticsDetail")
    public String statisticsDetail(){
        return "statistics/statisticsDetail";
    }

    //复印记录报表
    @RequestMapping("printCount")
    public String printCount(){
        return "statistics/printCount";
    }

    //采集器状态
    @RequestMapping("collectorStatus")
    public String collectorStatus(){
        return "statistics/collectorStatus";
    }



    //复印记录明细
    @RequestMapping("printInfo")
    public String printInfo(){
        return "statistics/printInfo";
    }


    //扫描上传记录报表
    @RequestMapping("scanCount")
    public String scanCount(Model model,String startDateTo,String endDateTo){
        model.addAttribute("startDate",startDateTo);
        model.addAttribute("endDate",endDateTo);
        return "statistics/scanCount";
    }

    //扫描上传明细
    @RequestMapping("scanInfo")
    public String scanInfo(){
        return "statistics/scanInfo";
    }

    //终审按天统计
    @RequestMapping("getFinalStatistics")
    @ResponseBody
    public OffsetLimitPage getFinalStatistics(Integer offset, Integer limit, String startDate, String endDate,Integer isSearch){
        //判断是否是初始化查询，是初始化查询把开始结束时间置空
        if(isSearch == 0){
            startDate = null;
            endDate = null;
        }
        try {
            List<FinalAndFirstStatistics> list = statisticsService.getFinalStatistics(offset, limit, startDate, endDate,null);
            return new OffsetLimitPage((Page)list);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    //初审按天统计
    @RequestMapping("getFirstStatistics")
    @ResponseBody
    public OffsetLimitPage getFirstStatistics(HttpServletRequest request,Integer offset, Integer limit, String startDate, String endDate,Integer isSearch){
        //判断是否是初始化查询，是初始化查询把开始结束时间置空
        if(isSearch == 0){
            startDate = null;
            endDate = null;
        }
        try {
            List<FinalAndFirstStatistics> list = statisticsService.getFirstStatistics( offset, limit, startDate, endDate,null);
            return new OffsetLimitPage((Page) list);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    //审核明细
    @RequestMapping("getStatisticsDetail")
    @ResponseBody
    public OffsetLimitPage getStatisticsDetail(Integer offset, Integer limit,String disStartDate, String disEndDate, Archive_Master_Vo archiveMasterVo,Integer flag,Integer isSearch){
        //判断是否是初始化查询，是初始化查询把开始结束时间置空
        if(isSearch == 0){
            disStartDate = null;
            disEndDate = null;
            archiveMasterVo.setStartDate(null);
            archiveMasterVo.setEndDate(null);
        }
        try {
            return statisticsService.getStatisticsDetail(offset,limit,disStartDate,disEndDate,archiveMasterVo,flag);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    //导出终审统计
    @RequestMapping("exportExcelFinalStatistics")
    @ResponseBody
    public void exportExcelFinalStatistics(HttpServletResponse response,Integer offset, Integer limit, String startDate, String endDate,String sql,Integer isSearch){
        //全部明细
        String  tableThNames = "工号,姓名,终审日期,终审数量";
        String  fieldCns = "checkCode,checkName,createTime,count";
        //判断是否是初始化查询，是初始化查询把开始结束时间置空
        if(isSearch == 0){
            startDate = null;
            endDate = null;
        }
        try {
            List<FinalAndFirstStatistics> list = statisticsService.getFinalStatistics(offset, limit, startDate, endDate,sql);
            //文件名
            String fileName = "终审记录统计报表(" + new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()) + ").xls";
            //ExportExcelUtil
            ExportExcelUtil1 exportExcelUtil = new ExportExcelUtil1();
            //导出excel的操作
            exportExcelUtil.expordExcel(tableThNames,fieldCns,list,fileName,response);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }
    }

    //导出初审统计
    @RequestMapping("exportExcelFirstStatistics")
    @ResponseBody
    public void exportExcelFirstStatistics(HttpServletRequest request,HttpServletResponse response,Integer offset, Integer limit, String startDate, String endDate,String sql,Integer isSearch){
        //全部明细
        String  tableThNames = "工号,姓名,审核日期,审核数量";
        String  fieldCns = "checkCode,checkName,createTime,count";
        //判断是否是初始化查询，是初始化查询把开始结束时间置空
        if(isSearch == 0){
            startDate = null;
            endDate = null;
        }
        try {
            List<FinalAndFirstStatistics> list = statisticsService.getFirstStatistics(offset, limit, startDate, endDate,sql);
            //文件名
            String fileName = "病案室审核记录统计表(" + new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()) + ").xls";
            //ExportExcelUtil
            ExportExcelUtil1 exportExcelUtil = new ExportExcelUtil1();
            //导出excel的操作
            exportExcelUtil.expordExcel(tableThNames,fieldCns,list,fileName,response);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }
    }

    //导出审核明细
    @RequestMapping("exportExcelDetail")
    @ResponseBody
    public void exportExcelDetail(HttpServletResponse response,String disStartDate, String disEndDate, Archive_Master_Vo archiveMasterVo, Integer flag,String sql,Integer isSearch){
        //全部明细
        String tableThNames = "";
        String fieldCns = "";
        if(flag == 2){
            tableThNames = "初审工号,初审姓名,初审日期,终审工号,终审姓名,终审日期,患者姓名,住院号,出院科室,出院日期,入院科室,入院日期,住院天数";
            fieldCns = "checkDoctor,checkName,checkDatetime,checkedDoctor,checkedName,checkedDatetime,name,inpNo,deptName,dischargeDateTime,deptAdmissionTo,admissionDateTime,days";
        }else{
            //终审明细
            tableThNames = "终审工号,终审姓名,终审日期,患者姓名,住院号,出院科室,出院日期,入院科室,入院日期,住院天数";
            fieldCns = "checkedDoctor,checkedName,checkedDatetime,name,inpNo,deptName,dischargeDateTime,deptAdmissionTo,admissionDateTime,days";
        }
        //判断是否是初始化查询，是初始化查询把开始结束时间置空
        if(isSearch == 0){
            disStartDate = null;
            disEndDate = null;
            archiveMasterVo.setStartDate(null);
            archiveMasterVo.setEndDate(null);
        }
        try {
            List<Archive_Master_Vo> list = statisticsService.getDetailList(disStartDate, disEndDate, archiveMasterVo,flag,sql);
            //文件名
            String fileName = "病案室审核记录明细报表(" + new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()) + ").xls";
            //ExportExcelUtil
            ExportExcelUtil1 exportExcelUtil = new ExportExcelUtil1();
            //导出excel的操作
            exportExcelUtil.expordExcel(tableThNames,fieldCns,list,fileName,response);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }
    }

    //复印记录报表
    @RequestMapping("getPrintCount")
    @ResponseBody
    public OffsetLimitPage getPrintCount(Integer offset, Integer limit, TUuPrintSearch search,Integer isSearch){
        if(null != offset && null != limit){
            PageHelper.offsetPage(offset, limit);
        }
        judgeIsSearch(search, isSearch);
        try {
            List<TUuPrintVo> list = statisticsService.getPrintCount(search);
            return new OffsetLimitPage((Page)list);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    //判断初始化查询是否按时间条件查询
    private void judgeIsSearch(TUuPrintSearch search, Integer isSearch) {
        if (isSearch == 0) {
            search.setStartDate(null);
            search.setEndDate(null);
        }
    }

    //复印记录明细
    @RequestMapping("getPrintInfo")
    @ResponseBody
    public OffsetLimitPage getPrintInfo(Integer offset, Integer limit,TUuPrintSearch search,Integer isSearch){
        if(null != offset && null != limit){
            PageHelper.offsetPage(offset, limit);
        }
        judgeIsSearch(search, isSearch);
        try {
            List<TUuPrintVo> list = statisticsService.getPrintInfo(search);
            return new OffsetLimitPage((Page)list);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    //扫描记录报表
    @RequestMapping("getScanCount")
    @ResponseBody
    public OffsetLimitPage getScanCount(Integer offset, Integer limit,TUuPrintSearch search,Integer isSearch){
        if(null != offset && null != limit){
            PageHelper.offsetPage(offset, limit);
        }
        judgeIsSearch(search, isSearch);
        try {
            List<TUuInfoVo> list = statisticsService.getScanCount(search);
            return new OffsetLimitPage((Page)list);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }



    //采集器状态
    @RequestMapping("getCollectorStatus")
    @ResponseBody
    public OffsetLimitPage getCollectorStatus(Integer offset, Integer limit,CollectorStatusVo collectorStatusVo){
        if(null != offset && null != limit){
            PageHelper.offsetPage(offset, limit);
        }
        try {
            List<CollectorStatusVo> list = statisticsService.getCollectorStatus(collectorStatusVo);
            return new OffsetLimitPage((Page)list);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }




    //扫描记录明细
    @RequestMapping("getScanInfo")
    @ResponseBody
    public OffsetLimitPage getScanInfo(Integer offset, Integer limit,TUuPrintSearch search,Integer isSearch){
        if(null != offset && null != limit){
            PageHelper.offsetPage(offset, limit);
        }
        judgeIsSearch(search, isSearch);
        try {
            List<TUuInfoVo> list = statisticsService.getScanInfo(search);
            return new OffsetLimitPage((Page)list);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    //导出复印记录报表
    @RequestMapping("exportExcelPrintCount")
    @ResponseBody
    public void exportExcelPrintCount(HttpServletResponse response,TUuPrintSearch search,Integer isSearch){
        judgeIsSearch(search, isSearch);
        //全部明细
        String tableThNames = "记账号,住院号,住院次数,患者,复印日期,操作人,复印次数";
        String fieldCns = "patientId,inpNo,visitId,hzname,printTime,cpyuser,printCount";
        try {
            List<TUuPrintVo> list = statisticsService.getPrintCount(search);
            //文件名
            String fileName = "复印记录报表(" + new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()) + ").xls";
            //ExportExcelUtil
            ExportExcelUtil1 exportExcelUtil = new ExportExcelUtil1();
            //导出excel的操作
            exportExcelUtil.expordExcel(tableThNames,fieldCns,list,fileName,response);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }
    }

    //导出复印记录明细
    @RequestMapping("exportExcelPrintInfo")
    @ResponseBody
    public void exportExcelPrintInfo(HttpServletResponse response,TUuPrintSearch search,Integer isSearch){
        judgeIsSearch(search, isSearch);
        //全部明细
        String tableThNames = "记账号,住院号,住院次数,患者姓名,性别,入院时间,出院时间,出院科室,主管医生,复印内容,操作人,复印日期,修改标志";
        String fieldCns = "patientId,inpNo,visitId,hzname,sex,admissionDateTime,dischargeDateTime,name,doctorInCharge,filetitle,cpyuser,printTime,flagCn";
        try {
            List<TUuPrintVo> list = statisticsService.getPrintInfo(search);
            //文件名
            String fileName = "复印记录明细(" + new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()) + ").xls";
            //ExportExcelUtil
            ExportExcelUtil1 exportExcelUtil = new ExportExcelUtil1();
            //导出excel的操作
            exportExcelUtil.expordExcel(tableThNames,fieldCns,list,fileName,response);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }
    }

    //导出扫描记录报表
    @RequestMapping("exportExcelScanCount")
    @ResponseBody
    public void exportExcelScanCount(HttpServletResponse response,TUuPrintSearch search,Integer isSearch){
        judgeIsSearch(search, isSearch);
        //全部明细
        String tableThNames = "扫描人,扫描日期,扫描次数,扫描份数";
        String fieldCns = "uuname,uploaddatetime,scanCount,scanNums";
        try {
            List<TUuInfoVo> list = statisticsService.getScanCount(search);
            //文件名
            String fileName = "扫描上传记录报表(" + new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()) + ").xls";
            //ExportExcelUtil
            ExportExcelUtil1 exportExcelUtil = new ExportExcelUtil1();
            //导出excel的操作
            exportExcelUtil.expordExcel(tableThNames,fieldCns,list,fileName,response);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }
    }

    //导出扫描记录明细
    @RequestMapping("exportExcelScanInfo")
    @ResponseBody
    public void exportExcelScanInfo(HttpServletResponse response,TUuPrintSearch search,Integer isSearch){
        judgeIsSearch(search, isSearch);
        //全部明细
        String tableThNames = "记账号,住院号,住院次数,患者姓名,性别,入院时间,出院时间,出院科室,主管医生,扫描人,扫描时间";
        String fieldCns = "patientId,inpNo,visitId,hzname,sex,admissionDateTime,dischargeDateTime,doctorDept,doctorInCharge,uuname,uploaddatetime";
        try {
            List<TUuInfoVo> list = statisticsService.getScanInfo(search);
            //文件名
            String fileName = "扫描上传记录明细(" + new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()) + ").xls";
            //ExportExcelUtil
            ExportExcelUtil1 exportExcelUtil = new ExportExcelUtil1();
            //导出excel的操作
            exportExcelUtil.expordExcel(tableThNames,fieldCns,list,fileName,response);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }
    }

    //病案统计报表
    @RequestMapping("recordStatistics/{level}")
    public String recordStatistics(@PathVariable("level")String level,RecordStatistics record,Model model){
        model.addAttribute("level",level);
        model.addAttribute("record",record);
        return "statistics/recordStatistics";
    }

    //病案统计报表
    @RequestMapping("getRecordStatistics")
    @ResponseBody
    public OffsetLimitPage getRecordStatistics(RecordStatistics recordStatistics){
        try {
            List<RecordStatistics> list = statisticsService.getRecordStatistics(recordStatistics);
            return new OffsetLimitPage((Page)list);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    //按科室分组查
    @RequestMapping("getRecordStatisticsGroupDept")
    @ResponseBody
    public OffsetLimitPage getRecordStatisticsGroupDept(Integer offset, Integer limit,RecordStatistics recordStatistics){
        try {
            List<RecordStatistics> list = statisticsService.getRecordStatisticsGroupDept(offset, limit, recordStatistics);
            return new OffsetLimitPage((Page)list);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    //按根据科室查
    @RequestMapping("getRecordStatisticsByDeptName")
    @ResponseBody
    public OffsetLimitPage getRecordStatisticsByDeptName(Integer offset, Integer limit,RecordStatistics recordStatistics){
        try {
            List<RecordStatistics> list = statisticsService.getRecordStatisticsByDeptName(offset, limit, recordStatistics);
            return new OffsetLimitPage((Page)list);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }
}
