/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/8/22 13:49
 * Description:
 */
package com.emr.controller;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.emr.entity.Power_User;
import com.emr.util.HttpClientTool;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.apache.commons.lang3.StringUtils;
import org.apache.cxf.endpoint.Client;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.servlet.HandlerInterceptor;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.Map;

public class UrlInterceptor implements HandlerInterceptor {
    @Value("${POWER_URLHEAD}")
    private String POWER_URLHEAD;

    @Value("${powerUrl}")
    private String powerUrl;

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object o){
        String url = request.getServletPath();
        String token = (String) request.getSession().getAttribute("token");
        if (!"/login".equals(url) && StringUtils.isNoneBlank(token)) {
            try {
                // 创建url
                String requestUrl = POWER_URLHEAD + "/font/checkToken";
                // 执行请求
                Map<String, String> params = new HashMap<>();
                params.put("token", token);
                String resultString = HttpClientTool.doPost(requestUrl, params);
                String code = JSONArray.toJSONString(JSON.parseObject(resultString).get("code"));
                if ("200".equals(code)) {
                    if (isAjaxRequest(request)) {
                        response.setHeader("sessionstatus", "timeout");
                    } else{
                        response.sendRedirect(POWER_URLHEAD + "/login");
                    }
                    return false;
                }
                //更新session
                Power_User user = (Power_User)request.getSession().getAttribute("CURRENT_USER");
                request.getSession().setAttribute("CURRENT_USER", user);
            } catch (Exception e) {
                e.printStackTrace();
                try {
                    response.sendRedirect(POWER_URLHEAD + "/login");
                    return false;
                }catch (Exception e1){
                    e1.printStackTrace();
                }
            }
        }
        return true;
    }

    /**
     * 判断是否是ajax请求
     * @param request
     * @return
     */
    private boolean isAjaxRequest(HttpServletRequest request) {
        String header = request.getHeader("X-Requested-With");
        if (header != null && "XMLHttpRequest".equals(header)) {
            return true;
        }else {
            return false;
        }
    }
}
 

