/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 14:38
 * Description:出院浏览
 */
package com.emr.controller;

import com.emr.dao.ArchiveFlowRoleMapper;
import com.emr.entity.ArchiveFlowRole;
import com.emr.entity.Archive_Master;
import com.emr.entity.Archive_Master_Vo;
import com.emr.entity.OffsetLimitPage;
import com.emr.service.Archive_MasterService;
import com.emr.service.ipml.ArchiveFlowInfoService;
import com.emr.service.ipml.EmrOvertimeSetService;
import com.emr.util.ExceptionPrintUtil;
import com.emr.util.ExportExcelUtil;
import com.emr.util.Msg;
import com.emr.util.OracleConnect;
import com.emr.vo.ArchiveFlowInfoVo;
import org.apache.commons.lang3.StringUtils;
import org.apache.cxf.endpoint.Client;
import org.apache.shiro.SecurityUtils;
import org.apache.shiro.util.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Controller
@RequestMapping("/beHosp")
public class beHospitaledController {
    @Value("${overDateSet}")
    private String overDateSet;
    @Autowired
    private Archive_MasterService archiveMasterService;
    @Value("${HomepageDictionary}")
    private String HomepageDictionary;
    @Value("${HomepageMethod}")
    private String HomepageMethod;
    @Autowired
    private ArchiveFlowRoleMapper flowRoleMapper;
    @Autowired
    private ArchiveFlowInfoService flowInfoService;
    @Autowired
    private EmrOvertimeSetService emrOvertimeSetService;
    @RequestMapping(value = "/beHosps")
    public String inHospitals(Integer flag,Integer infoId,Model model){
        if(null != flag){
            model.addAttribute("flag",flag);
            model.addAttribute("infoId",infoId);
            model.addAttribute("overDateSet",overDateSet);
            //获取超期提醒日期
            String remindDate = emrOvertimeSetService.getRemindDate();
            if(StringUtils.isNotBlank(remindDate)){
                model.addAttribute("remindDate",remindDate);
            }
        }
        return "beHospitaledDir/beHospList";
    }

    @RequestMapping("getChecker")
    @ResponseBody
    public Msg getChecker() throws Exception{
        Msg role = archiveMasterService.getRole();
        return Msg.success().add("checker",role.getCode());
    }
    /**
     * 搜索条件需要查询审核状态的时候异步查询该审核角色拥有的code集合
     * @return
     */
    @RequestMapping("/getCurrentCodes")
    @ResponseBody
    public Msg getCurrentCodes() throws Exception{
        StringBuilder result = new StringBuilder();
        Integer roleIndex = 0;
        Msg role = archiveMasterService.getRole();
        String currentCodes = role.getMsg();
        if(StringUtils.isNotBlank(currentCodes)){
            //查询集合
            //查询审核角色集合，根据有效进行计算状态code
            List<ArchiveFlowRole> archiveFlowRoles = flowRoleMapper.selectAll();
            //code转成id
            String[] codes = currentCodes.split(",");
            for(String code : codes){
                if(StringUtils.isNotBlank(code)) {
                    for (ArchiveFlowRole flowRole : archiveFlowRoles) {
                        if (StringUtils.isNotBlank(flowRole.getCode()) && code.equals(flowRole.getCode())) {
                            result.append(flowRole.getId()).append(",");
                            roleIndex = flowRole.getStepIndex();
                            break;
                        }
                    }
                }
            }
            if(result.toString().endsWith(",")){
                result = new StringBuilder(result.substring(0, result.length() - 1));
                role.setMsg(result.toString());
            }

        }
        role.setCode(roleIndex);
        return role;
    }

    /**
     * 加载审核角色
     * @return
     */
    @RequestMapping("/getFlowRole")
    @ResponseBody
    public Msg getFlowRole() throws Exception{
        //查询审核角色集合，根据有效进行计算状态code
        List<ArchiveFlowRole> archiveFlowRoles = flowRoleMapper.selectAll();
        List<ArchiveFlowRole> list = new ArrayList<>();
        if(!CollectionUtils.isEmpty(archiveFlowRoles)){
            for(ArchiveFlowRole obj : archiveFlowRoles){
                if(null != obj.getStepIndex() && null != obj.getRole()){
                    list.add(obj);
                }
            }
        }
        return Msg.success().add("list",list);
    }

    @ResponseBody
    @RequestMapping(value = "/beHospList")
    public OffsetLimitPage beHospList(Archive_Master_Vo archiveMasterVo, Integer offset, Integer limit,Integer isSearch,HttpServletRequest request){
        //判断是否是初始化查询，是初始化查询把开始结束时间置空
        if(isSearch == 0){
            archiveMasterVo.setStartDateTo(null);
            archiveMasterVo.setEndDateTo(null);
        }
        try {
            return archiveMasterService.selectByColumn(archiveMasterVo, offset, limit,request);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    @ResponseBody
    @RequestMapping(value = "/exportExcel")
    public void exportExcel(HttpServletResponse response, HttpServletRequest request,Archive_Master_Vo archiveMasterVo,Integer isSearch){
        String tableThNames = "住院号,住院次数,名字,性别,出院科室,出院日期,主管医生,状态,是否完整,HIS召回状态,打印状态";
        String fieldCns = "inpNo,visitId,name,sex,deptName,dischargeDateTime,doctorInCharge,status,lockinfo,callBackStatus,printStatus";
        //构造excel的数据
        if(isSearch == 0){
            archiveMasterVo.setStartDateTo(null);
            archiveMasterVo.setEndDateTo(null);
        }
        try {
            List<Archive_Master_Vo> list = archiveMasterService.selectByColumn(null,null,archiveMasterVo,request);
            //文件名
            String fileName = "出院浏览" + new SimpleDateFormat("yyyyMMddHHmmss").format(new Date()) + ".xls";
            //ExportExcelUtil
            ExportExcelUtil exportExcelUtil = new ExportExcelUtil();
            //导出excel的操作
            exportExcelUtil.expordExcel(tableThNames,fieldCns,list,fileName,response);
        }catch (Exception e){
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }
    }

    /**
     * 出院浏览提交审核
     * @param master
     * @return
     */
    @ResponseBody
    @RequestMapping(value = "/updateStateByArchivId")
    public Msg updateStateByArchivId(HttpServletRequest request,Archive_Master_Vo master) throws Exception{
        boolean flag = FormTokenFlagUtil.isFlag(request);
        if (!flag) {
            return Msg.fail("请不要重复提交!");
        }
        return archiveMasterService.updateStateByArchivId(master);
    }

    //校验完整性方法
    //校验完整性
    @ResponseBody
    @RequestMapping(value = "/checkSuccess")
    private String checkSuccessMethod(String archiveDetailId){
        String result = "";
        String endpoint = HomepageDictionary;
        //String endpoint = "http://localhost:8080/ca3/services/caSynrochnized?wsdl";
        String method = HomepageMethod;
        JAXDynamicClientFactory factory = JAXDynamicClientFactory.newInstance();
        Client client = null;
        String refreshFlag="2";
        try {
            client = factory.createClient(endpoint);
            Object[] res = client.invoke(method, archiveDetailId,refreshFlag);
            result = (String) res[0];
            //更新master表完整性字段
            if(StringUtils.isNotBlank(result)){
                //更新表
                Archive_Master master = new Archive_Master();
                master.setId(archiveDetailId);
                master.setLockinfo(result);
                archiveMasterService.updateByClo(master);
            }
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }finally {
            if(null != client){
                client.destroy();
            }
        }
        return result;
    }


    //出院初审先查询his是否医生护士全部提交
    @RequestMapping("getInfoFromHis")
    @ResponseBody
    //@DataSource(dataSource = "dataSource1")
    public int getInfoFromHis(String patientId){
        String sql = "select fpatno from pacs.v_emrpatient where fpatno = '"+patientId+"'";
        try {
            String str = OracleConnect.select(sql);
            if(StringUtils.isNoneBlank(str)){
                return 1;
            }else{
                return 0;
            }
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return 0;
        }
    }

    /**
     * 查看流程跳转
     * @param master
     * @param model
     * @return
     */
    @RequestMapping("toShowFlowInfo")
    private String toShowFlowInfo(Archive_Master_Vo master, Model model){
        model.addAttribute("master",master);
        //查询流程信息集合
        List<ArchiveFlowInfoVo> list = null;
        try {
            //获取登录时输入的用户名
            String userName = (String) SecurityUtils.getSubject().getSession().getAttribute("userSession");
            list = flowInfoService.selectFlowInfoByMasterId(master.getId(),userName);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }
        model.addAttribute("list",list);
        return "beHospitaledDir/timeLine";
    }

    /**
     * 加载按科室查询主管医生
     * @param deptName
     * @return
     * @throws Exception
     */
    @RequestMapping("loadDoctorInCharge")
    @ResponseBody
    private Msg loadDoctorInCharge(String deptName) throws Exception{
        List<Archive_Master> list = archiveMasterService.loadDoctorInCharge(deptName);
        return Msg.success().add("list",list);
    }

    /**
     * 加载超期的主管医生
     * @return
     * @throws Exception
     */
    @RequestMapping("loadOverTimeDoctorInCharge")
    @ResponseBody
    private Msg loadOverTimeDoctorInCharge() throws Exception{
        List<Archive_Master> list = archiveMasterService.loadOverTimeDoctorInCharge();
        return Msg.success().add("list",list);
    }

    @ResponseBody
    @RequestMapping(value = "/getDoctorInCharge")
    public List<Archive_Master> getDoctorInCharge(HttpServletResponse response, Archive_Master archiveMaster,HttpServletRequest request) throws Exception {
        //根据目前账号所在科室获取主管医生列表
        return archiveMasterService.getDoctorInCharge(archiveMaster,request);
    }
}
 

