/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 14:39
 * Description:缺陷管理
 */
package com.emr.controller;

import com.emr.entity.*;
import com.emr.service.Emr_Fault_DetailService;
import com.emr.util.ExceptionPrintUtil;
import com.emr.util.ExportExcelUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletResponse;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

@Controller
@RequestMapping("fault")
public class faultController {
    @Autowired
    private Emr_Fault_DetailService emrFaultDetailService;
    @RequestMapping(value = "/faults")
    public String faults(){
        return "faultDir/faultList";
    }

    @ResponseBody
    @RequestMapping(value = "/faultList")
    public OffsetLimitPage faultList(Integer isSearch, Emr_Fault_Vo emrFaultVo, Integer offset, Integer limit) {
        //判断是否是初始化查询，是初始化查询把开始结束时间置空
        if(isSearch == 0){
            emrFaultVo.setStartDate(null);
            emrFaultVo.setEndDate(null);
        }
        try {
            return emrFaultDetailService.selectByCol(emrFaultVo,offset, limit);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }
    @ResponseBody
    @RequestMapping(value = "/exportExcel")
    public void exportExcel(HttpServletResponse response, Emr_Fault_Vo emrFaultVo,Integer isSearch){
        String tableThNames = "住院号,住院次数,姓名,出院科室,出院日期,归档状态,评分,回退内容,缺陷选项,缺陷内容,创建时间,创建人";
        String fieldCns = "inpNo,visitId,name,deptName,dischargeDateTime,archivestate,score,backContent,assortId,content,createTime,creater";
        //构造excel的数据
        //判断是否是初始化查询，是初始化查询把开始结束时间置空
        if(isSearch == 0){
            emrFaultVo.setStartDate(null);
            emrFaultVo.setEndDate(null);
        }
        try {
            List<Emr_Fault_Vo> list = emrFaultDetailService.selectByCol(emrFaultVo);
            //文件名
            String fileName = "缺陷信息数据" + new SimpleDateFormat("yyyyMMddHHmmss").format(new Date()) + ".xls";
            //ExportExcelUtil
            ExportExcelUtil exportExcelUtil = new ExportExcelUtil();
            //导出excel的操作
            exportExcelUtil.expordExcel(tableThNames, fieldCns, list, fileName, response);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }
    }
}
 

