/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 15:32
 * Description:缺陷分类
 */
package com.emr.controller;

import com.emr.entity.Emr_Fault_Type;
import com.emr.service.Emr_Fault_TypeService;
import com.emr.util.ExceptionPrintUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.List;

@Controller
@RequestMapping("/faultType")
public class faultTypeController {
    @Autowired
    private Emr_Fault_TypeService emrFaultTypeService;

    @RequestMapping(value = "/faultTypes")
    public String faultTypes() {
        return "faultTypeDir/faultTypeList";
    }

    @ResponseBody
    @RequestMapping(value = "/faultTypeList")
    public List<Emr_Fault_Type> faultTypeList(Emr_Fault_Type emrFaultType) {
        try {
            return emrFaultTypeService.selectByCol(emrFaultType);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    @ResponseBody
    @RequestMapping(value = "/updateByClo")
    public int updateByClo(Emr_Fault_Type emrFaultType) {
        int bol=0;
        //判断id是否存在
        try {
            if(emrFaultType.getId()!=null){
                //判断是否存在记录
                if (emrFaultTypeService.selectById(emrFaultType.getId()) != null) {
                    bol = emrFaultTypeService.updateByClo(emrFaultType);
                }
            }else{
                //不存在则添加缺陷类别记录
                bol= emrFaultTypeService.insertClo(emrFaultType);
            }
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }
        return bol;
    }


    @ResponseBody
    @RequestMapping(value = "/delById")
    public int delById(Integer id) {
        int bol = 0;
        try {
            //判断id是否存在
            if (id!= null) {
                //判断是否存在记录
                bol = emrFaultTypeService.delById(id);
            }
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }
        return bol;
    }
}
 

