/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 14:39
 * Description:在院浏览
 */
package com.emr.controller;

import com.emr.entity.*;
import com.emr.service.Archive_DetailService;
import com.emr.service.Archive_MasterService;
import com.emr.service.Emr_DictionaryService;
import com.emr.service.Emr_PictureService;
import com.emr.service.ipml.ZdAssortService;
import com.emr.util.*;
import net.sf.json.JSONArray;
import net.sf.json.JSONObject;
import org.apache.commons.lang3.StringUtils;
import org.apache.shiro.SecurityUtils;
import org.apache.shiro.session.Session;
import org.apache.shiro.subject.Subject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.File;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.List;


@Controller
@RequestMapping("/inHosp")
public class inHospitalController {
    //private Logger logger = Logger.getLogger(inHospitalController.class);
    @Value("${pdfWater}")
    private String pdfWater;
    @Autowired
    private Archive_MasterService archiveMasterService;

    @Autowired
    private Emr_DictionaryService emrDictionaryService;

    @Autowired
    private Archive_DetailService archiveDetailService;

    @Autowired
    private Emr_PictureService emrPictureService;

    @Autowired
    private ZdAssortService zdAssortService;

    @Value("${pictureUrl}")
    private String pictureUrl;

    @Value("${picSrc}")
    private String picSrc;

    @RequestMapping(value = "/inHospitals")
    public String inHospitals() {
        return "inHospitalDir/inHositalList";
    }

    @ResponseBody
    @RequestMapping(value = "/inHospitalList")
    public OffsetLimitPage inHospitalList(Integer isSearch, Archive_Master_Vo archiveMasterVo, Integer offset, Integer limit) {
        //判断是否是初始化查询，是初始化查询把开始结束时间置空
        if(isSearch == 0){
            archiveMasterVo.setStartDateTo(null);
            archiveMasterVo.setEndDateTo(null);
        }
        try {
            return archiveMasterService.selectByCol(archiveMasterVo, offset, limit);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    @ResponseBody
    @RequestMapping(value = "/exportExcel")
    public void exportExcel(HttpServletResponse response, Archive_Master_Vo archiveMasterVo,Integer isSearch){
        String tableThNames = "住院号,住院次数,姓名,性别,入院科室,入院日期,主管医生,状态";
        String fieldCns = "inpNo,visitId,name,sex,deptAdmissionTo,admissionDateTime,doctorInCharge,archivestate";
        //构造excel的数据
        //判断是否是初始化查询，是初始化查询把开始结束时间置空
        if(isSearch == 0){
            archiveMasterVo.setStartDateTo(null);
            archiveMasterVo.setEndDateTo(null);
        }
        try {
            List<Archive_Master> list = archiveMasterService.selectByCol(archiveMasterVo);
            //文件名
            String fileName = "在院浏览" + new SimpleDateFormat("yyyyMMddHHmmss").format(new Date()) + ".xls";
            //ExportExcelUtil
            ExportExcelUtil exportExcelUtil = new ExportExcelUtil();
            response.setContentType("application/ms-excel;charset=gbk");
            //导出excel的操作
            exportExcelUtil.expordExcel(tableThNames, fieldCns, list, fileName, response);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }
    }

    @ResponseBody
    @RequestMapping(value = "/getDept")
    public List<Emr_Dictionary> getDept(Emr_Dictionary emrDictionary){
        emrDictionary.setEffective(1);
        emrDictionary.setTypecode("dept_code");
        try {
            return emrDictionaryService.dicByTypeCode(emrDictionary);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    @ResponseBody
    @RequestMapping(value = "/getAssort")
    public List<Archive_Detail_Vo> getAssort(Archive_Detail_Vo archiveDetailVo,HttpServletRequest request){
        try {
            return archiveDetailService.selectByClo(archiveDetailVo,request);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    @ResponseBody
    @RequestMapping(value = "/getZdAssort")
    public List<Zd_Assort> getZdAssort(){
        //分段列表
        Zd_Assort assort = new Zd_Assort();
        assort.setPrintFlag("0");
        try {
            return zdAssortService.selectAll(assort);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    @ResponseBody
    @RequestMapping(value = "/getAssortdetail")
    public OffsetLimitPage getAssortdetail(Archive_Detail_Vo archiveDetailVo, Integer offset, Integer limit,HttpServletRequest request){
        try {
            return archiveDetailService.detailByClo(archiveDetailVo, offset, limit,request);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    @ResponseBody
    @RequestMapping(value= "/getSourceByMasterId")
    public Msg getSourceByMasterId(String masterid){
        List<Archive_Detail> list = archiveDetailService.getSourceByMasterId(masterid);
        StringBuilder str = new StringBuilder();
        if(!list.isEmpty()){
            for (Archive_Detail obj:list) {
                if(StringUtils.isNotBlank(obj.getSource())){
                    if(StringUtils.isNotBlank(str)){
                        str.append(",").append(obj.getSource());
                    }else{
                        str.append(obj.getSource());
                    }
                }
            }
        }
        return Msg.success().add("str",str.toString());
    }

    @ResponseBody
    @RequestMapping(value = "/updateState")
    public int updateState(HttpServletRequest request,HttpServletResponse response, Archive_Detail archiveDetail){
        response.setCharacterEncoding("utf-8");
        archiveDetail.setFlag("1");
        //修改状态分段信息
        try {
            request.setCharacterEncoding("utf-8");
            return archiveDetailService.updateCloById(archiveDetail);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return 0;
        }
    }

    @ResponseBody
    @RequestMapping(value = "/updateStateAll")
    public int updateStateAll(HttpServletRequest request,HttpServletResponse response, Archive_Detail archiveDetail){
        response.setCharacterEncoding("utf-8");
        int bol=0;
        String idStr=archiveDetail.getId();
        if(idStr.length()>0){
            String[] idArr = idStr.split(",");
            //archiveDetail.setFlag("1");
            try {
                request.setCharacterEncoding("utf-8");
                for (String s : idArr) {
                    archiveDetail.setId(s);
                    //修改状态分段信息
                    bol = archiveDetailService.updateCloById(archiveDetail);
                }
            } catch (Exception e) {
                ExceptionPrintUtil.printException(e);
                e.printStackTrace();
            }
        }
        return bol;
    }

    @ResponseBody
    @RequestMapping(value = "/saveInfo")
    public String saveInfo(HttpServletRequest request,HttpServletResponse response, Archive_Detail archiveDetail){
        response.setCharacterEncoding("utf-8");
        String result="";
        //判断id是否为空
        try {
            request.setCharacterEncoding("utf-8");
            if(archiveDetail.getId()==null || "".equals(archiveDetail.getId())){
                //生成id
                //插入记录
                int bol= archiveDetailService.insertSel(archiveDetail);
                if(1==bol){
                    result="添加成功！";
                }else{
                    result = "添加失败！";
                }

            }else{
                //根据id查找是否存在记录
                Archive_Detail entity= archiveDetailService.selectByid(archiveDetail.getId());
                if(entity!=null){
                    //修改记录
                    int bol = archiveDetailService.updateCloById(archiveDetail);
                    if (1 == bol) {
                        result = "修改成功！";
                    } else {
                        result = "修改失败！";
                    }
                } else {
                    result = "该记录不存在！";
                }
            }
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }
        return result;
    }

    /**
     * 根据病案号或类别或图片id获取图片列表，并生成PDF并返回pdf文件名
     * @param response
     * @param imgStr
     * @param masterId
     * @return
     * @throws Exception
     */
    @ResponseBody
    @RequestMapping(value = "/getPdfToPdf/{masterId}/{imgStr}")
    public void getPdfToPdf(HttpServletResponse response, HttpSession session, @PathVariable("imgStr") String imgStr, @PathVariable("masterId") String masterId){
        archiveDetailService.selectPdfPathByIds(response, session, imgStr, masterId,pdfWater);
    }

    /**
     * 查看pdf
     * @param response
     */
    /*@ResponseBody
    @RequestMapping(value = "showPdf")
    public void showPdf(HttpServletResponse response,HttpSession session){
        try {
            archiveDetailService.showPdf(response,session,pdfWater);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
        }
    }*/

    /**
     * 根据病案号或类别或图片id获取图片列表，并生成PDF并返回pdf文件名
     * @param request
     * @param imgStr
     * @param masterId
     * @return
     * @throws Exception
     */
    @ResponseBody
    @RequestMapping(value = "/getPdf")
    public String getPdf(HttpServletRequest request,String imgStr, String masterId){
        String result="";
        // 项目在容器中实际发布运行的根路径
        String realPath = request.getSession().getServletContext().getRealPath("/");
        String pdfFile = String.valueOf(System.currentTimeMillis());
        String pdfPath = pictureUrl + "\\" + pdfFile + ".pdf";
        //病案号文件夹
        try {
            if(StringUtils.isNotBlank(masterId)){
                realPath = realPath+ masterId+"\\";
                //判断文件夹是否存在
                File fileDic = new File(realPath);
                if (!fileDic.exists() && !fileDic.isDirectory()) {
                    fileDic.mkdirs();
                }
                //病案号/类别/id文件夹(图片路径下的子文件夹名称)
                //生成pdf(图片路径，pdf生成路径，图片路径文件夹列表)
                List imgList=new ArrayList();
                if(StringUtils.isNotBlank(imgStr)) {
                    String[] imgArr = imgStr.split(",");
                    if (imgArr.length > 0) {
                        imgList.addAll(Arrays.asList(imgArr));
                    }
                }
                //imgList.add(imgStr.split())imgStr.split(","));
                PrintToPdfUtil.toPdf(realPath, pdfPath, imgList);
                result= pdfFile + ".pdf";
            }else{
                result="a000000.pdf";
            }
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }
        return result;
    }

    /**
     * 根据病案号或类别或图片id获取图片列表，并生成PDF并返回pdf文件名
     *
     * @param response
     * @param idStr     *
     * @return
     * @throws Exception
     */
    @ResponseBody
    @RequestMapping(value = "/getPdfById/{idStr}")
    public void getPdfById(HttpServletResponse response,HttpSession session,@PathVariable("idStr") String idStr){
        //根据所有id获取PDF列表
        try {
            Archive_Detail detail = new Archive_Detail();
            detail.setTitle(idStr);
            archiveDetailService.selectByIdStr(response,session,detail,pdfWater);
            //archiveDetailService.showPdf(response,session,pdfWater);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            //e.printStackTrace();
        }
    }

    @ResponseBody
    @RequestMapping(value = "/delPdf")
    public String delPdf(String pdfName){
        String msg = "";
        // 项目在容器中实际发布运行的根路径
        String realPath= pictureUrl + "\\" + pdfName + ".pdf";
        //将之前文件删除
        File file1 = new File(realPath);
        if (file1.exists() && file1.isFile()) {
            file1.delete();
            msg="删除成功";
        }
        return msg;
    }

    @ResponseBody
    @RequestMapping(value = "/delImg")
    public String delImg(HttpServletRequest request,Emr_Picture emrPicture){
        String msg = "";
        int bol =0;
        String id = emrPicture.getId();
        if (StringUtils.isNotBlank(id) && !"-1".equals(id)) {
            try {
                //判断记录是否存在
                Emr_Picture entity=emrPictureService.selectByid(emrPicture.getId());
                if(entity!=null){
                    String realPath = request.getSession().getServletContext().getRealPath("/");
                    realPath = realPath.split("target")[0] + pictureUrl;
                    String imgPath=entity.getMaxPicture().replace("..",realPath);
                    //将之前图片文件删除
                    File file1 = new File(imgPath);
                    if (file1.exists() && file1.isFile()) {
                        file1.delete();
                        // 设置存放图片文件的路径
                        String path2 = "\\static\\img\\uploads\\";
                        //病案号
                        if (entity.getRelationId() != null && !"".equals(entity.getRelationId())) {
                            path2 = path2 + entity.getRelationId() + "\\";
                        }
                        //类型
                        if (entity.getAssortId() != null && !"".equals(entity.getAssortId())) {
                            path2 = path2 + entity.getAssortId() + "\\";
                        }
                        String pdfPath= pictureUrl + "\\pdfFiles\\" + entity.getRelationId() + "\\" + entity.getAssortId()+"\\"+ entity.getAssortId() + ".pdf";
                        //将之前文件删除
                        if (file1.exists() && file1.isFile()) {
                            file1.delete();
                        }
                        //重新生成pdf
                        //读取指定路径下的文件名和目录名
                        List arr = new ArrayList();
                        //arr.add(pathType);
                        //图片转PDF(病案号文件夹+类别文件夹)
                        PrintToPdfUtil.toPdf(realPath + path2 , pdfPath , arr);
                    }
                    //存在删除
                    bol = emrPictureService.deleteById(emrPicture.getId());
                }
            } catch (Exception e) {
                ExceptionPrintUtil.printException(e);
                e.printStackTrace();
            }
        }
        if(bol==1) {
            msg = "删除成功!";
        }else{
            msg = "删除失败!";
        }
        return msg;
    }

    /**
     * 图片列表查询
     * @param
     * @param emrPicture
     * @return
     * @throws Exception
     */
    @ResponseBody
    @RequestMapping(value = "/getPicList")
    public List<Emr_Picture> getPicList(Emr_Picture emrPicture){
        try {
            return emrPictureService.selectByClo(emrPicture);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    /**
     * 批量图片上传
     *
     * @param resp
     * @param request
     * @param
     * @return
     * @throws IOException
     */
    @ResponseBody
    @RequestMapping(value = "/uploadImgS", method = RequestMethod.POST)
    public String uploadImgS(HttpServletResponse resp, HttpServletRequest request, @RequestParam MultipartFile[] imgs){
        resp.setContentType("text/json");
        resp.setCharacterEncoding("utf-8");
        String firstFile =request.getParameter("fileName");
        String list = request.getParameter("list");
        String masterId = request.getParameter("masterID");
        int t = 0;
        JSONArray fileObj = JSONArray.fromObject(list);
        String result = "";
        if (StringUtils.isNotBlank(masterId)) {
            // 项目在容器中实际发布运行的根路径
            // 设置存放图片文件的路径
            String path2 = "img\\";
            //病案号
            if (StringUtils.isNotBlank(masterId)) {
                path2 += masterId + "\\";
            }
            Power_User powerUser = (Power_User)request.getSession().getAttribute("CURRENT_USER");
            //类循环
            if (fileObj != null && fileObj.size() > 0) {
                for (int x = 0; x < fileObj.size(); x++) {
                    JSONObject obj = fileObj.getJSONObject(x);
                    //类别
                    String pathType = "";
                    if (obj.get("selectVal") != null && obj.get("selectVal") != "") {
                        pathType = obj.get("selectVal") + "\\";
                        //判断文件夹是否存在
                        File fileDic = new File(pictureUrl+path2 + pathType);
                        if (!fileDic.exists() && !fileDic.isDirectory()) {
                            fileDic.mkdirs();
                        }
                        SimpleDateFormat format1 = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
                        String nowTime = format1.format(new Date());
                        //创建时间id
                        String idTime = String.valueOf(System.currentTimeMillis());
                        String trueFileName ="";
                        //将其路径及文件名类型以及参数保存图片相关信息到分段详细表
                        Emr_Picture entity = new Emr_Picture();
                        entity.setRelationId(masterId);
                        entity.setAssortId(obj.get("selectVal").toString());
                        entity.setUpdateTime(nowTime);
                        entity.setUpdater(powerUser.getUserName());
                        int bol = 0;
                        String id= obj.get("id").toString();
                        try {
                            if (StringUtils.isNotBlank(id) && !"-1".equals(id)) {
                                Emr_Picture picList = emrPictureService.selectByid(id);
                                //判断记录是否已经存在
                                if (picList!=null) {
                                    entity.setId(id);
                                    //图片是否有改动有改动则删除之前重新上传
                                    if(!picList.getAssortId().equals(entity.getAssortId()) || !picList.getRelationId().equals(entity.getRelationId())){
                                         if(!picList.getMaxPicture().contains(path2 + pathType)){
                                            // 移动图片
                                            String startPath= picList.getMaxPicture();
                                            startPath =  startPath.substring(startPath.indexOf("\\"), startPath.length());
                                            String endPath= pictureUrl + path2 + pathType;
                                            PrintToPdfUtil.moveTotherFolders(pictureUrl + startPath, endPath);
                                            String[] oldName= picList.getMaxPicture().split("\\\\");
                                            //新的图片地址
                                            entity.setMaxPicture(picSrc + path2 + pathType + oldName[oldName.length - 1]);
                                        }
                                         //被修改的类别重新生成pdf，查询出pdf记录
                                        //根据病案号和类别查询是否存在
                                        Archive_Detail detail = new Archive_Detail();
                                        detail.setMasterid(masterId);
                                        detail.setAssortid(picList.getAssortId());
                                        List<Archive_Detail> detailList = archiveDetailService.selectByColm(detail);
                                        //判断pdf是否存在，将之前文件删除
                                        File file1 = new File(detailList.get(0).getPdfPath());
                                        if (file1.exists() && file1.isFile()) {
                                            file1.delete();
                                        }
                                        //读取指定路径下的文件名和目录名
                                        List arr = new ArrayList();
                                        arr.add(picList.getAssortId());
                                        //图片转PDF(病案号文件夹+类别文件夹)
                                        PrintToPdfUtil.toPdf(pictureUrl + path2 + picList.getAssortId(), detailList.get(0).getPdfPath(), arr);
                                        //判断pdf文件大小等于了则删除，并删除pdf记录
                                        File file = new File(detailList.get(0).getPdfPath());
                                        if (file.exists() && file.isFile()) {
                                            if(file.length()==0){
                                                String pdfPathVal = pictureUrl + "\\pdfFiles\\"+ detail.getMasterid() +"\\"+  picList.getAssortId() + "\\" + picList.getAssortId() + ".pdf";
                                                detail.setPdfPath(pdfPathVal);
                                                archiveDetailService.deleteByClo(detail);
                                                file.delete();
                                                detail.setPdfPath("");
                                            }
                                        }
                                        //根据id修改记录
                                        bol = emrPictureService.updateCloByIdOrFlay(entity);
                                        //}
                                        if (bol == 1) {
                                            result = "批量上传成功！";
                                        } else {
                                            result = "批量上传失败！";
                                        }
                                    }
                                } else {
                                    //得到图片名
                                    String oldName = imgs[t].getOriginalFilename();// 如apple1.jpg
                                    String lasName = oldName.substring(oldName.lastIndexOf(".") + 1);
                                    if ("GIF".equals(lasName.toUpperCase()) || "JPEG".equals(lasName.toUpperCase()) || "PNG".equals(lasName.toUpperCase()) || "JPG".equals(lasName.toUpperCase())) {
                                        // 自定义的文件名称String.valueOf(System.currentTimeMillis())
                                        trueFileName = firstFile + idTime + oldName;
                                        //上传图片
                                        imgs[t].transferTo(new File( pictureUrl+path2 + pathType + trueFileName));
                                        entity.setId(idTime);
                                        entity.setCreater(powerUser.getUserName());
                                        entity.setCreateTime(nowTime);
                                        entity.setEffective(1);
                                        entity.setMaxPicture(picSrc + path2 + pathType + trueFileName);
                                        //插入记录
                                        emrPictureService.insertSel(entity);
                                    }
                                    t++;
                                }
                            } else {
                                //得到图片名
                                String oldName = imgs[t].getOriginalFilename();// 如apple1.jpg
                                String lasName= null;
                                if (oldName != null) {
                                    lasName = oldName.substring(oldName.lastIndexOf(".") + 1);
                                }
                                if (lasName != null && ("GIF".equals(lasName.toUpperCase()) || "JPEG".equals(lasName.toUpperCase()) || "PNG".equals(lasName.toUpperCase()) || "JPG".equals(lasName.toUpperCase()))) {
                                    // 自定义的文件名称String.valueOf(System.currentTimeMillis())
                                    trueFileName = firstFile + idTime + oldName;
                                    //上传图片
                                    imgs[t].transferTo(new File(pictureUrl + path2 + pathType + trueFileName));
                                    //新的图片地址
                                    entity.setMaxPicture(picSrc + path2 + pathType + trueFileName);
                                    entity.setId(idTime);
                                    entity.setCreater(powerUser.getUserName());
                                    entity.setCreateTime(nowTime);
                                    entity.setEffective(1);
                                    //插入记录
                                    emrPictureService.insertSel(entity);
                                }
                                t = t + 1;
                            }
                            //根据类别生成pdf:pathType(String.valueOf(System.currentTimeMillis()) )
                            String pdfFile = pathType.replace("\\", "") + ".pdf";
                            //根据病案号和类别查询是否存在
                            Archive_Detail detail = new Archive_Detail();
                            detail.setMasterid(masterId);
                            detail.setAssortid(pathType.replace("\\",""));
                            detail.setPdfPath(pictureUrl + "\\pdfFiles\\" + masterId + "\\"+ pathType.replace("\\", "")+"\\" + pathType.replace("\\", ".pdf"));
                            List<Archive_Detail>  voList=archiveDetailService.selectByColm(detail);
                            //pdf存在则删除记录和文件
                            if(voList.size()<=0){
                                //不存在添加记录和转换pdf
                                detail.setFlag("0");//显示
                                detail.setSource("后台");
                                detail.setSys("emr_medical_record");
                                detail.setUploaddatetime(nowTime);
                                detail.setPdfPath(pictureUrl + "\\pdfFiles\\" + masterId + "\\" + pathType + pdfFile);
                                archiveDetailService.insertSel(detail);
                            }
                            //判断pdf是否存在，将之前文件删除
                            File file1 = new File(pictureUrl + "\\pdfFiles\\" + masterId + "\\" + pathType + pdfFile);
                            if (file1.exists() && file1.isFile()) {
                                file1.delete();
                            }
                            //读取指定路径下的文件名和目录名
                            List arr = new ArrayList();
                            arr.add(pathType.replace("\\", ""));
                            //图片转PDF(病案号文件夹+类别文件夹)
                            PrintToPdfUtil.toPdf(pictureUrl + path2 + pathType, pictureUrl + "\\pdfFiles\\" + masterId + "\\" + pathType + pdfFile, arr);
                            result = "批量上传成功！";
                        } catch (IOException | IllegalStateException e) {
                            ExceptionPrintUtil.printException(e);
                            e.printStackTrace();
                        }
                    } else {
                        result = "没有找到相对应的文件！";
                    }
                }
            }
        }
        return result;
    }

    /**
     * 图片上传
     * @param resp
     * @param request
     * @param file

     * @return
     * @throws IOException
     */
    @ResponseBody
    @RequestMapping(value = "/uploadImg", method = RequestMethod.POST)
    public String uploadImg(HttpServletResponse resp, HttpServletRequest request, @RequestParam(value = "file", required = false) MultipartFile file){
        resp.setContentType("text/json");
        resp.setCharacterEncoding("utf-8");
        String firstFile = request.getParameter("fileName");
        String id = request.getParameter("id");
        String masterId = request.getParameter("masterID");
        String assortId = request.getParameter("assortID");
        String result = "";
        if (!file.isEmpty()) {
            // logger.info("成功获取照片");
            String fileName = file.getOriginalFilename();
            String path = null;
            String type = null;
            if (fileName != null) {
                type = fileName.contains(".") ? fileName.substring(fileName.lastIndexOf(".") + 1, fileName.length()) : null;
            }
            //logger.info("图片初始名称为：" + fileName + " 类型为：" + type);
            if (type != null) {
                if ("GIF".equals(type.toUpperCase()) || "JPEG".equals(type.toUpperCase())|| "PNG".equals(type.toUpperCase()) || "JPG".equals(type.toUpperCase())) {
                    // 项目在容器中实际发布运行的根路径
                    String realPath = request.getSession().getServletContext().getRealPath("/");
                    realPath = realPath.split("target")[0] + pictureUrl;

                    //创建时间id
                    String idTime = String.valueOf(System.currentTimeMillis());
                    // 自定义的文件名称String.valueOf(System.currentTimeMillis())
                    String trueFileName = firstFile+ idTime + fileName.split(".")[1];
                    // 设置存放图片文件的路径
                    String path2 = "\\static\\img\\uploads\\" ;

                    //病案号
                    if (StringUtils.isNotBlank(masterId)) {
                        path2= path2+masterId + "\\";
                    }
                    //类别
                    if(StringUtils.isNotBlank(assortId)){
                        path2= path2+ assortId+"\\";
                    }
                    //图片id
                    if (id != null && !"".equals(id)) {
                        path2 = path2 + id + "\\";
                    }else{
                        path2 = path2 + idTime + "\\";
                    }
                    //判断文件夹是否存在
                    File fileDic = new File(realPath +path2);
                    if (!fileDic.exists() && !fileDic.isDirectory()){
                        fileDic.mkdirs();
                    }
                    path= realPath + path2 + trueFileName;
                    SimpleDateFormat format1 = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
                    String nowTime = format1.format(new Date());
                    //将其路径及文件名类型以及参数保存图片相关信息到分段详细表
                    Emr_Picture entity = new Emr_Picture();
                    entity.setRelationId(masterId);
                    entity.setAssortId(assortId);
                    entity.setUpdateTime(nowTime);
                    entity.setMaxPicture(".."+ path2 + trueFileName);
                    // 从session获取用户名
                    Subject currentUser = SecurityUtils.getSubject();
                    Session session = currentUser.getSession();
                    String username = (String) session.getAttribute("userSession");//获取前面登录的用户名
                    entity.setUpdater(username);
                    int bol = 0;
                    try {
                        if (StringUtils.isNotBlank(id)) {
                            Emr_Picture pic = new Emr_Picture();
                            pic.setTypeFlag(id);
                            List<Emr_Picture> list = emrPictureService.selectByClo(pic);
                            entity.setTypeFlag(id);
                            if(list.size()>0){
                                //将之前文件删除
                                File file1 = new File(realPath + "/static" + list.get(0).getMaxPicture().split("static")[1]);
                                if (file1.exists() && file1.isFile()) {
                                    file1.delete();
                                }
                                //根据id修改记录
                                bol = emrPictureService.updateCloByIdOrFlay(entity);
                            }else{
                                entity.setId(idTime);
                                entity.setCreater(username);
                                entity.setCreateTime(nowTime);
                                entity.setEffective(1);
                                //插入记录
                                emrPictureService.insertSel(entity);
                            }
                        } else {
                            entity.setId(idTime);
                            entity.setCreater(username);
                            entity.setCreateTime(nowTime);
                            entity.setEffective(1);
                            //插入记录
                            bol = emrPictureService.insertSel(entity);
                            if (bol == 1) {
                                //文件成功上传到指定目录下
                                file.transferTo(new File(path));
                                result = entity.getMaxPicture();
                            } else {
                                result = "保存文件信息失败！";
                            }
                        }
                    } catch (Exception e) {
                        ExceptionPrintUtil.printException(e);
                        e.printStackTrace();
                    }
                } else {
                    result = "文件类型有误,请重新上传！";
                }
            } else {
                result = "文件类型为空！";
            }
        } else {
            result = "没有找到相对应的文件！";
        }
        return result;
    }

    /**
     * Pdf上传
     *
     * @param resp
     * @param request
     * @param file
     * @return
     * @throws IOException
     */
    @RequestMapping(value = "/uploadPdf", method = RequestMethod.POST)
    public String uploadPdf(HttpServletResponse resp, HttpServletRequest request, @RequestParam(value = "file", required = false) MultipartFile file){
        resp.setContentType("text/json");
        resp.setCharacterEncoding("utf-8");
        String firstFile = request.getParameter("fileName");
        String id = request.getParameter("id");
        String masterId = request.getParameter("masterID");
        String assortId = request.getParameter("assortID");
        String result = "";
        if (!file.isEmpty()) {
            // 成功获取照片原名字
            String fileName = file.getOriginalFilename();
            String type = null;
            if (fileName != null) {
                type = fileName.contains(".") ? fileName.substring(fileName.lastIndexOf(".") + 1, fileName.length()) : null;
            }
            //logger.info("图片初始名称为：" + fileName + " 类型为：" + type);
            if (type != null) {
                if ("PDF".equals(type.toUpperCase())) {
                    // 项目在容器中实际发布运行的根路径
                    String realPath = request.getSession().getServletContext().getRealPath("/");
                    realPath = realPath.split("target")[0] + pictureUrl;
                    // 自定义的文件名称String.valueOf(System.currentTimeMillis())
                    String trueFileName = firstFile + fileName;
                    // 设置存放图片文件的路径
                    String path = realPath + "\\static\\img\\uploads\\" + trueFileName;

                    SimpleDateFormat format1 = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
                    String nowTime = format1.format(new Date());
                    //将其路径及文件名类型以及参数保存图片相关信息到分段详细表
                    Archive_Detail entity = new Archive_Detail();
                    entity.setMasterid(masterId);
                    entity.setAssortid(assortId);
                    entity.setUploaddatetime(nowTime);

                    entity.setPdfPath("../static/img/uploads/" + trueFileName);
                    Archive_Detail detail = new Archive_Detail();
                    int bol = 0;
                    try {
                        if (StringUtils.isNotBlank(id)) {
                            entity.setId(id);
                            detail = archiveDetailService.selectByid(id);
                            if (detail != null) {

                                //根据id修改记录
                                bol = archiveDetailService.updateCloById(entity);
                            }
                        } else {
                            //插入记录
                            bol = archiveDetailService.insertSel(entity);
                        }
                        if (bol == 1) {
                            //将之前文件删除
                            File file1 = new File(realPath + "/static/uploads/" + detail.getPdfPath().split("/")[3]);
                            if (file1.exists() && file1.isFile()) {
                                file1.delete();
                            }
                            file.transferTo(new File(path));
                            //文件成功上传到指定目录下
                            result = entity.toString();
                        } else {
                            result = "保存文件信息失败！";
                        }
                    } catch (IOException e) {
                        ExceptionPrintUtil.printException(e);
                        e.printStackTrace();
                    }
                } else {
                    result = "文件类型有误,请重新上传！";
                }
            } else {
                result = "文件类型为空！";
            }
        } else {
            result = "没有找到相对应的文件！";
        }
        return result;
    }
}
 

