/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/8/8 12:46
 * Description:
 */
package com.emr.controller;

import com.emr.entity.*;
import com.emr.service.Archive_MasterService;
import com.emr.service.Emr_Fault_DetailService;
import com.emr.service.Emr_Fault_TypeService;
import com.emr.service.ipml.Archive_DetailServiceImpl;
import com.emr.service.ipml.EmrOvertimeSetService;
import com.emr.util.ExceptionPrintUtil;
import com.emr.util.ExportExcelUtil;
import com.emr.util.Msg;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
@Controller
@RequestMapping("lastVerify")
public class lastVerifyController {
    @Value("${overDateSet}")
    private String overDateSet;
    @Autowired
    private Archive_MasterService archiveMasterService;

    @Autowired
    private Emr_Fault_TypeService emrFaultTypeService;

    @Autowired
    private Emr_Fault_DetailService emrFaultDetailService;

    @Autowired
    private Archive_DetailServiceImpl archiveDetailService;

    @Autowired
    private EmrOvertimeSetService emrOvertimeSetService;

    @RequestMapping(value = "/lastVerifys")
    public String faults(Integer flag, Model model,String startDateTo,String endDateTo){
        if(null != flag){
            model.addAttribute("flag",flag);
            model.addAttribute("overDateSet",overDateSet);
            //获取超期提醒日期
            String remindDate = emrOvertimeSetService.getRemindDate();
            if(StringUtils.isNotBlank(remindDate)){
                model.addAttribute("remindDate",remindDate);
            }
        }
        model.addAttribute("startDate",startDateTo);
        model.addAttribute("endDate",endDateTo);
        return "lastVerifyDir/lastVerifyList";
    }


    /**
     * 终审列表
     * */
    @ResponseBody
    @RequestMapping(value = "/lastVerifyList")
    public OffsetLimitPage lastVerifyList(Archive_Master_Vo archiveMasterVo, Integer offset, Integer limit,Integer isSearch) {
        //判断是否是初始化查询，是初始化查询把开始结束时间置空
        if(isSearch == 0){
            archiveMasterVo.setStartDateTo(null);
            archiveMasterVo.setEndDateTo(null);
        }
        try {
            OffsetLimitPage offsetLimitPage = archiveMasterService.selectByLast(archiveMasterVo, offset, limit);
            return offsetLimitPage;
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }

    }

    @ResponseBody
    @RequestMapping(value = "/exportExcel")
    public void exportExcel(HttpServletResponse response, Archive_Master_Vo archiveMasterVo,Integer isSearch){
        //判断是否是初始化查询，是初始化查询把开始结束时间置空
        if(isSearch == 0){
            archiveMasterVo.setStartDateTo(null);
            archiveMasterVo.setEndDateTo(null);
        }
        String tableThNames = "住院号,住院次数,名字,性别,出院科室,出院日期,主管医生,状态,纸质状态,纸质扫描,HIS召回状态,打印状态";
        String fieldCns = "inpNo,visitId,name,sex,deptName,dischargeDateTime,doctorInCharge,status,remark,checkName,callBackStatus,printStatus";
        try {
            //构造excel的数据
            List<Archive_Master_Vo> list = archiveMasterService.selectLastVerifyList(archiveMasterVo);
            //文件名
            String fileName = "病案室终审" + new SimpleDateFormat("yyyyMMddHHmmss").format(new Date()) + ".xls";
            //ExportExcelUtil
            ExportExcelUtil exportExcelUtil = new ExportExcelUtil();
            response.setContentType("application/ms-excel;charset=gbk");
            //导出excel的操作
            exportExcelUtil.expordExcel(tableThNames, fieldCns, list, fileName, response);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }
    }


    @ResponseBody
    @RequestMapping(value = "/getFaultType")
    public List<Emr_Fault_Type> getFaultType(Emr_Fault_Type emrFaultType) {
        try {
            return emrFaultTypeService.selectByCol(emrFaultType);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }


    @ResponseBody
    @RequestMapping(value = "/getDetailByArchId")
    public Emr_Fault_Detail getDetailByArchId(Emr_Fault_Detail emrFaultDetail) {
        try {
            return emrFaultDetailService.selectByArchiveDetailId(emrFaultDetail);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    /**
     * 退回提交方法
     * @param request
     * @param emrFaultDetail
     * @return
     * @throws Exception
     */
    @ResponseBody
    @RequestMapping(value = "/updateDetailByArchivId")
    public Msg updateDetailByArchivId(HttpServletRequest request,Emr_Fault_Detail_Vo emrFaultDetail) throws Exception{
        boolean flag = FormTokenFlagUtil.isFlag(request);
        if (!flag) {
            return Msg.fail("请不要重复提交!");
        }
        archiveMasterService.updateReturn(emrFaultDetail);
        return Msg.success();
    }

    //终审
    @ResponseBody
    @RequestMapping(value = "/updateStateByArchivId")
    public Msg updateStateByArchivId(HttpServletRequest request,Archive_Master_Vo master) throws Exception{
        boolean flag = FormTokenFlagUtil.isFlag(request);
        if (!flag) {
            return Msg.fail("请不要重复提交!");
        }
        archiveMasterService.updateFiled(master);
        return Msg.success();
    }


    @ResponseBody
    @RequestMapping(value = "/selectIsScan")
    public Msg selectIsScan(String ids) throws Exception{
        ids = archiveDetailService.selectIsScan(ids);
        return Msg.success().add("ids",ids);
    }

}
 

