/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 14:39
 * Description:病案召回日期日志
 */
package com.emr.controller;

import com.alibaba.fastjson.JSON;
import com.emr.entity.OffsetLimitPage;
import com.emr.service.ipml.ArchiveCallbackInfoService;
import com.emr.util.ExceptionPrintUtil;
import com.emr.util.ExportExcelUtil;
import com.emr.vo.ArchiveCallbackInfoVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.util.CollectionUtils;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletResponse;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

@Controller
@RequestMapping("/recallDate")
public class medicalRecallDateController {
    @Autowired
    private ArchiveCallbackInfoService callbackInfoService;
    @RequestMapping(value = "/recallDates")
    public String recallDates() {
        return "medicalRecallDateDir/recallDateList";
    }


    /**
     * 召回日志列表
     * @param callbackInfo
     * @param offset
     * @param limit
     * @return
     */
    @ResponseBody
    @RequestMapping(value = "/recallDateList")
    public OffsetLimitPage recallDateList(ArchiveCallbackInfoVo callbackInfo, Integer offset, Integer limit) {
        try {
            return callbackInfoService.selectAll(callbackInfo,offset,limit);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }

    @ResponseBody
    @RequestMapping(value = "/exportExcel")
    public void exportExcel(HttpServletResponse response,ArchiveCallbackInfoVo callbackInfo){
        String tableThNames = "住院号,住院次数,姓名,出院科室,召回人,召回时间,召回原因,状态,归档状态";
        String fieldCns = "inpNo,visitId,name,deptName,callbackUserName,startDate,callbackReason,status,archivestate";
        try {
            List<ArchiveCallbackInfoVo> list = callbackInfoService.selectCallBackInfo(callbackInfo);
            SimpleDateFormat fmt = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            if(!CollectionUtils.isEmpty(list)){
                for(ArchiveCallbackInfoVo callbackInfoVo : list){
                    Date callbackTime = callbackInfoVo.getCallbackTime();
                    if(null != callbackTime){
                        String date = fmt.format(callbackTime);
                        callbackInfoVo.setStartDate(date);
                    }
                }
            }
            //文件名
            String fileName = "召回记录" + new SimpleDateFormat("yyyyMMddHHmmss").format(new Date()) + ".xls";
            //ExportExcelUtil
            ExportExcelUtil exportExcelUtil = new ExportExcelUtil();
            //导出excel的操作
            exportExcelUtil.expordExcel(tableThNames,fieldCns,list,fileName,response);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }
    }

    @ResponseBody
    @RequestMapping(value = "/lastBylogTitle")
    public String lastBylogTitle(String id) {
        ArchiveCallbackInfoVo vo = new ArchiveCallbackInfoVo();
        vo.setMasterId(id);
        try {
            List<ArchiveCallbackInfoVo> callbackInfoVos = callbackInfoService.selectCallBackInfo(vo);
            return JSON.toJSONString(callbackInfoVos.get(0));
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }
}
 

