/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 14:40
 * Description:未归档病历列表
 */
package com.emr.controller;

import com.emr.entity.Archive_Master_Vo;
import com.emr.entity.OffsetLimitPage;
import com.emr.service.Archive_MasterService;
import com.emr.util.ExceptionPrintUtil;
import com.emr.util.ExportExcelUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletResponse;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

@Controller
@RequestMapping("/unfile")
public class unfileMedicalController {
    @Autowired
    private Archive_MasterService archiveMasterService;
    @RequestMapping(value = "/unfileMedicals")
    public String faults() {
        return "unfileMedicalDir/unfileMedicalList";
    }

    @ResponseBody
    @RequestMapping(value = "/unfileList")
    public OffsetLimitPage unfileList(Archive_Master_Vo archiveMasterVo, Integer offset, Integer limit,Integer isSearch) {
        //判断是否是初始化查询，是初始化查询把开始结束时间置空
        if(isSearch == 0){
            archiveMasterVo.setStartDateTo(null);
            archiveMasterVo.setEndDateTo(null);
        }
        try {
            return archiveMasterService.selectByUnfile(archiveMasterVo, offset, limit);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
            return null;
        }
    }


    @ResponseBody
    @RequestMapping(value = "/exportExcel")
    public void exportExcel(HttpServletResponse response, Archive_Master_Vo archiveMasterVo,Integer isSearch){
        String tableThNames = "住院号,住院次数,姓名,性别,入院科室,入院日期,出院科室,出院日期,主管医生,状态";
        String fieldCns = "inpNo,visitId,name,sex,deptAdmissionTo,admissionDateTime,deptName,dischargeDateTime,doctorInCharge,status";
        //构造excel的数据
        //判断是否是初始化查询，是初始化查询把开始结束时间置空
        if(isSearch == 0){
            archiveMasterVo.setStartDateTo(null);
            archiveMasterVo.setEndDateTo(null);
        }
        try {
            List<Archive_Master_Vo> list = archiveMasterService.selectByUnfile(archiveMasterVo);
            //文件名
            String fileName = "未归档病历列表" + new SimpleDateFormat("yyyyMMddHHmmss").format(new Date()) + ".xls";
            //ExportExcelUtil
            ExportExcelUtil exportExcelUtil = new ExportExcelUtil();
            //导出excel的操作
            exportExcelUtil.expordExcel(tableThNames, fieldCns, list, fileName, response);
        } catch (Exception e) {
            ExceptionPrintUtil.printException(e);
            e.printStackTrace();
        }
    }
}
 

