package com.emr.dao;

import com.emr.entity.Archive_Master;
import com.emr.entity.Archive_Master_Vo;
import com.emr.vo.CommomVo;
import com.emr.vo.DoctorStatistics;
import com.emr.vo.RecordCommonVo;
import com.emr.vo.RecordStatisticsHome;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Archive_MasterMapper {
    int deleteByPrimaryKey(String id);

    int insert(Archive_Master record);

    int insertSelective(Archive_Master record);

    Archive_Master selectByPrimaryKey(String id);

    List<Archive_Master> selectByCol(Archive_Master_Vo record);

    List<Archive_Master_Vo> selectByColumn(Archive_Master_Vo record);

    List<Archive_Master_Vo> selectMasterByColumn(Archive_Master_Vo record);

    List<Archive_Master_Vo> selectByLast(Archive_Master_Vo record);

    List<Archive_Master_Vo> selectByUnfile(Archive_Master_Vo record);

    int updateByClo(Archive_Master record);

    int updateById(Archive_Master record);

    List<DoctorStatistics> getDoctorFileInfo(@Param("deptCode")String deptCode,@Param("doctor")String doctor,@Param("startTime")String startTime,@Param("endTime")String endTime);

    /**
     * 查询病案是否存在
     * */
    List<Archive_Master>  selectByObject(Archive_Master master);

    /**
     * 查询已归档记录
     * */
    List<Archive_Master_Vo> selectFiled(Archive_Master_Vo master);

    /**
     * 根据masterIds集合批量更新LockInfo字段
     * @param masterIds
     * @param lockinfo
     * @return
     */
    int updateLockInfoByMasterId(@Param("masterIds")String masterIds,@Param("lockinfo")String lockinfo);

    List<Archive_Master_Vo> selectDaysByMasterIds(List<Archive_Master_Vo> list);

    List<Archive_Master> loadDoctorInCharge(@Param("deptName") String deptName);

    List<Archive_Master> loadOverTimeDoctorInCharge();

    List<Archive_Master> selectPatientIdsForSign();

    /**
     * 自定义完整性校验查询
     */
    List<Archive_Master_Vo> selectCompleteMasterIds(Archive_Master_Vo master);

    /**
     * 病案数据第一层表格
     * @param startDateTo
     * @param endDateTo
     * @return
     */
    List<Archive_Master> recordDateOneTable(@Param("startDateTo") String startDateTo,@Param("endDateTo") String endDateTo,@Param("deptCodes")String deptCodes);

    /**
     * 病案数据第二层表格
     * @param startDateTo
     * @param endDateTo
     * @return
     */
    List<RecordStatisticsHome> recordDataTwoTable(@Param("startDateTo") String startDateTo,@Param("endDateTo") String endDateTo);

    /**
     * HIS退回病案统计数据
     * @param startDateTo
     * @param endDateTo
     * @return
     */
    List<RecordCommonVo> callBackStatisticsData(@Param("startDateTo") String startDateTo, @Param("endDateTo") String endDateTo);

    List<Integer> selectStatisticsCount(@Param("startDateTo") String startDateTo, @Param("endDateTo") String endDateTo);

    List<Integer> overTimeAndReOverTimeCount(@Param("date")String date,
                                             @Param("deadDate")String deadDate,
                                             @Param("reDate")String reDate,
                                             @Param("reDeadDate")String reDeadDate,
                                             @Param("startDateTo")String startDateTo,
                                             @Param("endDateTo")String endDateTo);

    /**
     *
     * @param record
     * @return
     */
    List<Archive_Master> getDoctorInCharge(Archive_Master record);

    int insertCommonlyUsed(CommomVo commomVo);

    List<Archive_Master> selectCommonlyUsed(Archive_Master record);
}