package com.emr.dao;

import com.emr.entity.Emr_Dictionary;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Emr_DictionaryMapper {
    /**
     * 根据类型代码查找字典列表
     * @param emrDictionary
     * @return
     */
    List<Emr_Dictionary> dicByTypeCode(Emr_Dictionary emrDictionary);

    /**
     * 根据字段查找字典列表
     * @param emrDictionary
     * @return
     */
    List<Emr_Dictionary> dicByClo(Emr_Dictionary emrDictionary);

    /**
     * 根据字段查找记录
     * @param emrDictionary
     * @return
     */
    int insertSel(Emr_Dictionary emrDictionary);

    /**
     * 根据id删除记录
     * @param id
     * @return
     */
    int delById(Integer id);

    /**
     * 根据id修改记录
     * @param emrDictionary
     * @return
     */
    int updateCloById(Emr_Dictionary emrDictionary);

    /**
     * 根据父id查询字典结合
     * @param parentId 父id即分类id
     * @param orderSql 是否排序，排序语句
     * @return
     */
    List<Emr_Dictionary> selectAllByParentId(@Param("parentId")String parentId,
                                             @Param("orderSql")String orderSql);
}