package com.emr.quart;

import com.emr.dao.ArchiveRemindDeptUserInfoMapper;
import com.emr.dao.ArchiveRemindDeptUserMapper;
import com.emr.dao.ArchiveRemindcancleDeptMapper;
import com.emr.dao.RecordMapper;
import com.emr.entity.ArchiveRemindDeptUser;
import com.emr.entity.ArchiveRemindDeptUserInfo;
import com.emr.entity.ArchiveRemindcancleDept;
import com.emr.entity.Archive_Master_Vo;
import com.emr.service.ipml.CommomService;
import com.emr.service.ipml.SendMessageService;
import com.emr.util.ExceptionPrintUtil;
import com.emr.util.IDHelper;
import com.emr.util.OracleConnect;
import com.emr.vo.RecordSearch;
import com.emr.vo.SubmitRecord;
import com.emr.vo.User;
import org.apache.commons.lang3.StringUtils;
import org.apache.log4j.Logger;
import org.apache.shiro.util.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.lang.reflect.Field;
import java.util.*;

/**
 * @ProjectName:
 * @Description:
 * @Param 传输参数
 * @Return
 * @Author: 曾文和
 * @CreateDate: 2020/10/27 15:49
 * @UpdateUser: 曾文和
 * @UpdateDate: 2020/10/27 15:49
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
@Component
public class Task1 {
    private static Logger log = Logger.getLogger("myMsg");
    @Autowired
    private RecordMapper recordMapper;
    @Autowired
    private ArchiveRemindcancleDeptMapper remindcancleDeptMapper;
    @Autowired
    private ArchiveRemindDeptUserMapper remindDeptUserMapper;
    @Autowired
    private CommomService commomService;
    @Autowired
    private ArchiveRemindDeptUserInfoMapper remindDeptUserInfoMapper;
    @Autowired
    private SendMessageService sendMessageService;
    //@Scheduled(cron="#{@getCronValue}")
    public void task1(){
        try {
            long start = System.currentTimeMillis();
            RecordSearch recordSearch = sendMessageService.selectRecordSearch();
            //查询超期记录
            List<SubmitRecord> list = recordMapper.selectUnCountGroupDeptForRemind(recordSearch);
            log.info(list);
            if(!CollectionUtils.isEmpty(list)){
                //定义添加记录集合
                List<ArchiveRemindDeptUserInfo> remindList = new ArrayList<>();
                //获取用户集合
                List<User> userListTemp = commomService.getUserList("admin");
                //查询科室取消提醒集合
                List<ArchiveRemindcancleDept> cancleDeptList = remindcancleDeptMapper.selectAll();
                //查询科室取消单独开启的用户
                List<ArchiveRemindDeptUser> deptUsers = remindDeptUserMapper.selectAll();
                //定义病案室待审核数量
                int unRecordRoomCount = 0;
                for(SubmitRecord vo : list){
                    //获取科室编号
                    String deptCode = vo.getDeptName();
                    if(StringUtils.isNotBlank(deptCode)) {
                        //定义需要通知的集合
                        List<User> userList = new ArrayList<>();
                        //根据科室取消提醒集合判断是否需要提醒
                        boolean remindFlag = judgeRemindFlag(deptCode, cancleDeptList);
                        if(!remindFlag){
                            //通知取消通知的该科室下需要通知的用户
                            userList = selectUserListByDeptUsers(userListTemp,deptUsers,deptCode);
                        }else{
                            //通知该科室所有用户
                            userList = userListTemp;
                        }
                        if(!CollectionUtils.isEmpty(userList)) {
                            //通知医生
                            remindList.addAll(remindDoctor(vo, userListTemp,recordSearch));
                            //通知除了医生其他审核角色
                            selectRemindOtherRoleInfo(remindList, vo, userList);
                        }
                    }
                    //统计病案室待审核数量
                    unRecordRoomCount += vo.getUnRecordRoomCount();
                }
                //添加提醒病案室用户信息
                selectRemindRecordRoomInfo(remindList, userListTemp, cancleDeptList, deptUsers, unRecordRoomCount);
                log.info(remindList);
                //处理添加数据业务
                insertData(list, remindList);
            }
            long end = System.currentTimeMillis();
            log.info("通知超期提前提醒业务总共"+list.size()+"个科室总耗时:"+(end-start)/1000.0+"s");
        }catch (Exception e){
            e.printStackTrace();
        }
    }

    /**
     * 处理添加业务
     * @param list
     * @param remindList
     */
    private void insertData(List<SubmitRecord> list, List<ArchiveRemindDeptUserInfo> remindList) {
        if(!CollectionUtils.isEmpty(remindList)){
            Date date = new Date();
            //拼接sql
            StringBuilder sql = new StringBuilder();
            sql.append("insert all ");
            //批量插入oracle数据
            for(ArchiveRemindDeptUserInfo obj : remindList){
                //设置当前时间
                obj.setCreateTime(date);
                /**
                 * mess_id:唯一号码
                 * fempid:工号
                 * fempname:姓名
                 * fcardno:微信号
                 * lxdh:手机号
                 * send_lx:通知类型
                 * send_info:发送内容
                 * pmadtetime:当前时间
                 */
                //拼接sql
                String userTel = null;
                if(StringUtils.isNotBlank(obj.getUserTel())){
                    userTel = "'"+obj.getUserTel()+"'";
                }
                String userWechat = null;
                if(StringUtils.isNotBlank(obj.getUserWechat())){
                    userWechat = "'"+obj.getUserWechat()+"'";
                }
                String sysdate = "sysdate";
                sql.append(" into jswzh_sendmessage(mess_id,fempid,fempname,fcardno,lxdh,send_lx,send_info,pmdatetime) " +
                        "values('"+obj.getMessId()+"','"+obj.getUserName()+"','"+obj.getName()+"',"+userWechat+","+userTel+",'"+obj.getStr1()+"','"+obj.getSendContext()+"',"+sysdate+")");
            }
            sql.append(" select * from dual");
            log.info("插入oracle语句:"+sql.toString());
            //批量添加进提醒记录表
            commomService.insertBatch("archive_remind_dept_user_info",remindList,remindDeptUserInfoMapper);
            try {
                //插入第三方库
                OracleConnect.insert(sql.toString());
                //修改记录表当天记录send_success字段为1
                remindDeptUserInfoMapper.updateSendSuccess();
                log.info("通知超期提前提醒业务总共"+list.size()+"个科室发送第三方库表成功");
            }catch (Exception e){
                log.info("通知超期提前提醒业务总共"+list.size()+"个科室发送第三方库表失败");
                e.printStackTrace();
                ExceptionPrintUtil.printException(e);
            }
        }
    }

    /**
     * 通知除了医生、病案室剩余其他审核角色
     * @param remindList 返回的list集合
     * @param vo 对应科室各个审核角色超期份数
     * @param userList 用户集合
     * @throws Exception
     */
    private void selectRemindOtherRoleInfo(List<ArchiveRemindDeptUserInfo> remindList, SubmitRecord vo, List<User> userList) throws Exception {
        //通知医生质控员
        remindList.addAll(remindDoctorCheck(vo, userList, 5, "unDoctorCheckCount"));
        //通知科主任
        remindList.addAll(remindDoctorCheck(vo, userList, 6, "unDirectorCheckCount"));
        //通知护士
        remindList.addAll(remindDoctorCheck(vo, userList, 2, "unNurseSubmitCount"));
        //通知护士质控员
        remindList.addAll(remindDoctorCheck(vo, userList, 8, "unNurseCheckCount"));
        //通知护士长
        remindList.addAll(remindDoctorCheck(vo, userList, 7, "unHeadNurseCount"));
    }

    /**
     * 获取需要通知用户
     * @param userListTemp
     * @param deptUsers
     * @return
     */
    private List<User> selectUserListByDeptUsers(List<User> userListTemp, List<ArchiveRemindDeptUser> deptUsers,String deptName) {
        List<User> userList = new ArrayList<>();
        if(!CollectionUtils.isEmpty(deptUsers) && !CollectionUtils.isEmpty(userListTemp)){
            for(User user : userListTemp){
                if(StringUtils.isNotBlank(user.getDeptCode()) && user.getDeptCode().equals(deptName)) {
                    for (ArchiveRemindDeptUser deptUser : deptUsers) {
                        if (user.getUserName().equals(deptUser.getUserName())) {
                            userList.add(user);
                            break;
                        }
                    }
                }
            }
        }
        return userList;
    }

    /**
     *通知病案室
     * @param remindList
     * @param userListTemp
     * @param cancleDeptList
     * @param deptUsers
     * @param unRecordRoomCount
     * @throws Exception
     */
    private void selectRemindRecordRoomInfo(List<ArchiveRemindDeptUserInfo> remindList, List<User> userListTemp, List<ArchiveRemindcancleDept> cancleDeptList, List<ArchiveRemindDeptUser> deptUsers, int unRecordRoomCount) throws Exception {
        if(unRecordRoomCount > 0){
            //定义需要通知的集合
            List<User> recordRoomList = new ArrayList<>();
            //添加病案室提醒通知 deptCode = 507
            String recordRoomDeptCode = "507";
            //根据科室取消提醒集合判断是否需要提醒
            boolean recordRoomRemindFlag = judgeRemindFlag(recordRoomDeptCode, cancleDeptList);
            if(!recordRoomRemindFlag){
                //通知取消通知的该科室下需要通知的用户
                recordRoomList = selectUserListByDeptUsers(userListTemp,deptUsers,recordRoomDeptCode);
            }else{
                //通知该科室所有用户
                recordRoomList = userListTemp;
            }
            if(!CollectionUtils.isEmpty(recordRoomList)){
                SubmitRecord recordRoomVo = new SubmitRecord();
                recordRoomVo.setUnRecordRoomCount(unRecordRoomCount);
                recordRoomVo.setDeptName(recordRoomDeptCode);
                recordRoomVo.setDeptNameCn("病案室");
                //通知病案室
                remindList.addAll(remindDoctorCheck(recordRoomVo, recordRoomList, 3, "unRecordRoomCount"));
            }
        }
    }

    /**
     * 通知除了主管医生、病案室其余审核角色
     * @param vo
     * @param userList
     * @return
     */
    private List<ArchiveRemindDeptUserInfo> remindDoctorCheck(SubmitRecord vo, List<User> userList,Integer roleId,String fieldName) throws Exception{
        List<ArchiveRemindDeptUserInfo> list = new ArrayList<>();
        //通过放射获取属性值，获取待审核份数
        Field field = vo.getClass().getDeclaredField(fieldName);
        field.setAccessible(true);
        Integer unCheckCount = (Integer) field.get(vo);
        if(unCheckCount > 0){
            List<User> roleUserList = new ArrayList<>();
            //获取该角色的用户集合
            if(roleId != 3) {
                //非病案室人员
                roleUserList = selectUserByDeptCodeAndRoleId(vo.getDeptName(), roleId, userList);
            }else{
                //病案室人员
                roleUserList = selectUserByDeptCodeAndRoleId("507",roleId, userList);
            }
            if(!CollectionUtils.isEmpty(roleUserList)){
                for(User user : roleUserList) {
                    //根据用户名获取用户
                    User currentUser = selectUserByUserName(user.getUserName(),userList);
                    //添加记录
                    ArchiveRemindDeptUserInfo obj = setArchiveRemindDeptUserInfo(vo, currentUser, unCheckCount);
                    list.add(obj);
                }
            }
        }
        return list;
    }

    /**
     * 通知主管医生
     * @param vo
     * @param userList
     * @return
     */
    private List<ArchiveRemindDeptUserInfo> remindDoctor(SubmitRecord vo, List<User> userList,RecordSearch recordSearch) throws Exception {
        List<ArchiveRemindDeptUserInfo> list = new ArrayList<>();
        if(vo.getUnDoctorSubmitCount() > 0){
            String deptCode = vo.getDeptName();
            recordSearch.setDeptName(deptCode);
            recordSearch.setInfoId(2);
            //查询超期记录
            List<Archive_Master_Vo> masterVoList = recordMapper.selectRecordGroupDeptAndRole(recordSearch);
            if(!CollectionUtils.isEmpty(masterVoList)){
                Map<String,Integer> map = new HashMap<>();
                for(Archive_Master_Vo masterVo : masterVoList){
                    //主管医生分组
                    map.put(masterVo.getDoctorInCharge(),masterVo.getOverTimeCounts());
                }
                for(String key : map.keySet()){
                    //根据科室和姓名获取用户信息
                    User user = selectUserByUserName(key,deptCode, userList);
                    //设置插入信息
                    int count = map.get(key);
                    user.setRoleId(1);
                    ArchiveRemindDeptUserInfo obj = setArchiveRemindDeptUserInfo(vo, user, count);
                    list.add(obj);
                }
            }
        }
        return list;
    }

    /**
     * 添加通知记录表
     * @param vo
     * @param currentUser
     * @param count
     * @return
     */
    private ArchiveRemindDeptUserInfo setArchiveRemindDeptUserInfo(SubmitRecord vo,User currentUser,int count) throws Exception {
        //填充信息
        ArchiveRemindDeptUserInfo obj = new ArchiveRemindDeptUserInfo();
        //设置唯一id
        obj.setMessId(IDHelper.NewID() + "");
        //设置科室编号
        obj.setDeptCode(vo.getDeptName());
        //设置科室名称
        obj.setDeptName(vo.getDeptNameCn());
        //设置初始化标识
        obj.setSendSuccess(new Byte("0"));
        //设置用户名
        obj.setUserName(currentUser.getUserName());
        String name = "";
        if(null != currentUser.getUserName()){
            name = currentUser.getName();
            obj.setRoleId(currentUser.getRoleId());
            obj.setRoleName(currentUser.getRoleName());
            obj.setUserTel(currentUser.getUserTel());
            obj.setUserWechat(currentUser.getUserWechat());
        }else{
            name = "无效用户";
            obj.setRoleId(-1);
            obj.setRoleName("无效角色");
        }
        //设置姓名
        obj.setName(name);
        //根据角色Id获取角色名称和角色称呼 list.get(0) = 角色名称 list.get(1) = 角色称呼
        List<String> roleList = sendMessageService.selectInfoIdAndRoleName(obj.getRoleId());
        obj.setStr1(roleList.get(1));
        //设置发送内容 ***医生，你有多少份病历是质控员待审核状态，请及时查阅
        String sendContext = sendMessageService.selectContentByRole(name,count,roleList);
        obj.setSendContext(sendContext);
        return obj;
    }

    /**
     * 根据用户名获取用户
     * @param userName
     * @param userList
     * @return
     */
    private User selectUserByUserName(String userName, List<User> userList) {
        if(!CollectionUtils.isEmpty(userList)){
            for(User user : userList){
                if(user.getUserName().equals(userName)){
                    return user;
                }
            }
        }
        return new User();
    }

    /**
     * 根据科室编号和姓名获取用户
     * @param name
     * @param deptCode
     * @param userList
     * @return
     */
    private User selectUserByUserName(String name, String deptCode,List<User> userList) {
        if(!CollectionUtils.isEmpty(userList)){
            for(User user : userList){
                if(StringUtils.isNotBlank(user.getName()) && user.getName().equals(name) && StringUtils.isNotBlank(user.getDeptCode()) && user.getDeptCode().equals(deptCode)){
                    return user;
                }
            }
        }
        return new User();
    }

    /**
     * 根据科室编号和角色id获取用户集合
     * @param deptCode
     * @param roleId
     * @param userList
     * @return
     */
    private List<User> selectUserByDeptCodeAndRoleId(String deptCode,Integer roleId,List<User> userList) {
        List<User> list = new ArrayList<>();
        if(!CollectionUtils.isEmpty(userList)){
            for(User user : userList){
                if(user.getRoleId().equals(roleId) && StringUtils.isNotBlank(user.getDeptCode()) && user.getDeptCode().equals(deptCode)){
                    list.add(user);
                }
            }
        }
        return list;
    }


    /**
     * 根据科室取消提醒集合判断是否需要提醒
     * @param deptCode
     * @param cancleDeptList
     * @return
     */
    private boolean judgeRemindFlag(String deptCode, List<ArchiveRemindcancleDept> cancleDeptList) {
        //遍历科室取消提醒集合，判断是否存在该科室
        for(ArchiveRemindcancleDept obj : cancleDeptList){
            if(StringUtils.isNotBlank(obj.getDeptCode()) && obj.getDeptCode().equals(deptCode)){
                return false;
            }
        }
        return true;
    }
}
