/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 15:27
 * Description:病历文件信息表
 */
package com.emr.service;

import com.emr.entity.Archive_Detail;
import com.emr.entity.Archive_Detail_Vo;
import com.emr.entity.OffsetLimitPage;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.util.List;

public interface Archive_DetailService {
    /**
     * 根据条件查询分段目录
     *
     * @param record
     * @return
     */
    List<Archive_Detail_Vo> selectByClo(Archive_Detail_Vo record, HttpServletRequest request);

    /**
     * 根据条件查询分段详情列表分页
     *
     * @param record
     * @return
     */
    OffsetLimitPage detailByClo(Archive_Detail_Vo record, Integer offset, Integer limit,HttpServletRequest request);

    /**
     * 根据条件修改分段信息
     *
     * @param record
     * @return
     */
    int updateCloById(Archive_Detail record);

    /**
     * 根据条件插入分段信息
     * @param record
     * @return
     */
    int insertSel(Archive_Detail record);

    /**
     * 根据id查找分段信息
     * @param id
     * @return
     */
    Archive_Detail selectByid(String id);

    /**
     * 根据病案号+类别删除记录
     * @param record
     * @return
     */
    int deleteByClo(Archive_Detail record);

    /**
     * 根据条件查询记录
     * @param record
     * @return
     */
    List<Archive_Detail> selectByColm(Archive_Detail record);

    List<Archive_Detail> selectByCol(Archive_Detail record);

    List<Archive_Detail> selectTypeTreeByPatientIdAndAssortIds(String patientId,String assortIds);

    List<String> mulFile2OneById(HttpServletResponse response,List<Archive_Detail> arList);

    void selectPdfPathByIds(HttpServletResponse response, HttpSession session, String detailIds, String masterId,String pdfWater);

    void selectByIdStr(HttpServletResponse response, HttpSession session,Archive_Detail detail,String pdfWater);

    void selectByIdStrFont(HttpServletResponse response, HttpSession session,Archive_Detail detail);

    void showPdf(HttpServletResponse response, HttpSession session, String pdfWater);

    List<Archive_Detail> getSourceByMasterId(String masterid);

    String selectIsScan(String ids);
}
 

