/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 15:27
 * Description:患者住院信息主索引表
 */
package com.emr.service;

import com.emr.entity.Archive_Master;
import com.emr.entity.Archive_Master_Vo;
import com.emr.entity.Emr_Fault_Detail_Vo;
import com.emr.entity.OffsetLimitPage;
import com.emr.util.Msg;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface Archive_MasterService {
    /**
     * 根据条件查找病案在院列表分页
     * @param archiveMasterVo
     * @return
     */
    OffsetLimitPage selectByCol(Archive_Master_Vo archiveMasterVo, Integer offset, Integer limit);

    /**
     * 根据条件查找在院病案列表
     * @param archiveMasterVo
     * @return
     */
    List<Archive_Master> selectByCol(Archive_Master_Vo archiveMasterVo);

    /**
     * 根据条件查找'归档中','复审退回'病案列表
     *
     * @param archiveMasterVo
     * @return
     */
    List<Archive_Master_Vo> selectByColumn(Integer offset, Integer limit,Archive_Master_Vo archiveMasterVo,HttpServletRequest request);


    //验证字符串是否是数字
    boolean isNumeric(String str);

    /**
     * 根据条件查找病案未归档列表分页
     *
     * @param archiveMasterVo
     * @return
     */
    List<Archive_Master_Vo> selectByUnfile(Archive_Master_Vo archiveMasterVo);
    /**
     * 根据条件查找病案'归档中','审核退回'列表分页
     *
     * @param archiveMasterVo
     * @return
     */
    OffsetLimitPage selectByColumn(Archive_Master_Vo archiveMasterVo, Integer offset, Integer limit,HttpServletRequest request);

    /**
     * 根据条件查找列表分页
     *
     * @param archiveMasterVo
     * @return
     */
    OffsetLimitPage selectMasterByColumn(Archive_Master_Vo archiveMasterVo, Integer offset, Integer limit,HttpServletRequest request);


    /**
     * 根据条件查找未归档列表分页
     *
     * @param archiveMasterVo
     * @return
     */
    OffsetLimitPage selectByUnfile(Archive_Master_Vo archiveMasterVo, Integer offset, Integer limit);

    /**
     * 根据条件查找病案终审列表分页
     *
     * @param archiveMasterVo
     * @return
     */
    OffsetLimitPage selectByLast(Archive_Master_Vo archiveMasterVo, Integer offset, Integer limit);



    /**
     * 根据条件查询记录
     * @param record
     * @return
     */
    int updateByClo(Archive_Master record);

    /**
     * 根据id修改记录
     * @param record
     * @return
     */
    int updateById(Archive_Master record);
    /**
     * 根据id查询记录
     * @param
     * @return
     */
    Archive_Master selectByPrimaryKey(String id);

    int updateReturn(Emr_Fault_Detail_Vo emrFaultDetail) throws Exception;

    List<Archive_Master> selectByObject(Archive_Master master);

    /**
     * 初审
     * */
    Msg updateStateByArchivId(Archive_Master_Vo master) throws Exception;

    /**
     * 查询已归档记录
     * */
    OffsetLimitPage selectFiled(Archive_Master_Vo master,Integer offset, Integer limit);
    /**
     * 已归档操作
     * */
    void updateFiled(Archive_Master_Vo master) throws Exception;

    Msg getRole();

    List<Archive_Master_Vo> selectLastVerifyList(Archive_Master_Vo archiveMasterVo);

    List<Archive_Master> loadDoctorInCharge(String deptName);

    List<Archive_Master> loadOverTimeDoctorInCharge();

    List<String> selectOracleGetSignList(StringBuilder patientIdStr, List<String> selectList);

    String selectAssortIdsByMasterId(String masterId);

    /**
     * 根据账号所在科室查找主管医生
     * @param record
     * @return
     */
    List<Archive_Master> getDoctorInCharge(Archive_Master record,HttpServletRequest request)throws Exception;


    //String selectLockInfoByMasterId(String archiveDetailId);
}
 

