package com.emr.service.ipml;

import com.alibaba.fastjson.JSON;
import com.emr.dao.ArchiveOtherExtMapper;
import com.emr.dao.ArchiveOtherExtSubmittimeMapper;
import com.emr.dao.ArchiveOtherMapper;
import com.emr.entity.ArchiveOther;
import com.emr.entity.ArchiveOtherExt;
import com.emr.entity.ArchiveOtherExtSubmittime;
import com.emr.entity.Power_User;
import com.emr.vo.ArchiveOtherExtVo;
import com.emr.vo.KeyValue;
import org.apache.commons.lang3.StringUtils;
import org.apache.ibatis.annotations.Param;
import org.apache.shiro.util.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.servlet.http.HttpServletRequest;
import java.io.*;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.LinkedList;
import java.util.List;

@Service
@Transactional
public class ArchiveOtherExtService {
    @Autowired
    private ArchiveOtherExtMapper archiveOtherExtMapper;
    @Autowired
    private ArchiveOtherExtSubmittimeMapper archiveOtherExtSubmittimeMapper;
    @Autowired
    private ArchiveOtherService archiveOtherService;
    @Autowired
    private ArchiveOtherMapper archiveOtherMapper;
    @Autowired
    private CommomService commomService;
    /**查询任务详情列表
     * @param request
     * @param archiveOtherExtVo
     * @return
     * @throws Exception
     */
    public List<ArchiveOtherExtVo> getArchiveExtInfo(HttpServletRequest request,ArchiveOtherExtVo archiveOtherExtVo) throws Exception{
        //读取系统标识json文件
        String fileNamePath = "static/json/dictionary.json";
        List<KeyValue> statusAndSysFlagValues = readJsonData(request, fileNamePath);
        Power_User user = (Power_User)request.getSession().getAttribute("CURRENT_USER");
        Integer roleId = user.getRoleId();
        List<ArchiveOtherExtVo> list =null;
        if (roleId==1){
           list = archiveOtherExtMapper.getArchiveExtInfoDoctor(archiveOtherExtVo);
        }
         if (roleId==2) {
            list = archiveOtherExtMapper.getArchiveExtInfoNurse(archiveOtherExtVo);
        }
        if (roleId!=2 ||roleId!=1){
            list = archiveOtherExtMapper.getArchiveExtInfo(archiveOtherExtVo);
        }
        if(!CollectionUtils.isEmpty(list)) {
            //查询护理的最新采集完成时间
            String maxETime = archiveOtherExtMapper.selectMaxETimeByNursingAndJzh(archiveOtherExtVo.getJzh());
            archiveOtherExtVo.setNursingEndTime(maxETime);
            for (ArchiveOtherExtVo vo : list) {
                if (vo.getSysflag().equals(1)) {
                    if (StringUtils.isNotBlank(maxETime)) {
                        vo.setNursingEndTime(maxETime);
                    }
                }
                //presulit为Done转换为完成
                String presult = vo.getPresult();
                if (StringUtils.isNoneBlank(presult) && "done".equalsIgnoreCase(presult)) {
                    vo.setPresult("完成");
                }
                //转换采集状态
                if (!CollectionUtils.isEmpty(statusAndSysFlagValues)) {
                    Integer statusflag = vo.getStatusflag();
                    if (null != statusflag) {
                        for (KeyValue keyValue : statusAndSysFlagValues) {
                            if ("otherExtStatusFlag".equals(keyValue.getType())) {
                                if (keyValue.getCode().equals(statusflag.toString())) {
                                    vo.setStatusFlagStr(keyValue.getName());
                                    break;
                                }
                            }
                        }
                    }
                }
                //转换系统标识
                if (!CollectionUtils.isEmpty(statusAndSysFlagValues)) {
                    Integer sysflag = vo.getSysflag();
                    if (null != sysflag) {
                        for (KeyValue keyValue : statusAndSysFlagValues) {
                            if ("otherExtSysFlag".equals(keyValue.getType())) {
                                if (keyValue.getCode().equals(sysflag.toString())) {
                                    vo.setSysFlagStr(keyValue.getName());
                                    break;
                                }
                            }
                        }
                    }
                }
            }
        }
        return list;
    }

    /**
     * 读取json文件方法
     * @param request
     * @param fileNamePath
     * @return
     * @throws IOException
     */
    private List<KeyValue> readJsonData(HttpServletRequest request, String fileNamePath) throws IOException {
        String contextPath=request.getSession().getServletContext().getRealPath("/");
        String fileName =  contextPath + fileNamePath;
        File jsonFile = new File(fileName);
        FileReader fileReader = new FileReader(jsonFile);
        Reader reader = new InputStreamReader(new FileInputStream(jsonFile),"utf-8");
        int ch = 0;
        StringBuilder sb = new StringBuilder();
        while ((ch = reader.read()) != -1) {
            sb.append((char) ch);
        }
        fileReader.close();
        reader.close();
        String jsonStr = sb.toString();
        List<KeyValue> list = JSON.parseArray(jsonStr,KeyValue.class);
        return list;
    }

    /**
     * 同步更新方法
     * @param ids
     * @param notNursingIds
     * @param jzh
     * @param masterId
     * @param sysFlag
     */
    public void updateSubmit(String ids,String notNursingIds, String detailIds,String jzh, String masterId, Integer sysFlag,HttpServletRequest request) throws Exception{
        String idsStr = splitString2String(ids);
        String idsTemp = idsStr;
        //存在护理记录则调用护理按需采集功能
        if(null != sysFlag && sysFlag == 1) {
            //调用护理按需采集功能
            archiveOtherService.updateArchiveOther(jzh, masterId);
            //ext表更新非护理记录
            if(StringUtils.isNotBlank(notNursingIds)){
                idsTemp = splitString2String(notNursingIds);
            }
        }
        //ext表更新非护理记录
        if(StringUtils.isNotBlank(notNursingIds)){
            updateCommomSubmit(idsTemp);
        }
        //操作提交信息表
        operOtherExtSubmitInfo(ids,idsStr,detailIds,request);
    }

        public void  updateSubmit1(String ids){
            List<ArchiveOtherExtVo> archiveOtherExtVos = archiveOtherExtMapper.selectDiD(ids);
            for (ArchiveOtherExtVo a:archiveOtherExtVos){
                String did = a.getDid();
                List<ArchiveOtherExtVo> archiveOtherExtVos1 = archiveOtherExtMapper.selectDetailByDid(did);
                if (archiveOtherExtVos1.size()>0){
                    archiveOtherExtMapper.delDetailByDid(did);
                }
            }
            archiveOtherExtMapper.updateSubmit(ids);
    }

    /**
     * 处理护理，其余同步更新操作
     * 1.按idsTemp记录查询archive_other表是否存在
     * 2.存在将C1置为空串，批量更新
     * 3.不存在按各自系统的标识插入数据
     * @param idsTemp
     */
    private void updateCommomSubmit(String idsTemp) throws Exception {
        //根据other_ext的id查询存在c2字段值的集合
        List<ArchiveOther> archiveOthers = archiveOtherService.selectAllByC2(idsTemp,null);
        //定义需要新增的id集合
        String notExistTemp = "";
        if(!CollectionUtils.isEmpty(archiveOthers)){
            String existTemp = "";
            List<String> existOtherData = getExistOtherData(idsTemp, archiveOthers);
            existTemp = existOtherData.get(0);
            //批量更新
            archiveOtherService.updateBatchC1ByC2s(existTemp);
            notExistTemp = existOtherData.get(1);
        }else{
            notExistTemp = idsTemp;
        }
        //查询是否存在pacs集合
        List<ArchiveOtherExt> pacsOtherExts = archiveOtherExtMapper.selectListBySysFlagAndIds(3, idsTemp);
        if(!CollectionUtils.isEmpty(pacsOtherExts)){
            StringBuilder pacsIds = new StringBuilder();
            for(ArchiveOtherExt obj : pacsOtherExts){
                if(StringUtils.isNotBlank(pacsIds)){
                    pacsIds.append(",");
                }
                pacsIds.append("'").append(obj.getId()).append("'");
            }
            archiveOtherExtMapper.updateSubmit(pacsIds.toString());
        }
        //不存在的部门批量添加
        //查询other_ext记录
        if(StringUtils.isNotBlank(notExistTemp)) {
            //定义批量新增的集合
            List<ArchiveOther> batchInsertList = new ArrayList<>();
            List<ArchiveOtherExtVo> archiveOtherExtVos = archiveOtherExtMapper.selectAllByIds(notExistTemp);
            for (ArchiveOtherExtVo vo : archiveOtherExtVos){
                batchInsertList.add(archiveOtherService.getArchiveOther(vo));
            }
            //批量新增
            commomService.insertBatch("archive_other",batchInsertList,archiveOtherMapper);
        }
    }

    /**
     * list.get(0)存在，list.get(1)不存在
     * 组织是否存在other_ext表里记录的集合
     * @param idsTemp
     * @param archiveOthers
     * @return
     */
    private List<String> getExistOtherData(String idsTemp, List<ArchiveOther> archiveOthers) {
        String[] idList = idsTemp.split(",");
        //定义存在的id集合
        StringBuilder existTemp = new StringBuilder();
        //定义不存在的id集合
        StringBuilder notExistTemp = new StringBuilder();
        //重新组织需要增加的id
        for(String str : idList){ //定义是否存在
            boolean existFlag = false;
            for(ArchiveOther other : archiveOthers) {
                String id = "'" + other.getC2() + "'";
                if (StringUtils.isNotBlank(str) && str.equals(id)) {
                    existFlag = true;
                    break;
                }
            }
            if(existFlag){
                if(StringUtils.isNotBlank(existTemp)){
                    existTemp.append(",");
                }
                existTemp.append(str);
            }else{
                if(StringUtils.isNotBlank(notExistTemp)){
                    notExistTemp.append(",");
                }
                notExistTemp.append(str);
            }
        }
        //定义返回集合
        List<String> list = new LinkedList<>();
        list.add(existTemp.toString());
        list.add(notExistTemp.toString());
        return list;
    }

    //带逗号的字符串加单引号
    private String splitString2String(String notNursingIds) {
        String[] notNursingIdsArr = notNursingIds.split(",");
        //批量更新ext表的statusFlag字段值为0
        StringBuilder notNursingIdsBuilder = new StringBuilder();
        for(String id : notNursingIdsArr){
            if(StringUtils.isNotBlank(id)) {
                if (StringUtils.isNotBlank(notNursingIdsBuilder)) {
                    notNursingIdsBuilder.append(",");
                }
                notNursingIdsBuilder.append("'").append(id).append("'");
            }
        }
        return notNursingIdsBuilder.toString();
    }

    /**
     * 操作提交信息表
     * @param ids 不带单引号的ext_id
     * @param idsStr 带单引号的ext_id
     */
    private void operOtherExtSubmitInfo(String ids,String idsStr,String detailIds,HttpServletRequest request) {
        //查询ext_id在ext_info表中是否存在
        List<ArchiveOtherExtSubmittime> infoList = archiveOtherExtSubmittimeMapper.selectAllByExtId(idsStr);
        //根据ext_ids查询other_ext表的eTime
        List<ArchiveOtherExtVo> archiveOtherExtVos = archiveOtherExtMapper.selectAllByIds(ids);
        //获取用户名
        String userName = commomService.getCurrentUserName(request);
        //定义需要新增的集合
        List<ArchiveOtherExtSubmittime> createList = new ArrayList<>();
        //定义需要更新的集合
        List<ArchiveOtherExtSubmittime> updateList = new ArrayList<>();
        //获取id集合
        String[] idArr = ids.split(",");
        //获取detailId集合
        String[] detailIdArr = detailIds.split(",");
        //获取当前时间
        Date date = new Date();
        SimpleDateFormat fmt = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        for(int i = 0;i < idArr.length;i++){
            if(StringUtils.isNotBlank(idArr[i])){
                //定义需求操作的对象
                Long id = Long.valueOf(idArr[i]);
                ArchiveOtherExtSubmittime objTemp = new ArchiveOtherExtSubmittime();
                objTemp.setCreateTime(fmt.format(date));
                objTemp.setOtherExtId(id);
                if(StringUtils.isNoneBlank(detailIdArr[i]) && !"null".equals(detailIdArr[i])) {
                    objTemp.setStr1(detailIdArr[i]);
                }
                //定义是否存在
                boolean flag = false;
                //判断存在
                if(!CollectionUtils.isEmpty(infoList)){
                    for(ArchiveOtherExtSubmittime obj : infoList){
                        Long otherExtId = obj.getOtherExtId();
                        if(id.equals(otherExtId)){
                            //存在赋值id
                            objTemp.setId(obj.getId());
                            flag = true;
                            break;
                        }
                    }
                }
                //设置最新时间
                for(ArchiveOtherExt archiveOtherExt : archiveOtherExtVos){
                    if(archiveOtherExt.getId().equals(id)){
                        Date etime = archiveOtherExt.getEtime();
                        objTemp.setStr2(fmt.format(etime));
                    }
                }
                //设置工号
                objTemp.setStr3(userName);
                //存在添加进updateStr,不存在添加进createStr
                if(flag){
                    updateList.add(objTemp);
                }else{
                    createList.add(objTemp);
                }
            }
        }
        //存在则批量更新
        if(!CollectionUtils.isEmpty(updateList)){
            archiveOtherExtSubmittimeMapper.updateInfo(updateList);
        }
        //存在则批量新增
        if(!CollectionUtils.isEmpty(createList)){
            archiveOtherExtSubmittimeMapper.createInfo(createList);
        }
    }


    /**
     * 根据ids字段的查询与同步更新比较时间比较较晚时间的集合
     * @param ids
     * @return
     */
    public List<ArchiveOther> selectAllByIdsAndSubmitTime(String ids,String jzh) {
        return archiveOtherExtMapper.selectAllByIdsAndSubmitTime(ids,jzh);
    }
    public  Integer SuccessByExtIds1(String ids){
    return archiveOtherExtMapper.SuccessByExtIds1(ids);
    }

    /**
     * 查询未同步更新完成的文件名称集合
     * @param patientId 记账号
     * @return
     */
    public String selectC1WithNotCollectFinishByPatientId(String patientId) {
        List<ArchiveOtherExt> archiveOtherExts = archiveOtherExtMapper.selectC1WithNotCollectFinishByPatientId(patientId);
        StringBuilder c1s = new StringBuilder();
        if(!CollectionUtils.isEmpty(archiveOtherExts)){
            for(ArchiveOtherExt archiveOtherExt : archiveOtherExts){
                if(StringUtils.isNotBlank(archiveOtherExt.getC1())){
                    if(StringUtils.isNotBlank(c1s)){
                        c1s.append(",");
                    }
                    c1s.append(archiveOtherExt.getC1());
                }
            }
        }
        return c1s.toString();
    }

    /**
     * 查询校验不完整的集合
     * @return
     */
    public List<ArchiveOtherExt> selectNotCompleteMidList(){
        return archiveOtherExtMapper.selectNotCompleteMidList();
    }

    public List<ArchiveOtherExtVo> selectListBySysFlagAndJzh(Integer sysFlag,String jzh,
                                                             String startDateTo,String endDateTo,
                                                             String filePath) {
        return archiveOtherExtMapper.selectListBySysFlagAndJzh(sysFlag,jzh,startDateTo,endDateTo,filePath);
    }

    public void updateOtherDomForStatusFlag(String jzh, String detailIds) {
        archiveOtherExtMapper.updateOtherDomForStatusFlag(jzh,detailIds,-100);
    }
}
