/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 15:43
 * Description:缺陷管理
 */
package com.emr.service.ipml;

import com.emr.dao.Emr_Fault_DetailMapper;
import com.emr.entity.*;
import com.emr.service.Archive_MasterService;
import com.emr.service.Emr_DictionaryService;
import com.emr.service.Emr_Fault_DetailService;
import com.emr.service.Emr_Fault_TypeService;
import com.emr.util.Msg;
import com.emr.vo.User;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.apache.commons.lang3.StringUtils;
import org.apache.shiro.util.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Arrays;
import java.util.List;

@Service
@Transactional
public class Emr_Fault_DetailServiceImpl implements Emr_Fault_DetailService {

    @Autowired
    private Emr_Fault_DetailMapper emrFaultDetailMapper;

    @Autowired
    private Emr_Fault_TypeService emrFaultTypeService;

    @Autowired
    private Emr_DictionaryService emrDictionaryService;
    @Autowired
    private Archive_MasterService archiveMasterService;
    @Autowired
    private CommomService commomService;
    /**
     * 根据条件查询缺陷列表
     * 病案终审退回
     * @param emrFaultVo
     * @return
     */
    @Override
    public OffsetLimitPage selectByCol(Emr_Fault_Vo emrFaultVo, Integer offset, Integer limit) throws Exception{
        PageHelper.offsetPage(offset, limit);
        List<Emr_Fault_Vo> list = selectByCol(emrFaultVo);
        return new OffsetLimitPage((Page) list);
    }
    @Override
    public List<Emr_Fault_Vo> selectByCol(Emr_Fault_Vo emrFaultVo) throws Exception{
        List<Emr_Fault_Vo> list = emrFaultDetailMapper.selectByCol(emrFaultVo);
        Emr_Dictionary dic = new Emr_Dictionary();
        dic.setEffective(1);
        dic.setTypecode("dept_code");
        //科室列表
        List<Emr_Dictionary> dicList = emrDictionaryService.dicByTypeCode(dic);
        //获取缺陷类别列表
        Emr_Fault_Type obj = new Emr_Fault_Type();
        obj.setEffective(1);
        List<Emr_Fault_Type> typeLis = emrFaultTypeService.selectByCol(obj);
        Msg role = archiveMasterService.getRole();
        List<User> userList = commomService.getUserList();
        if(null != role) {
            for (Emr_Fault_Vo emr_fault_vo : list) {
                //根据状态code转换状态及判断显示按钮
                //计算属于哪种审核角色
                String archivestate = emr_fault_vo.getArchivestate();
                if (StringUtils.isNotBlank(archivestate)) {
                    //转换中文状态
                    Integer status = Integer.valueOf(archivestate);
                    archivestate = EnumVerify.DocState.GetStepName(status, role.getCode());
                    emr_fault_vo.setArchivestate(archivestate);
                }
                //替换科室
                for (Emr_Dictionary dictionary : dicList) {
                    String deptName = emr_fault_vo.getDeptName();
                    //入院科室dept_admission_to
                    String dept2 = emr_fault_vo.getDeptAdmissionTo();

                    if ((deptName != null && deptName.equals(dictionary.getCode())) || (dept2 != null && dept2.equals(dictionary.getCode()))) {
                        //出院科室
                        deptName = deptName.replace(deptName, dictionary.getName());
                        emr_fault_vo.setDeptName(deptName);

                        dept2 = dept2.replace(dept2, dictionary.getName());
                        emr_fault_vo.setDeptAdmissionTo(dept2);
                        break;
                    }
                }

                String assortId = emr_fault_vo.getAssortId();
                if (StringUtils.isNotBlank(assortId)) {
                    String[] assorArr = assortId.split(",");
                    //替换类别
                    for (Emr_Fault_Type typeLi : typeLis) {
                        String id = String.valueOf(typeLi.getId());
                        if (Arrays.asList(assorArr).contains(id)) {
                            assortId = assortId.replace(id, typeLi.getTypeName());
                            emr_fault_vo.setAssortId(assortId);
                        }
                    }
                }
                //替换姓名
                if (!CollectionUtils.isEmpty(userList)) {
                    //转换姓名
                    String userName = emr_fault_vo.getCreater();
                    for (User user : userList) {
                        if (StringUtils.isNotBlank(userName) && userName.equals(user.getUserName())) {
                            emr_fault_vo.setCreater(user.getName());
                            break;
                        }
                    }
                }
            }
        }
        return list;
    }

    @Override
    public Emr_Fault_Detail selectByArchiveDetailId(Emr_Fault_Detail record) {
        return emrFaultDetailMapper.selectByArchiveDetailId(record);
    }

    @Override
    public int insertSel(Emr_Fault_Detail record) {
        return emrFaultDetailMapper.insertSel(record);
    }
}
 

