package com.emr.service.ipml;

import com.emr.dao.EmrHolidaySetMapper;
import com.emr.entity.*;
import com.emr.util.AccountDate;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.text.SimpleDateFormat;
import java.util.*;

@Service
@Transactional
public class HolidaySetService {
    @Autowired
    private EmrHolidaySetMapper holidaySetMapper;
    public OffsetLimitPage selectByColumn(EmrHolidaySetVo holidaySetVo){
        PageHelper.offsetPage(holidaySetVo.getOffset(), holidaySetVo.getLimit());
        List<EmrHolidaySetVo> list = holidaySetMapper.selectByColumn(holidaySetVo);
        return new OffsetLimitPage((Page) list);
    }

    /**
     * 批量新增
     * @param startTime
     * @param endTime
     * @param checkBoxes
     * @param flag
     * @throws Exception
     */
    public void update(String startTime,String endTime,String checkBoxes,Integer flag) throws Exception{
        Map<Integer,String> map = new HashMap<>();
        //将选中星期几添加进map
        String[] checkBoxList = checkBoxes.split(",");
        for(String checkBoxed:checkBoxList){
            if(StringUtils.isNoneBlank(checkBoxed)){
                map.put(Integer.valueOf(checkBoxed),checkBoxed);
            }
        }
        List<String> dateList = AccountDate.getEveryday(startTime,endTime);
        //查询时间段记录
        List<EmrHolidaySet> emrHolidaySets = holidaySetMapper.selectAllByDates(startTime, endTime);
        //定义批量添加集合
        List<EmrHolidaySet> insertList = new ArrayList<>();
        //定义批量更新集合
        List<EmrHolidaySet> updateList = new ArrayList<>();
        //定义批量修改的时间字符串
        String dates = "";
        SimpleDateFormat fmt = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        //没有记录添加进insertList
        for(String date : dateList){
            //查询几天星期几
            Integer weekDay = AccountDate.getWeekDayByStr(date);
            //无记录，全部添加进批量添加集合
            EmrHolidaySet holidaySet = new EmrHolidaySet();
            holidaySet.setDate(date);
            holidaySet.setUpdateTime(fmt.format(new Date()));
            if(flag == 1){
                if(map.containsKey(weekDay)){
                    holidaySet.setFlag(Short.valueOf("1"));
                }else{
                    holidaySet.setFlag(Short.valueOf("2"));
                }
            }else{
                if(map.containsKey(weekDay)){
                    holidaySet.setFlag(Short.valueOf("2"));
                }else{
                    holidaySet.setFlag(Short.valueOf("1"));
                }
            }
            //如果存在记录就区分更新部分还是添加部分
            if(null != emrHolidaySets && !emrHolidaySets.isEmpty()){
                boolean isExist = false;
                for (EmrHolidaySet emrHolidaySet : emrHolidaySets) {
                    if (emrHolidaySet.getDate().equals(date)) {
                        isExist = true;
                        holidaySet.setId(emrHolidaySet.getId());
                        break;
                    }
                }
                //如果存在，添加进更新的字符串
                if(isExist){
                    updateList.add(holidaySet);
                }else{
                    //否则添加进批量添加集合
                    insertList.add(holidaySet);
                }
            }else{
                //数据库无数，添加全部记录
                insertList.add(holidaySet);
            }
        }
        int colCount = holidaySetMapper.selectColByTableName("emr_holiday_set");
        int simpleInsertCount = 2100/(colCount);
        if(!insertList.isEmpty()){
            List<EmrHolidaySet> list = new ArrayList<>();
            for (int i = 0; i < insertList.size(); i++) {
                list.add(insertList.get(i));
                if(list.size()%simpleInsertCount == 0 || i == insertList.size() - 1){
                    holidaySetMapper.SampleInsert(list);
                    list.clear();
                }
            }
        }
        if(!updateList.isEmpty()){
            List<EmrHolidaySet> list = new ArrayList<>();
            for (int i = 0; i < updateList.size(); i++) {
                list.add(updateList.get(i));
                if(list.size()%simpleInsertCount == 0 || i == updateList.size() - 1){
                    holidaySetMapper.SampleUpdate(updateList);
                    list.clear();
                }
            }
        }
    }

    /**
     * 单个修改状态
     * @param flag
     * @param id
     */
    public void update(Integer flag,Integer id){
        EmrHolidaySet emrHolidaySet = holidaySetMapper.selectByPrimaryKey(id);
        if(flag == 1){
            emrHolidaySet.setFlag(Short.valueOf("2"));
        }else{
            emrHolidaySet.setFlag(Short.valueOf("1"));
        }
        holidaySetMapper.updateByPrimaryKeySelective(emrHolidaySet);
    }
}
