package com.emr.service.ipml;

import com.emr.dao.Zd_AssortMapper;
import com.emr.entity.Power_User;
import com.emr.entity.Zd_Assort;
import org.apache.shiro.util.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @ProjectName:
 * @Description:
 * @Param 传输参数
 * @Return
 * @Author: 曾文和
 * @CreateDate: 2020/4/22 15:47
 * @UpdateUser: 曾文和
 * @UpdateDate: 2020/4/22 15:47
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
@Service
@Transactional
public class ZdAssortService {
    @Autowired
    private Zd_AssortMapper assortMapper;
    @Autowired
    private CommomService commomService;
    public List<Zd_Assort> selectAll(Zd_Assort assort){
        return assortMapper.selectAll(assort);
    }
    public List<Zd_Assort> selectAllByIsCheck(){
        Zd_Assort assort = new Zd_Assort();
        assort.setPrintFlag("0");
        assort.setIsCheck(1);
        return assortMapper.selectAll(assort);
    }

    /**
     * 根据登陆者id获取权限分类
     * @return
     */
    public List<Zd_Assort> selectAssortListByUserId(HttpServletRequest request) {
        Power_User currentUser = commomService.getCurrentUser(request);
        Integer roleId = currentUser.getRoleId();
        if (roleId == 0 || roleId == -100) {
            //系统管理员或医院管理员全查
            return null;
        } else {
            //按权限分类查
            List<Zd_Assort> zdAssorts = assortMapper.selectAssortListByUserId(currentUser.getUserId(),currentUser.getRoleId());
            //如果未分配分类使用全部查询
            if (CollectionUtils.isEmpty(zdAssorts)) {
                return null;
            } else {
                return zdAssorts;
            }
        }
    }
}
