﻿<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>出院浏览</title>
    <meta http-equiv="Content-Type"  content="text/html;charset=utf-8">
    <meta name="referrer" content="never">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
    <%@ include file="../../jspf/ztreeCommom.jsp" %>
    <style>
        .divCss {
            margin-top: 5px;
        }
        .divCss2 {
            margin-top: 5px;
            margin-left: 5px;
        }
        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }
        .divCss3 {
            margin-top: 5px;
            margin-left: 20px;
            color: blue;
        }
        .divCss4 {
            border-top: 1px solid #e5e5e5;
            width: 97.5%;
            margin-top: 10px;
            margin-bottom: 5px;
        }
        .labCss {
            color: #c1c3c4;
        }
        .titleCss {
            text-align: left;
            vertical-align: middle;
            background-color: #3c8dbc;
            color: #fff;
            font-size: 19px;
            font-weight: bold;
            height: 30px;
            margin-bottom: 10px;
        }
        .treeBtn {
            margin-top: 10px;
            margin-left: 10px;
            margin-right: 10px;
        }
        .zTreeDemo {
            height: auto;
            min-height: 350px;
        }
        .zTreeDemo2 {
            min-height: 350px;
            height: calc(100vh - 227px);
        }
        .divCss5 {
            border-left: 2px solid #e5e5e5;
            height: auto;
            min-height: 350px;
        }
        .btnGroupCss {
            text-align: right;
        }
        /* dataTables表头居中 */
        .table > thead:first-child > tr:first-child > th {
            text-align: center !important;
        }
        #assortModal > div > div {
            width: 500px;
        }
        #exampleModal > div > div {
            width: 400px;
        }
        #returnModal .modal-content {
            width: 95%;
        }
        .imgDivCss {
            min-height: 400px !important;
        }
        .showImg {
            width: 80%;
            height: 100%
        }
        .shadeImg {
            height: 950px;
        }
        .wzContent {
            color: red;
        }
        /**
         *多选下拉框
         */
        .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
            width: 168px !important;
        }

        .filter-option-inner-inner {
            font-size: 12px;
        }
        .loading {
            width: 148px;
            height: 56px;
            position: absolute;
            top: 7px;
            right: 16px;
            line-height: 56px;
            color: red;
            padding-left: 60px;
            font-size: 7px;
            background: #000;
            opacity: 0.7;
            -moz-border-radius: 20px;
            -webkit-border-radius: 20px;
            border-radius: 20px;
            filter: progid:DXImageTransform.Microsoft.Alpha(opacity=70);
            display: none;
        }
        .content-title {
            text-align: center
        }
    </style>
    <script>
        var path = "${path}";
        var selectPower = '<shiro:hasPermission name="/beHosp/beHospList">1</shiro:hasPermission>';
        var showFlowPower = '<shiro:hasPermission name="/beHosp/showFlow">1</shiro:hasPermission>';
        var otherPower = '<shiro:hasPermission name="/beHosp/other">1</shiro:hasPermission>';
    </script>
</head>
<body>
<!--是否是通知跳转这里-->
<input type="hidden" id="flag" value="${flag}">
<!--姓名-->
<input type="hidden" id="currentName" value="${CURRENT_USER.userPosition}">
<!--隐藏是否是初始化-->
<input type="hidden" id="isSearch" value="1">
<!--拥有的审核角色的id-->
<input type="hidden" id="currentRoleIds">
<!--当前roleIndex-->
<input type="hidden" id="currentRole">
<!--当前操作角色-->
<input type="hidden" id="checker">
<!--查询审核节点的支线-->
<input type="hidden" id="searchOperRole">
<!--角色id-->
<input type="hidden" id="roleId" value="${CURRENT_USER.roleId}">
<div class="mainBody">
    <div class="main">
        <div class="headDiv">
            <div class="headSpanDiv">
        <span class="headspan">
            出院浏览
        </span>
            </div>
        </div>
        <div class="mainDiv">
            <!--搜索-->
            <form style="margin-top:5px;margin-bottom: 0!important;">
                <div class="form-inline">
                    <div class="form-group divCss8">
                        <label for="name">主管医生:</label>
                        <select class="selectpicker bla bla bli" multiple data-live-search="true" data-actions-box="true" name="deptName"
                                id="doctorInCharge" title="请输入主管医生" onchange="doctorOnChange(this)">
                            <option value="">全部</option>
                        </select>
                    </div>
                    <div class="form-group divCss8">
                        <label for="inpNo">&emsp;住院号:</label>
                        <input type="text" class="input-sm form-control" id="inpNo" placeholder="请输入住院号" maxlength="25">
                    </div>
                    <div class="form-group divCss8">
                        <label for="visitId">住院次数:</label>
                        <input type="number" class="input-sm form-control" min="1" id="visitId" placeholder="请输入次数"
                               maxlength="2">
                    </div>
                    <div class="form-group divCss8">
                        <label for="name">姓&emsp;&emsp;名:</label>
                        <input type="text" class="input-sm form-control" id="name" placeholder="请输入姓名" maxlength="8">
                    </div>
                    <div class="form-group divCss8" id="deptDiv" style="height: 18px;margin-top: -7px;">
                        <label>出院科室:</label>
                        <select class="selectpicker bla bla bli" multiple data-live-search="true" data-actions-box="true" name="deptName" id="deptName" title="请输入科室">
                        </select>
                    </div>
                    <div class="form-group divCss8">
                        <label>出院日期:</label>
                        <div class="input-group input-daterange">
                            <input type="text" class="input-sm form-control" name="start" id="startDateTo"
                                   maxlength="10" autocomplete="off" value="${overDateSet}"/>
                            <span class="input-group-addon">-</span>
                            <input type="text" class="input-sm form-control" name="end" id="endDateTo" maxlength="10" autocomplete="off" value="${remindDate}"/>
                        </div>
                    </div>
                    <div class="form-group divCss">
                        <label>出院时段:</label>
                        <select class="form-control input-sm" id="timeInterval"
                                onchange="loadTableByTime(this.options[this.options.selectedIndex].value,'startDateTo','endDateTo','table')">
                        </select>
                    </div>
                    <div class="form-group divCss">
                        <label>是否完整:</label>
                        <select class="input-sm form-control" id="isSuccessSearch">
                            <option value="">全部</option>
                            <option value="1">是</option>
                            <option value="0">否</option>
                        </select>
                    </div>
                    <div class="form-group divCss">
                        <label>审核状态:</label>
                        <select class="input-sm form-control" id="archivestate1">
                            <option value="">全部</option>
                            <option value="0">待审核</option>
                            <option value="1">已审核</option>
                        </select>
                    </div>
                    <div class="form-group divCss">
                        <label>待审核节点:</label>
                        <select class="form-control input-sm" id="infoId">
                            <option value="">全部</option>
                            <option value="2" <c:if test="${infoId == 2}">selected</c:if>>医生提交</option>
                            <option value="3" <c:if test="${infoId == 3}">selected</c:if>>医生质控员质控</option>
                            <option value="4" <c:if test="${infoId == 4}">selected</c:if>>科主任审核</option>
                            <option value="5" <c:if test="${infoId == 5}">selected</c:if>>护士提交</option>
                            <option value="6" <c:if test="${infoId == 6}">selected</c:if>>护士质控员质控</option>
                            <option value="7" <c:if test="${infoId == 7}">selected</c:if>>护士长审核</option>
                            <option value="8" <c:if test="${infoId == 8}">selected</c:if>>病案室审核</option>
                        </select>
                    </div>
                    <div class="form-group divCss">
                        <label>HIS召回状态:</label>
                        <select class="form-control input-sm" id="callBackStatus">
                            <option value="">全部</option>
                            <option value="1">是</option>
                            <option value="0">否</option>
                        </select>
                    </div>
                    <div class="form-group divCss">
                        <label>打印状态:</label>
                        <select class="form-control input-sm" id="printStatus">
                            <option value="">全部</option>
                            <option value="1">是</option>
                            <option value="0">否</option>
                        </select>
                    </div>
                    <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtn">查询</button>
                    <button type="button" class="btn btn-info btn-sm divCss" id="excelBtn">条件导出</button>
                    <button type="button" class="btn btn-primary btn-sm divCss" id="approvesBtn">批量审核</button>
                </div>
            </form>
            <!--数据表格-->
            <div class=table-responsive">
                <table id="table" class="table text-nowrap table-striped"></table>
            </div>
            <div id="toolbar" class="btn-group pull-right" style="margin-right: 20px;">
                <div class="columns columns-right btn-group pull-right">
                    <div class="btn-group btn-info">
                        <select id="sel_exportoption" class="form-control">                
                            <option value="">导出当前页面数据</option>
                            <option value="all">导出全部数据</option>
                            <option value="selected">导出选中数据</option>
                        </select>
                    </div>
                    <button class=" btn btn-success" style="height: 34px" type="button" id="refreshBtn" name="refresh"
                            aria-label="Refresh"
                            title="Refresh">
                        <i class="glyphicon glyphicon-refresh icon-refresh"></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- 模态框1（Modal）查看档案 -->
<div class="modal fade" id="selModal" tabindex="1" role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content modal-contentHigh">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title">
                    病历清单
                </h4>
            </div>
            <div class="modal-body divCss2">
                <!--通过审批且未过期的patientId集合-->
                <form class="form-horizontal" id="form1">
                    <!--记账号-->
                    <input id="patientId" type="hidden">
                    <input id="masterId" hidden></input>
                    <div class="row">
                        <div class="row divCss3">病历信息</div>
                        <div class="row divCss2">
                            <div class="col-sm-5" hidden>
                                病案号：<label id="idLab" class="labCss"></label><label id="assortId"
                                                                                    hidden></label>
                            </div>
                            <div class="col-sm-4">
                                住院号：<label id="inLab" class="labCss"></label>
                            </div>
                            <div class="col-sm-4">
                                住院次数：<label id="inTimeLab" class="labCss"></label>
                            </div>
                            <div class="col-sm-3">
                                姓名：<label id="nameLab" class="labCss"></label>
                            </div>
                        </div>
                        <div class="row divCss2">

                            <div class="col-sm-4"><input type="text" id="outDateLab" hidden/>
                                入院科室：<label id="deptToLab" class="labCss"></label>
                            </div>
                            <div class="col-sm-4">
                                入院日期：<label id="inDateLab" class="labCss"></label>
                            </div>
                            <div class="col-sm-4">
                                总费用：<label id="d1" class="labCss">0</label>&emsp;元
                            </div>
                            <div class="col-sm-4" id="recallDiv">
                                缺陷管理:
                                <button type="button" class="btn btn-danger btn-sm" id="getRecallBtn">缺陷查看
                                </button>
                            </div>
                        </div>
                        <div class="row divCss2">
                            <div class="col-sm-4"><input type="text" id="outDateLab1" hidden/>
                                出院科室：<label id="deptToLab1" class="labCss"></label>
                            </div>
                            <div class="col-sm-4">
                                出院日期：<label id="inDateLab1" class="labCss"></label>
                            </div>
                            <div class="col-sm-4">
                                完整性审核：<span id="wzContent"></span>
                            </div>
                        </div>
                    </div>
                    <div class="divCss4"></div>
                    <div class="row">
                        <div class="row divCss3 ">病历清单</div>
                        <div class="col-sm-3 divCss2" style="width: 25%">
                            <div class="row titleCss"></div>
                            <div class="row">
                                <div class="col-sm-9">
                                    <input type="text" id="key" value="" class="input-sm form-control empty"
                                           placeholder="分段名称"/>
                                </div>
                                <button type="button" class="btn btn-primary btn-sm" id="searchBtn1">查询</button>
                            </div>
                            <div class="row">
                                <button type="button" class="btn  btn-success btn-sm treeBtn"
                                        onclick="expandAll();">
                                    全部展开
                                </button>
                                <button type="button" class="btn  btn-success btn-sm treeBtn"
                                        onclick="collapseAll();">
                                    全部收缩
                                </button>
                            </div>
                            <div class="row">
                                <!--树-->
                                <div class="zTreeDemo" id="foo">
                                    <ul id="ztree" class="ztree"></ul>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-8 divCss5" style="width: 73%">
                            <div class="row btnGroupCss">
                                <button type="button" class="btn btn-danger btn-sm" id="checkSuccessBtn">查看完整性</button>
                                <button type="button" class="btn btn-primary btn-sm" id="workDetail">任务详情</button>
                                <button type="button" class="btn btn-default btn-sm" id="uploadBtn">上传文件
                                </button>
                                <button type="button" class="btn btn-info btn-sm" id="pdfBtn">查看分段PDF</button>
                                <button type="button" class="btn btn-success btn-sm" id="pdfBtn2">查看PDF</button>
                                <button type="button" class="btn btn-warning btn-sm" id="updateStateBtn">选中作废
                                </button>
                                <button type="button" class="btn btn-primary btn-sm" id="updateStateBtn2">选中使用
                                </button>
                            </div>
                            <div class="row">
                                <div class="form-inline">
                                    <div class="form-group divCss8" style="margin:10px 5px">
                                        <label for="name">标题:</label>
                                        <input type="text" class="input-sm form-control" id="title" maxlength="25"
                                               placeholder="请输入标题">
                                    </div>
                                    <div class="form-group divCss8" style="margin:0">
                                        <label for="inpNo">来源:</label>
                                        <select class="form-control" id="source">
                                            <option value="">全部</option>
                                        </select>
                                    </div>
                                    <div class="form-group divCss8" style="margin:0;margin-left: 10px;">
                                        <button type="button" class="btn btn-primary btn-sm" id="searchBtn2">查询</button>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <!--数据表格-->
                                <table id="table2" class="table text-nowrap table-striped"></table>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<!-- 模态框2（Modal）分段信息 -->
<div class="modal fade" id="assortModal" tabindex="2" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content modal-contentLow">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title">
                    病历清单详情
                </h4>
            </div>
            <div class="modal-body">
                <!--通过审批且未过期的patientId集合-->
                <input type="hidden" id="inpId" name="inpId">
                <div class="row">
                    <div class="form-group"><input id="fileUrlInp" hidden/>
                        <label class="col-sm-4 control-label">标题：</label>
                        <div class="col-sm-5">
                            <input type="text" class="input-sm form-control" id="inpTitle" name="inpTitle"
                                   maxlength="100">
                        </div>
                        <div class="col-sm-1"></div>
                    </div>
                </div>
                <div class="row">
                    <div class="form-group">
                        <label class="col-sm-4 control-label">类型：</label>
                        <div class="col-sm-5">
                            <select class="input-sm form-control" id="inpType"></select>
                        </div>
                        <div class="col-sm-1"></div>
                    </div>
                </div>
                <div class="row">
                    <div class="form-group">
                        <label class="col-sm-4 control-label">来源：</label>
                        <div class="col-sm-5">
                            <input type="text" class="input-sm form-control" readonly id="inpSource" name="inpSource"
                                   maxlength="25">
                        </div>
                        <div class="col-sm-1"></div>
                    </div>
                </div>
                <div class="row">
                    <div class="form-group">
                        <label class="col-sm-4 control-label">状态：</label>
                        <div class="col-sm-5">
                            <select class="input-sm form-control" id="inpFlag">
                                <option value="0">使用</option>
                                <option value="1">作废</option>
                            </select>
                        </div>
                        <div class="col-sm-1"></div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary btn-sm" id="saveBtn">保存</button>
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">关闭</button>
            </div>
        </div>
    </div>
</div>
<%--多图片框--%>
<div class="modal fade" id="pdfModal" tabindex="-1" role="dialog"
     aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content enterCss modal-contentHigh">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                        aria-hidden="true">×</span></button>
                <h4 class="modal-title">手动上传扫描病历（图片上传）</h4>
            </div>
            <div class="modal-body">
                <form id="filesUpload" style="margin-top:20px;" method="POST" enctype="multipart/form-data">
                    <div class="imgDivCss" id="divImg">
                        <div class="form-inline">
                            <div class="form-group divCss">
                                <label>归类 :</label>
                                <select class="input-sm form-control" id="inpGl">
                                    <option value="非类型">非类型</option>
                                    <option value="">全部</option>
                                </select>
                            </div>
                            <button type="button" class="btn btn-primary btn-sm divCss" id="imgBtn">查询</button>
                            <button type="button" class="btn btn-warning btn-sm divCss" id="imgsSaveBtn">保存</button>
                            <a href="javascript:;" class="a-upload btn btn-info btn-sm">
                                <input type="file" name="myFile" id="myFile" multiple="multiple" hidden/>选择文件
                            </a>
                        </div>
                        <div class="img_div"></div>
                        <div class="shade" onclick="javascript:closeShade()">
                            <div class=""><span class="text_span"></span>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<%--发大弹窗--%>
<div class="modal fade" id="maxImg" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-contentLow">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                        aria-hidden="true">×</span></button>
            </div>
            <div class="modal-body" STYLE="height: 950px">
                <div class="shadeImg" onclick="javascript:closeShadeImg()">
                    <div class="">
                        <img class="showImg" src=""/>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">返回</button>
            </div>
        </div>
    </div>
</div>
<%--确认框--%>
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-contentLow">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title" id="exampleModalLabel">确认作废</h4>
            </div>
            <div class="modal-body">
                <form>
                    <div class="form-group">
                        <input type="hidden" id="idT" name="idT" value=""/>
                        <label class="control-label">作废该分段记录吗？</label>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">返回</button>
                <button type="button" class="btn btn-primary btn-sm" id="stateBtn">确认</button>
            </div>
        </div>
    </div>
</div>
<%--退回弹窗--%>
<div class="modal fade" id="returnModal" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-contentHigh">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">终审退回信息</h4>
            </div>
            <div class="modal-body divCss2">
                <!--通过审批且未过期的patientId集合-->
                <form class="form-horizontal" id="form2">
                    <div class="row">
                        <input id="backArchiveId" hidden>
                        <input id="formToken1" hidden>
                        <input id="status" type="hidden">
                        <input id="targetCode" type="hidden">
                        <div class="row divCss3">缺陷信息</div>
                        <div class="row divCss2">
                            <div class="row divCss2">
                                <span style="float:left;vertical-align:top;">选项：</span>
                                <div style="float:left;" id="faultTypeDiv">
                                </div>

                            </div>
                            <div class="row divCss2">
                                <span style="vertical-align:top;">内容：</span><textarea id="content" rows="6" cols="80"
                                                                                      maxlength="500"></textarea>
                            </div>
                        </div>
                    </div>

                    <div class="divCss4"></div>
                    <div class="row">
                        <div class="row divCss3 ">退回信息</div>
                        <div class="row divCss2">
                            <div class="row divCss2">
                                <span style="vertical-align:center;">评分：</span><input id="score" type="number"
                                                                                      class="input-sm " min="1"/> 分
                            </div>
                            <div class="row divCss22" style="margin-left: 0!important;">
                                <span>退给角色：</span>
                                <label id="returnDoctor" style="display: none"><input type="checkbox"
                                                                                      name="returntoRole"
                                                                                      class="returntoRole"
                                                                                      value="DOCTOR"/>医生</label>
                                <label id="returnNurse" style="display: none"><input type="checkbox" name="returntoRole"
                                                                                     value="NURSE"/>护士</label>
                            </div>
                            <div class="row divCss2">
                                <span style="vertical-align:top;">内容：</span><textarea id="backContent" rows="6"
                                                                                      cols="80"
                                                                                      maxlength="500"></textarea>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">返回</button>
                <button type="button" class="btn btn-primary btn-sm" id="returnBtn">确认</button>
            </div>
        </div>
    </div>
</div>
<%--审核弹窗--%>
<div class="modal fade" id="verifyModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-contentLow">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">初审信息</h4>
            </div>
            <div class="modal-body">
                <form>
                    <input type="hidden" name="formToken" id="formToken">
                    <div class="form-group ">
                        <input id="archiveId" type="hidden"/>
                        <input id="roleCode" type="hidden"/>
                        <input id="archivestate" type="hidden"/>
                        <input id="role" type="hidden"/>
                        <input id="isSuccess" type="hidden"/>
                        <input id="approveCount" type="hidden"/>
                        <span style="vertical-align:top;">内容：</span><textarea rows="6" cols="70" id="verifyText"
                                                                              maxlength="255"></textarea>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">返回</button>
                <button type="button" class="btn btn-primary btn-sm" id="verifyBtn">通过</button>
            </div>
        </div>
    </div>
</div>
<%--审核弹窗--%>
<div class="modal fade" id="WZModal" tabindex="-5" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-contentLow">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">初审信息</h4>
            </div>
            <div class="modal-body">
                <form>
                    <div class="form-group ">
                        <label class="control-label" id="resultLabel">
                            <p id="resultLabel1"></p>
                            <p id="resultLabel2"></p>
                            <p>是否强制提交?</p>
                        </label>
                        <textarea hidden id="WzRsult"></textarea>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">返回</button>
                <button type="button" class="btn btn-primary btn-sm" id="wzSaveBtn">通过</button>
            </div>
        </div>
    </div>
</div>
<%--审核确认弹窗--%>
<div class="modal fade verifyModal" id="sureModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-contentHigh">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">确认是否批量审批本次选中病历</h4>
            </div>
            <div class="modal-body">
                <table id="table3" class="table text-nowrap table-striped"></table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">返回</button>
                <button type="button" class="btn btn-primary btn-sm" id="sureBtn">确认通过</button>
            </div>
        </div>
    </div>
</div>
<%--审核完成不完整表格弹窗--%>
<div class="modal fade verifyModal" id="unSuccessModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-contentHigh">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">批量审批结果</h4>
            </div>
            <h1 style="text-align: center" id="returnInfo"></h1>
            <div class="modal-body">
                <table id="table4" class="table text-nowrap table-striped"></table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">关闭</button>
            </div>
        </div>
    </div>
</div>
<%--查看流程弹窗--%>
<div class="modal fade" id="showFlowInfo" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-contentHigh">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">查看流程</h4>
            </div>
            <div class="modal-body">
                <iframe id="showFlowInfoIframe" width="100%" height="100%" scrolling="yes"></iframe>
            </div>
        </div>
    </div>
</div>
<%--跨科查阅弹窗--%>
<div class="modal fade" id="showTransferDeptUser" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content" style="width: 50%;
    margin-left: 25%;">
            <input id="masterId1" hidden>
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">跨科查阅</h4>
            </div>
            <div class="modal-body" style="text-align: center">
                <div class="form-inline">
                    <input type="text" id="key2" autocomplete="false" class="input-sm " placeholder="用户工号/姓名"
                           maxlength="25"/>
                    <button type="button" class="btn btn-primary btn-sm" id="transferDeptUserBtn">保存</button>
                </div>
                <div class="row">
                    <button type="button" class="btn  btn-success btn-sm treeBtn" onclick="expandAll2(2);">全部展开
                    </button>
                    <button type="button" class="btn  btn-success btn-sm treeBtn" onclick="collapseAll2(2);">全部收缩
                    </button>
                </div>
                <div class="row">
                    <!--树-->
                    <div class="col-md-12">
                        <div class="zTreeDemo2">
                            <ul id="ztree2" class="ztree" style="margin-left: 169px;width: 50%!important;height: 100%;"></ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- 模态框5（Modal）任务详情 -->
<div class="modal fade" id="workDetailModal" tabindex="1" role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content modal-contentCenter">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title">
                    任务详情
                </h4>
            </div>
            <div class="modal-body" style="padding-top:0px!important">
                <div id="loading" class="loading">正在采集,请稍等</div>
                <div class="row">
                    <div class="col-sm-12">
                        <section class="content-title">
                            <h3>
                                <small id="workTitle"></small>
                            </h3>
                        </section>
                        <div class="form-inline">
                            <div class="form-group divCss8">
                                <label for="name">标题:</label>
                                <input type="text" class="input-sm form-control" id="c2" maxlength="25"
                                       placeholder="请输入标题">
                            </div>
                            <div class="form-group divCss8">
                                <label for="inpNo">状态:</label>
                                <select class="form-control input-sm" id="statusflag">
                                    <option value=''>请选择状态</option>
                                </select>
                            </div>
                            <div class="form-group divCss8">
                                <label for="inpNo">分段:</label>
                                <select class="form-control input-sm" id="assortIdSearch">
                                    <option value=''>请选择分段</option>
                                </select>
                            </div>
                            <div class="form-group divCss8">
                                <label for="inpNo">来源:</label>
                                <select class="form-control input-sm" id="sysflag">
                                    <option value=''>请选择来源</option>
                                </select>
                            </div>
                           <%-- <div class="form-group divCss8">
                                <label>结束时间:</label>
                                <div class="input-group input-daterange">
                                    <input type="text" class="input-sm form-control" name="start" id="startDateTo"
                                           maxlength="10" autocomplete="off"/>
                                    <span class="input-group-addon">-</span>
                                    <input type="text" class="input-sm form-control" name="end" id="endDateTo" maxlength="10"
                                           autocomplete="off"/>
                                </div>
                            </div>--%>
                            <div class="form-group divCss8" style="margin:0;margin-left: 10px;">
                                <button type="button" class="btn btn-primary btn-sm" onclick="initTable5('','server')">查询</button>
                                <button type="button" class="btn btn-primary btn-sm" id="searchBtn6">批量更新</button>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12" style="text-align: center;color: red">
                    </div>
                    <!--数据表格-->
                    <div class="col-sm-12" style="margin-top: 5px">
                        <table id="table5" class="table text-nowrap table-striped" style="max-width: 60px; white-space: nowrap;text-overflow: ellipsis;overflow: hidden;"></table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
<script src="${path}/static/js/beHospList/beHospList.js?time=2021-08-04"></script>
<script src="${path}/static/js/hospitalCommom/hospitalCommom.js?time=2021-08-01"></script>
<script src="${path}/static/js/hospitalLoadPdf/loadPdf.js?time=2020-10-16"></script>
</html>