﻿﻿
<%@ page language="java" import="java.util.*" pageEncoding="UTF-8" contentType="text/html;charset=UTF-8" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<%@include file="../../jspf/comm.jspf" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>查看流程</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    <%
        String[] classNames = {"bg-blue", "bg-aqua", "bg-yellow", "bg-purple", "bg-maroon"};
    %>
    <%!
        int counter = 0;
        int counter1 = 0;

        synchronized void counterFunction() {
            counter++;
        }

        synchronized void counterFunction1() {
            counter1++;
        }
    %>
    <style>
        .content-header {
            text-align: center
        }

        .timeline-body {
            border-bottom: 1px solid #f4f4f4;
        }

        .section_left {
            width: 50%;
            float: left;
        }

        .section_right {
            width: 50%;
            float: left;
        }
        .operName{
            font-weight: bold;
            color:#72AFD2;
        }
    </style>
</head>
<body>
<div>
    <section class="content-header">
        <h1>
            ${master.name}
            <small>病案号:${master.inpNo} 住院次数:${master.visitId} 出院日期:<fmt:parseDate value="${master.dischargeDateTime}"
                                                                                  var="releaseTime"
                                                                                  pattern="yyyy-MM-dd"/>
                <fmt:formatDate value="${releaseTime}" pattern="yyyy-MM-dd"/></small>
        </h1>
    </section>

    <!-- 医生或护士查看流程显示单流程,审核角色不等于4 -->
    <c:if test="${master.role != 4}">
        <section class="content">
            <!-- row -->
            <div class="row">
                <div class="col-md-12">
                    <ul class="timeline">
                        <c:forEach items="${list}" var="info">
                            <c:if test="${info.operRole == master.role}">
                                <li class="time-label">
                                        <span class="bg-green">
                                            <fmt:formatDate value="${info.sumbitTime}" pattern="yyyy-MM-dd HH:mm:ss"/>
                                        </span>
                                </li>
                                <li>
                                    <i class="fa fa-user  <%=classNames[counter%classNames.length]%>"></i>
                                    <%counterFunction();%>
                                    <div class="timeline-item">
                                        <span class="time"><i class="fa fa-clock-o"></i>扣除假日后用时 ${info.useTime}</span>
                                        <h3 class="timeline-header">
                                            <span class="operName">${info.userName}</span>
                                            <span>${info.sumbitName}</span>
                                            <c:choose>
                                                <c:when test="${info.faultId != null && info.faultId != ''}">
                                                    <span style="color:red">审核不通过</span>
                                                </c:when>
                                                <c:otherwise>
                                                    <span style="color:green">审核通过</span>
                                                </c:otherwise>
                                            </c:choose>
                                        </h3>
                                        <c:choose>
                                            <c:when test="${info.faultId != null && info.faultId != ''}">
                                                <div class="timeline-body" style="color:red">
                                                    <c:if test="${info.faultAssortName != '' && info.faultAssortName != null}">
                                                        <p>缺陷选项:${info.faultAssortName}</p>
                                                    </c:if>
                                                    <c:if test="${info.content != '' && info.content != null}">
                                                        <p>缺陷信息内容:${info.content}</p>
                                                    </c:if>
                                                    <c:if test="${info.backContent != '' && info.backContent != null}">
                                                        <p>退回信息内容:${info.backContent}</p>
                                                    </c:if>
                                                </div>
                                            </c:when>
                                            <c:otherwise>
                                                <c:if test="${info.remark != '' && info.remark != null}">
                                                    <div class="timeline-body">
                                                        审核答复:${info.remark}
                                                    </div>
                                                </c:if>
                                            </c:otherwise>
                                        </c:choose>
                                    </div>
                                </li>
                            </c:if>
                        </c:forEach>
                        <!-- END timeline item -->
                        <li class="time-label">
                            <span class="bg-green">
                                    ${master.dischargeDateTime}
                            </span>
                        </li>
                        <li>
                            <i class="fa fa-clock-o bg-gray"></i>
                            <div class="timeline-item">
                                <h3 class="timeline-header">出院日期</h3>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </section>
    </c:if>
    <!-- 管理员查看流程显示双流程 role=4-->
    <c:if test="${master.role == 4}">
        <div class="section_left">
            <section class="content">
                <div style="text-align:center">
                    <h4>医生审核</h4>
                </div>
                <!-- row -->
                <div class="row">
                    <div class="col-md-12">
                        <ul class="timeline">
                            <c:forEach items="${list}" var="info">
                                <c:if test="${info.operRole != 2}">
                                    <li class="time-label">
                                        <span class="bg-green">
                                            <fmt:formatDate value="${info.sumbitTime}" pattern="yyyy-MM-dd HH:mm:ss"/>
                                        </span>
                                    </li>
                                    <li>
                                        <i class="fa fa-user  <%=classNames[counter%classNames.length]%>"></i>
                                        <%counterFunction();%>
                                        <div class="timeline-item">
                                            <span class="time"><i
                                                    class="fa fa-clock-o"></i>扣除假日后用时 ${info.useTime}</span>
                                            <h3 class="timeline-header">
                                                <span class="operName">${info.userName}</span>
                                                <span>${info.sumbitName}</span>
                                                <c:choose>
                                                    <c:when test="${info.faultId != null && info.faultId != ''}">
                                                        <span style="color:red">审核不通过</span>
                                                    </c:when>
                                                    <c:otherwise>
                                                        <span style="color:green">审核通过</span>
                                                    </c:otherwise>
                                                </c:choose>
                                            </h3>
                                            <c:choose>
                                                <c:when test="${info.faultId != null && info.faultId != ''}">
                                                    <div class="timeline-body" style="color:red">
                                                        <c:if test="${info.faultAssortName != '' && info.faultAssortName != null}">
                                                            <p>缺陷选项:${info.faultAssortName}</p>
                                                        </c:if>
                                                        <c:if test="${info.content != '' && info.content != null}">
                                                            <p>缺陷信息内容:${info.content}</p>
                                                        </c:if>
                                                        <c:if test="${info.backContent != '' && info.backContent != null}">
                                                            <p>退回信息内容:${info.backContent}</p>
                                                        </c:if>
                                                    </div>
                                                </c:when>
                                                <c:otherwise>
                                                    <c:if test="${info.remark != '' && info.remark != null}">
                                                        <div class="timeline-body">
                                                            审核答复:${info.remark}
                                                        </div>
                                                    </c:if>
                                                </c:otherwise>
                                            </c:choose>
                                        </div>
                                    </li>
                                </c:if>
                            </c:forEach>
                            <!-- END timeline item -->
                            <li class="time-label">
                            <span class="bg-green">
                                    ${master.dischargeDateTime}
                            </span>
                            </li>
                            <li>
                                <i class="fa fa-clock-o bg-gray"></i>
                                <div class="timeline-item">
                                    <h3 class="timeline-header">出院日期</h3>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
            </section>
        </div>
        <div class="section_right">
            <section class="content">
                <div style="text-align:center">
                    <h4>护士审核</h4>
                </div>
                <!-- row -->
                <div class="row">
                    <div class="col-md-12">
                        <ul class="timeline">
                            <c:forEach items="${list}" var="info">
                                <c:if test="${info.operRole != 1}">
                                    <li class="time-label">
                                        <span class="bg-green">
                                            <fmt:formatDate value="${info.sumbitTime}" pattern="yyyy-MM-dd HH:mm:ss"/>
                                        </span>
                                    </li>
                                    <li>
                                        <i class="fa fa-user  <%=classNames[counter1%classNames.length]%>"></i>
                                        <%counterFunction1();%>
                                        <div class="timeline-item">
                                            <span class="time"><i
                                                    class="fa fa-clock-o"></i>扣除假日后用时 ${info.useTime}</span>
                                            <h3 class="timeline-header">
                                                <span class="operName">${info.userName}</span>
                                                <span>${info.sumbitName}</span>
                                                <c:choose>
                                                    <c:when test="${info.faultId != null && info.faultId != ''}">
                                                        <span style="color:red">审核不通过</span>
                                                    </c:when>
                                                    <c:otherwise>
                                                        <span style="color:green">审核通过</span>
                                                    </c:otherwise>
                                                </c:choose>
                                            </h3>
                                            <c:choose>
                                                <c:when test="${info.faultId != null && info.faultId != ''}">
                                                    <div class="timeline-body" style="color:red">
                                                        <c:if test="${info.faultAssortName != '' && info.faultAssortName != null}">
                                                            <p>缺陷选项:${info.faultAssortName}</p>
                                                        </c:if>
                                                        <c:if test="${info.content != '' && info.content != null}">
                                                            <p>缺陷信息内容:${info.content}</p>
                                                        </c:if>
                                                        <c:if test="${info.backContent != '' && info.backContent != null}">
                                                            <p>退回信息内容:${info.backContent}</p>
                                                        </c:if>
                                                    </div>
                                                </c:when>
                                                <c:otherwise>
                                                    <c:if test="${info.remark != '' && info.remark != null}">
                                                        <div class="timeline-body">
                                                            审核答复:${info.remark}
                                                        </div>
                                                    </c:if>
                                                </c:otherwise>
                                            </c:choose>
                                        </div>
                                    </li>
                                </c:if>
                            </c:forEach>
                            <!-- END timeline item -->
                            <li class="time-label">
                            <span class="bg-green">
                                    ${master.dischargeDateTime}
                            </span>
                            </li>
                            <li>
                                <i class="fa fa-clock-o bg-gray"></i>
                                <div class="timeline-item">
                                    <h3 class="timeline-header">出院日期</h3>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
            </section>
        </div>
    </c:if>
</div>
</body>
</html>

