<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>缺陷列表</title>
    <meta charset="utf-8">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
    <style>
        .divCss {
            margin-top: 5px;
        }

        .divCss2 {
            margin-top: 5px;
            margin-left: 20px;
        }

        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }

        /* dataTables表头居中 */
        .table > thead:first-child > tr:first-child > th {
            text-align: center !important;
        }

        .hidden-xs {
            max-width: 200px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }

        /**
         *多选下拉框
         */
        .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
            width: 168px !important;
        }

        .filter-option-inner-inner {
            font-size: 12px;
        }
    </style>
</head>
<body>
<!--隐藏是否是初始化-->
<input type="hidden" id="isSearch" value="1">
<div class="mainBody">
    <div class="main">
        <div class="headDiv">
            <div class="headSpanDiv">
        <span class="headspan">
            缺陷列表
        </span>
            </div>
        </div>
        <div class="mainDiv">
            <!--搜索-->
            <form style="margin-top:5px;margin-bottom: 0!important;">
                <div class="form-inline">
                    <div class="form-group divCss8">
                        <label for="inpNo">&emsp;住院号:</label>
                        <input type="text" class="input-sm form-control" id="inpNo" placeholder="请输入住院号" maxlength="25">
                    </div>
                    <div class="form-group divCss8">
                        <label for="visitId">住院次数:</label>
                        <input type="number" class="input-sm form-control" min="1" id="visitId" placeholder="请输入次数"
                               maxlength="2">
                    </div>
                    <div class="form-group divCss8">
                        <label for="name">姓名:</label>
                        <input type="text" class="input-sm form-control" id="name" placeholder="请输入姓名" maxlength="8">
                    </div>
                    <div class="form-group divCss8">
                        <label>出院日期:</label>
                        <div class="input-group input-daterange">
                            <input type="text" class="input-sm form-control" name="start" id="startDateTo"
                                   maxlength="10" autocomplete="off"/>
                            <span class="input-group-addon">-</span>
                            <input type="text" class="input-sm form-control" name="end" id="endDateTo" maxlength="10"
                                   autocomplete="off"/>
                        </div>
                    </div>
                    <div class="form-group divCss">
                        <label>出院时段:</label>
                        <select class="form-control input-sm" id="timeInterval"
                                onchange="loadTableByTime(this.options[this.options.selectedIndex].value,'startDateTo','endDateTo','table')">
                        </select>
                    </div>
                    <div class="form-group divCss8" id="deptDiv" style="height: 18px;margin-top: -7px;">
                        <label>出院科室:</label>
                        <select class="selectpicker bla bla bli" multiple data-live-search="true" data-actions-box="true" name="deptName" id="deptName" title="请输入出院科室">
                        </select>
                    </div>
                    <div class="form-group divCss">
                        <label for="archivestate">归档状态 :</label>
                        <select class="input-sm form-control" id="archivestate">
                            <option value="">全部</option>
                            <option value="0">未归档</option>
                            <option value="1">已归档</option>
                        </select>
                    </div>
                    <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtn">查询</button>
                    <button type="button" class="btn btn-info btn-sm divCss" id="excelBtn">条件导出</button>
                </div>
            </form>
            <!--数据表格-->
            <table id="table" class="table  text-nowrap table-striped"></table>
            <div id="toolbar" class="btn-group pull-right" style="margin-right: 20px;">
                <div class="columns columns-right btn-group pull-right">
                    <div class="btn-group btn-info">
                        <select id="sel_exportoption" class="form-control">                
                            <option value="">导出当前页面数据</option>
                                           
                            <option value="all">导出全部数据</option>
                                           
                            <option value="selected">导出选中数据</option>
                        </select>
                    </div>
                    <button class=" btn btn-success" style="height: 34px" type="button" id="refreshBtn" name="refresh"
                            aria-label="Refresh"
                            title="Refresh">
                        <i class="glyphicon glyphicon-refresh icon-refresh"></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
<script>
    var path = "${path}";
</script>
<script src="${path}/static/js/faultList/faultList.js?time=2020-10-13"></script>
<script src="${path}/static/js/hospitalLoadPdf/loadPdf.js?time=2020-08-21"></script>
</body>
</html>