<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<c:set var="path" value="${pageContext.request.contextPath}"/>
<%@ include file="/WEB-INF/jspf/comm.jspf" %>
<%@ include file="/WEB-INF/jspf/ztreeCommom.jsp" %>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <title>病案浏览</title>
    <meta http-equiv=X-UA-Compatible IE=EmulateIE7>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="shortcut icon" href="${path}/static/favicon.ico">
    <!--[if lt IE 9]>
    <script type="text/javascript" src="${path}/static/js/html5shiv.min.js"></script>
    <script type="text/javascript" src="${path}/static/js/jquery-1.11.3.min.js"></script>
    <script type="text/javascript" src="${path}/static/js/respond.min.js"></script>
    <![endif]-->
    <script>
        var path = "${path}";
    </script>
    <style type="text/css">
        body{
            width:100%;
            height:100%;
            margin:0;
            padding:0;
            background-color: #F2F2F2;
        }
        .main{
            width:100%;
            background-color: #c1d7e3;
        }
        /*
        *页头div
        */
        .headDiv{
            height:43px;
            background-color: #1D9ED7;
        }
        /*
        *页头标题div
        */
        .headSpanDiv{
            padding:10px 15px;
        }
        /*
        *页头标题
        */
        .headspan{
            color: #fff;
            font-size: 1.2em;
            font-weight: bold;
        }
        .searchDiv{
            width:100%;
            height:13%;
            background-color: #FFF;
        }
        .contentDiv{
            width:100%;
            height: calc(100vh - 13% - 43px - 1vh);
            margin-top:1vh;
            background-color: #FFF;
        }
        .labelDiv{
            padding-top: 2%;
            padding-right: 0;
            text-align: right;
        }
        .rowDiv{
            padding-top:0.5%;
        }
        .inputDiv{
            padding:0!important;
            margin-left: -3%!important;
        }
        h4{
            color: #fff;
            font-size: 1.0em;
            font-weight: bold;
        }
        hr{
            margin:0!important;
        }
        #iframe{
            height: 100%;
        }
        .seal-result{
            width: 60px;
            height: 60px;
            transform: rotate(30deg);
            border: solid 2px red;
            border-radius: 100%;
            text-align: center;
            color: red;
            font-size: 16px;
            font-weight: bold;
            line-height: 60px;
            left: 17.5%;
            top: 6%;
            position: absolute;
            background-color: rgba(255,255,255,0.8);
            z-index: 1000;
        }
    </style>
</head>
<body style="scroll:auto" onkeydown="disabledPrint()">
<!--主键-->
<input type="hidden" id="patientId" value="${patientId}">
<!--记账号-->
<input type="hidden" id="accountNumber" value="${accountNumber}">
<input type="hidden" id="assortIds" value="${assortIds}">
<!--业务识别码1:护理按需采集预览-->
<input type="hidden" id="typeFlag" value="1">
<div class="main">
    <div class="headDiv">
        <div class="headSpanDiv">
            <span class="headspan">
                病案浏览
            </span>
        </div>
    </div>
    <!--病案详情-->
    <div class="searchDiv">
        <input type="hidden" id="admissId" value="${commom.admissId}">
        <div class="row rowDiv">
            <div class="col-sm-3 inputDiv">
                <div class="form-group">
                    <label  class="col-sm-5 control-label labelDiv">主管医生：</label>
                    <div class="col-sm-7">
                        <input type="text" readonly class="form-control input input-sm input" id="doctorInCharge">
                    </div>
                </div>
            </div>
            <div class="col-sm-3 inputDiv">
                <div class="form-group">
                    <label  class="col-sm-5 control-label labelDiv">姓名：</label>
                    <div class="col-sm-7">
                        <input type="text" readonly class="form-control input-sm input" id="name">
                    </div>
                </div>
            </div>
            <div class="col-sm-3 inputDiv">
                <div class="form-group">
                    <label  class="col-sm-5 control-label labelDiv">住院号：</label>
                    <div class="col-sm-7">
                        <input type="text" readonly class="form-control input-sm input" id="inpatientNo">
                    </div>
                </div>
            </div>
            <div class="col-sm-3 inputDiv">
                <div class="form-group">
                    <label  class="col-sm-5 control-label labelDiv">住院次数：</label>
                    <div class="col-sm-7">
                        <input type="text" readonly class="form-control input-sm input" id="admissTimes">
                    </div>
                </div>
            </div>
        </div>
        <%--<c:if test="${printCount != 0}">
            <div class="seal-result">已打印</div>
        </c:if>--%>
        <div class="row rowDiv">
        <div class="col-sm-3 inputDiv">
            <div class="form-group">
                <label  class="col-sm-5 control-label labelDiv">出院科室：</label>
                <div class="col-sm-7">
                    <input type="text" readonly class="form-control input-sm input" id="disDeptName">
                </div>
            </div>
        </div>
        </div>
    </div>
    <div class="contentDiv">
    <iframe width="100%"  src=""  id="iframe" frameborder="0" scrolling="no"></iframe>
</div>
</div>
<script type="text/javascript" src="${path}/static/js/showRecord/showRecord.js"></script>
<script type="text/javascript" src="${path}/static/js/showRecord/showRecordIframeCommom.js"></script>
</body>
</html>
