<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<c:set var="path" value="${pageContext.request.contextPath}"/>
<%@ include file="/WEB-INF/jspf/comm.jspf" %>
<%@ include file="/WEB-INF/jspf/ztreeCommom.jsp" %>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <title>病案浏览</title>
    <meta http-equiv=X-UA-Compatible IE=EmulateIE7>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="shortcut icon" href="${path}/static/favicon.ico">
    <!--[if lt IE 9]>
    <script type="text/javascript" src="${path}/static/js/html5shiv.min.js"></script>
    <script type="text/javascript" src="${path}/static/js/jquery-1.11.3.min.js"></script>
    <script type="text/javascript" src="${path}/static/js/respond.min.js"></script>
    <![endif]-->
    <script>
        var path = "${path}";
    </script>
    <style type="text/css">
        body{
            width:100%;
            height:100%;
            margin:0;
            padding:0;
            background-color: #F2F2F2;
        }
        .main{
            width:100%;
            background-color: #c1d7e3;
        }
        /*
        *页头div
        */
        .headDiv{
            height:43px;
            background-color: #1D9ED7;
        }
        /*
        *页头标题div
        */
        .headSpanDiv{
            padding:10px 15px;
        }
        /*
        *页头标题
        */
        .headspan{
            color: #fff;
            font-size: 1.2em;
            font-weight: bold;
        }
        .searchDiv{
            width:100%;
            height:120px;
            background-color: #FFF;
        }
        .contentDiv{
            width:100%;
            height: calc(100vh - 120px - 43px - 1vh);
            margin-top:1vh;
            background-color: #FFF;
        }
        .labelDiv{
            padding-top: 2%;
            padding-right: 0;
            text-align: right;
        }
        .rowDiv{
            padding-top:0.5%;
        }
        .inputDiv{
            padding:0!important;
            margin-left: -3%!important;
        }
        h4{
            color: #fff;
            font-size: 1.0em;
            font-weight: bold;
        }
        hr{
            margin:0!important;
        }
        #iframe{
            height: 100%;
        }
    </style>
</head>
<body style="scroll:auto" onkeydown="disabledPrint()">
<!--pdf地址集合-->
<input type="hidden" id="jzh" value="${jzh}">
<!--pdf地址集合-->
<input type="hidden" id="detailIds">
<!--业务识别码2:his系统需要的其他文档预览sysFlag=-100-->
<input type="hidden" id="typeFlag" value="2">
<!--隐藏是否是初始化-->
<input type="hidden" id="isSearch" value="0">
<!--删除权限-->
<input type="hidden" id="delPower" value="${delPower}">
<div class="main">
    <div class="headDiv">
        <div class="headSpanDiv">
            <span class="headspan">
                病案浏览
            </span>
        </div>
    </div>
    <!--病案详情-->
    <div class="searchDiv">
        <div class="row rowDiv">
            <div class="col-sm-3 inputDiv">
                <div class="form-group">
                    <label  class="col-sm-5 control-label labelDiv">姓名：</label>
                    <div class="col-sm-7">
                        <input type="text" readonly class="form-control input-sm input" value="${record.c4}"/>
                    </div>
                </div>
            </div>
            <div class="col-sm-3 inputDiv">
                <div class="form-group">
                    <label  class="col-sm-5 control-label labelDiv">门诊号：</label>
                    <div class="col-sm-7">
                        <input type="text" readonly class="form-control input-sm input" value="${record.zyh}"/>
                    </div>
                </div>
            </div>
            <div class="col-sm-3 inputDiv">
                <div class="form-group">
                    <label  class="col-sm-5 control-label labelDiv">身份证：</label>
                    <div class="col-sm-7">
                        <input type="text" readonly class="form-control input-sm input" value="${record.c3}"/>
                    </div>
                </div>
            </div>
            <div class="col-sm-3 inputDiv">
                <div class="form-group">
                    <label  class="col-sm-5 control-label labelDiv">就诊日期：</label>
                    <div class="col-sm-7">
                        <input type="text" readonly class="form-control input input-sm input" value="${record.sysupdatetimeStr}"/>
                    </div>
                </div>
            </div>
        </div>
        <div class="row rowDiv">
            <div class="col-sm-3 inputDiv">
                <div class="form-group">
                    <label  class="col-sm-5 control-label labelDiv">性别：</label>
                    <div class="col-sm-7">
                        <input type="text" readonly class="form-control input-sm input" value="${record.c5}"/>
                    </div>
                </div>
            </div>
            <div class="col-sm-3 inputDiv">
                <div class="form-group">
                    <label  class="col-sm-5 control-label labelDiv">卡号：</label>
                    <div class="col-sm-7">
                        <input type="text" readonly class="form-control input-sm input" value="${record.c6}"/>
                    </div>
                </div>
            </div>
            <div class="col-sm-3 inputDiv">
                <div class="form-group">
                    <label  class="col-sm-5 control-label labelDiv">就诊科室：</label>
                    <div class="col-sm-7">
                        <input type="text" readonly class="form-control input-sm input" id="c7" value="${record.c7}"/>
                    </div>
                </div>
            </div>
            <div class="col-sm-3 inputDiv">
                <div class="form-group">
                    <label  class="col-sm-5 control-label labelDiv">主治医生：</label>
                    <div class="col-sm-7">
                        <input type="text" readonly class="form-control input-sm input" id="c8" value="${record.c8}"/>
                    </div>
                </div>
            </div>
        </div>
        <div class="row rowDiv">
            <div class="col-sm-3 inputDiv">
                <div class="form-group">
                    <label  class="col-sm-5 control-label labelDiv">就诊开始：</label>
                    <div class="col-sm-7">
                        <input type="text" class="input-sm form-control" name="start" id="startDateTo"
                        maxlength="10" autocomplete="off"/>
                    </div>
                </div>
            </div>
            <div class="col-sm-3 inputDiv">
                <div class="form-group">
                    <label  class="col-sm-5 control-label labelDiv">就诊结束日期</label>
                    <div class="col-sm-7">
                        <input type="text" class="input-sm form-control" name="start" id="endDateTo"
                        maxlength="10" autocomplete="off"/>
                    </div>
                </div>
            </div>
            <div class="col-sm-3 inputDiv">
                <div class="form-group">
                    <div class="col-sm-3">
                        <button id="searchBtn" style="margin-left: 66px;" class="input-sm form-control btn-primary">查询</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="contentDiv">
    <iframe width="100%"  src=""  id="iframe" frameborder="0" scrolling="no"></iframe>
</div>
</div>
<script type="text/javascript" src="${path}/static/js/showRecord/showRecordByOpId.js?time=2021-01-15"></script>
<script type="text/javascript" src="${path}/static/js/showRecord/showRecordIframeCommom.js"></script>
</body>
</html>
