﻿<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>节假日设置</title>
    <meta http-equiv="Content-Type"  content="text/html;charset=utf-8">
    <meta name="referrer" content="never">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
    <%@include file="../../jspf/confirmJsp.jspf" %>
    <style>
        .divCss {
            margin-top: 5px;
        }
        .divCss10 {
            margin-top: 5px;
            margin-left: 63px;
        }
        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }
        /* dataTables表头居中 */
        .table > thead:first-child > tr:first-child > th {
            text-align: center !important;
        }
        hr {
            margin: 5px !important;
        }
    </style>
    <script>
        var path = "${path}";
    </script>
</head>

<body>
<div class="mainBody">
    <div class="main">
        <div class="headDiv">
            <div class="headSpanDiv">
        <span class="headspan">
            节假日设置
        </span>
            </div>
        </div>
        <div class="mainDiv">
            <!--搜索-->
            <form style="margin-top:5px;margin-bottom: 5px!important;">
                <div class="form-inline">
                    <div class="form-group divCss8">
                        <label>设置日期:</label>
                        <div class="input-daterange input-group">
                            <input type="text" class="input-sm form-control" id="startTime2" maxlength="10"
                                   autocomplete="off"/>
                            <span class="input-group-addon">-</span>
                            <input type="text" class="input-sm form-control" id="endTime2" maxlength="10"
                                   autocomplete="off"/>
                        </div>
                    </div>
                </div>
                <div class="form-inline">
                    <div class="form-group divCss8">
                        <label>勾选星期:</label>
                        <div class="input-daterange input-group">
                            <input type="checkbox" class="week" value="1"/>周一
                            <input type="checkbox" class="week" value="2"/>周二
                            <input type="checkbox" class="week" value="3"/>周三
                            <input type="checkbox" class="week" value="4"/>周四
                            <input type="checkbox" class="week" value="5"/>周五
                            <input type="checkbox" class="week" value="6"/>周六
                            <input type="checkbox" class="week" value="0"/>周天
                        </div>
                        <div class="input-daterange input-group" style="margin-left: 40px">
                            <input type="checkbox" onclick="selectAll()" id="select"/>全选
                        </div>
                    </div>
                </div>
                <div class="form-inline">
                    <div class="form-group divCss8">
                        <div class="input-daterange input-group">
                            <button type="button" class="btn btn-primary btn-sm divCss10" id="saveSet">设为工作日</button>
                            <button type="button" class="btn btn-danger btn-sm divCss10" id="saveHolidaySet">设为非工作日
                            </button>
                        </div>
                    </div>
                </div>
            </form>
            <hr>
            <div class="form-inline">
                <div class="form-group">
                    <label>终审时是否判断已扫描纸质病历:</label>
                    <div class="input-daterange input-group">
                        <input type="checkbox" class="week" value="1" style="margin:0" id="setIsScan" <c:if test="${commomSet.int1==1}">checked</c:if>/>
                    </div>
                    <button style="margin-left: 15px" type="button" class="btn btn-primary btn-sm" id="saveCommomSet">保存修改</button>
                </div>
            </div>
            <hr>
            <form style="margin-bottom: 0!important;">
                <div class="form-inline">
                    <div class="form-group divCss8">
                        <label>查询日期:</label>
                        <div class="input-daterange input-group" id="datepicker">
                            <input type="text" class="input-sm form-control" name="startTime1" id="startTime1"
                                   maxlength="10" autocomplete="off"/>
                            <span class="input-group-addon">-</span>
                            <input type="text" class="input-sm form-control" name="endTime1" id="endTime1"
                                   maxlength="10" autocomplete="off"/>
                        </div>
                    </div>
                    <div class="form-group divCss">
                        <label>是否工作日:</label>
                        <select class="input-sm form-control" id="flag">
                            <option value="">全部</option>
                            <option value="1">工作日</option>
                            <option value="2">非工作日</option>
                        </select>
                    </div>
                    <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtn">查询</button>

                </div>
            </form>
            <!--数据表格-->
            <table id="table" class="table text-nowrap table-striped"></table>
            <div id="toolbar" class="btn-group pull-right" style="margin-right: 20px;">
                <div class="columns columns-right btn-group pull-right">
                    <div class="btn-group btn-info">
                        <select id="sel_exportoption" class="form-control">                
                            <option value="">导出当前页面数据</option>
                                           
                            <option value="all">导出全部数据</option>
                                           
                            <option value="selected">导出选中数据</option>
                        </select>
                    </div>
                    <button class=" btn btn-success" style="height: 34px" type="button" id="refreshBtn" name="refresh"
                            aria-label="Refresh"
                            title="Refresh">
                        <i class="glyphicon glyphicon-refresh icon-refresh"></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
<script src="${path}/static/js/holidaySet/holidaySetList.js?time=2020-09-11"></script>
</html>