﻿<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>在院浏览</title>
    <meta http-equiv="Content-Type"  content="text/html;charset=utf-8">
    <%--<meta name="referrer" content="never">--%>
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
    <%@ include file="../../jspf/ztreeCommom.jsp" %>
    <style>
        .divCss {
            margin-top: 5px;
        }
        .divCss2 {
            margin-top: 5px;
            margin-left: 5px;
        }
        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }
        .divCss3 {
            margin-top: 5px;
            margin-left: 20px;
            color: blue;
        }
        .divCss4 {
            border-top: 1px solid #e5e5e5;
            width: 97.5%;
            margin-top: 10px;
            margin-bottom: 5px;
        }
        .labCss {
            color: #c1c3c4;
        }
        .titleCss {
            text-align: left;
            vertical-align: middle;
            background-color: #3c8dbc;
            color: #fff;
            font-size: 19px;
            font-weight: bold;
            height: 30px;
            margin-bottom: 10px;
        }
        .treeBtn {
            margin-top: 10px;
            margin-left: 10px;
            margin-right: 10px;
        }
        .zTreeDemo {
            height: auto;
            min-height: 350px;
        }
        .divCss5 {
            border-left: 2px solid #e5e5e5;
            height: auto;
            min-height: 350px;
        }
        .btnGroupCss {
            text-align: right;
        }
        /* dataTables表头居中 */
        .table > thead:first-child > tr:first-child > th {
            text-align: center !important;
        }
        #assortModal > div > div {
            width: 500px;
        }
        #exampleModal > div > div {
            width: 400px;
        }
        .imgDivCss {
            min-height: 400px !important;
        }
        .showImg {
            width: 80%;
            height: 100%
        }
        .shadeImg {
            height: 950px;
        }
        /**
         *多选下拉框
         */
        .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
            width: 168px !important;
        }
        .filter-option-inner-inner {
            font-size: 12px;
        }
    </style>
</head>
<body>
<!--隐藏是否是初始化-->
<input type="hidden" id="isSearch" value="1">
<!--当前操作角色-->
<input type="hidden" id="checker">
<div class="mainBody">
    <div class="main">
        <div class="headDiv">
            <div class="headSpanDiv">
        <span class="headspan">
            在院浏览
        </span>
            </div>
        </div>
        <div class="mainDiv">
            <!--搜索-->
            <form style="margin-top:5px;margin-bottom: 0!important;">
                <div class="form-inline">
                    <div class="form-group divCss8">
                        <label for="name">主管医生:</label>
                        <select class="selectpicker bla bla bli" multiple data-live-search="true" data-actions-box="true" name="deptName"
                                id="doctorInCharge" title="请输入主管医生">
                            <option value="">全部</option>
                        </select>
                    </div>
                    <div class="form-group divCss8">
                        <label for="inpNo">&emsp;住院号:</label>
                        <input type="text" class="input-sm form-control" id="inpNo" placeholder="请输入住院号" maxlength="25">
                    </div>
                    <div class="form-group divCss8">
                        <label for="visitId">住院次数:</label>
                        <input type="number" class="input-sm form-control" min="1" id="visitId" placeholder="请输入次数"
                               maxlength="2">
                    </div>
                    <div class="form-group divCss8">
                        <label for="name">姓&emsp;&emsp;名:</label>
                        <input type="text" class="input-sm form-control" id="name" placeholder="请输入姓名" maxlength="8">
                    </div>
                    <div class="form-group divCss8" id="deptDiv" style="height: 18px;margin-top: -7px;">
                        <label>入院科室:</label>
                        <select class="selectpicker bla bla bli" multiple data-live-search="true" data-actions-box="true" name="deptName" id="deptName" title="请输入入院科室">
                        </select>
                    </div>
                    <div class="form-group divCss">
                        <label>入院日期:</label>
                        <div class="input-group input-daterange">
                            <input type="text" class="input-sm form-control" name="start" id="startDateTo"
                                   maxlength="10" autocomplete="off"/>
                            <span class="input-group-addon">-</span>
                            <input type="text" class="input-sm form-control" name="end" id="endDateTo" maxlength="10"
                                   autocomplete="off"/>
                        </div>
                    </div>
                    <div class="form-group divCss">
                        <label>入院时段:</label>
                        <select class="form-control input-sm" id="timeInterval"
                                onchange="loadTableByTime(this.options[this.options.selectedIndex].value,'startDateTo','endDateTo','table')">
                        </select>
                    </div>
                    <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtn">查询</button>
                    <button type="button" class="btn btn-info btn-sm divCss" id="excelBtn">条件导出</button>
                </div>
            </form>
            <!--数据表格-->
            <table id="table" class="table  text-nowrap table-striped"></table>
            <div id="toolbar" class="btn-group pull-right" style="margin-right: 20px;">
                <div class="columns columns-right btn-group pull-right">
                    <div class="btn-group btn-info">
                        <select id="sel_exportoption" class="form-control">                
                            <option value="">导出当前页面数据</option>
                                           
                            <option value="all">导出全部数据</option>
                                         
                            <option value="selected">导出选中数据</option>
                        </select>
                    </div>
                    <button class=" btn btn-success" style="height: 34px" type="button" id="refreshBtn" name="refresh"
                            aria-label="Refresh"
                            title="Refresh">
                        <i class="glyphicon glyphicon-refresh icon-refresh"></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- 模态框3（Modal）查看档案 -->
<div class="modal fade" id="selModal" tabindex="1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title">
                    病历清单
                </h4>
            </div>
            <div class="modal-body divCss2">
                <!--通过审批且未过期的patientId集合-->
                <form class="form-horizontal" id="form1">
                    <div class="row">
                        <div class="row divCss3">病历信息</div>
                        <div class="row divCss2">
                            <div class="col-sm-5" hidden>
                                病案号：<label id="idLab" class="labCss"></label><label id="assortId" hidden></label>
                            </div>
                            <div class="col-sm-4">
                                住院号：<label id="inLab" class="labCss"></label>
                            </div>

                            <div class="col-sm-4">
                                住院次数：<label id="inTimeLab" class="labCss"></label>
                            </div>
                            <div class="col-sm-3">
                                姓名：<label id="nameLab" class="labCss"></label>
                            </div>
                        </div>
                        <div class="row divCss2">

                            <div class="col-sm-4"><input type="text" id="outDateLab" hidden/>
                                入院科室：<label id="deptToLab" class="labCss"></label>
                            </div>
                            <div class="col-sm-4">
                                入院日期：<label id="inDateLab" class="labCss"></label>
                            </div>
                        </div>
                    </div>
                    <div class="divCss4"></div>
                    <div class="row">
                        <div class="row divCss3 ">病历清单</div>
                        <div class="col-sm-3 divCss2" style="width: 25%">
                            <div class="row titleCss"></div>
                            <div class="row">
                                <div class="col-sm-9">
                                    <input type="text" id="key" value="" class="input-sm form-control empty"
                                           placeholder="分段名称"/>
                                </div>
                                <button type="button" class="btn btn-primary btn-sm" id="searchBtn1">查询</button>
                            </div>
                            <div class="row">
                                <button type="button" class="btn  btn-success btn-sm treeBtn" onclick="expandAll();">
                                    全部展开
                                </button>
                                <button type="button" class="btn  btn-success btn-sm treeBtn" onclick="collapseAll();">
                                    全部收缩
                                </button>
                            </div>
                            <div class="row">
                                <!--树-->
                                <div class="zTreeDemo" id="foo">
                                    <ul id="ztree" class="ztree"></ul>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-8 divCss5" style="width:73%">
                            <div class="row btnGroupCss">
                                <button type="button" class="btn btn-default btn-sm" id="uploadBtn">上传文件</button>
                                <button type="button" class="btn btn-info btn-sm" id="pdfBtn">查看分段PDF</button>
                                <button type="button" class="btn btn-success btn-sm" id="pdfBtn2">查看PDF</button>
                                <%--<button type="button" class="btn btn-primary btn-sm" id="addBtn">添加清单</button>--%>
                                <button type="button" class="btn btn-warning btn-sm" id="updateStateBtn">选中作废</button>
                                <button type="button" class="btn btn-primary btn-sm" id="updateStateBtn2">选中使用</button>
                            </div>
                            <div class="row">
                                <div class="form-inline">
                                    <div class="form-group divCss8" style="margin:10px 5px">
                                        <label for="name">标题:</label>
                                        <input type="text" class="input-sm form-control" id="title" maxlength="25"
                                               placeholder="请输入标题">
                                    </div>
                                    <div class="form-group divCss8" style="margin:0">
                                        <label for="inpNo">来源:</label>
                                        <select class="form-control" id="source">
                                            <option value="">全部</option>
                                        </select>
                                    </div>
                                    <div class="form-group divCss8" style="margin:0;margin-left: 10px;">
                                        <button type="button" class="btn btn-primary btn-sm" id="searchBtn2">查询</button>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <!--数据表格-->
                                <table id="table2" class="table  text-nowrap  table-striped"></table>
                                <div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<!-- 模态框3（Modal）分段信息 -->
<div class="modal fade" id="assortModal" tabindex="2" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title">
                    病历清单详情
                </h4>
            </div>
            <div class="modal-body">
                <!--通过审批且未过期的patientId集合-->
                <%--<form class="form-horizontal" id="logForm">--%>
                <input type="hidden" id="inpId" name="inpId">
                <div class="row">
                    <div class="form-group"><input id="fileUrlInp" hidden/>
                        <label class="col-sm-4 control-label">标题：</label>
                        <div class="col-sm-5">
                            <input type="text" class="input-sm form-control" id="inpTitle" name="inpTitle"
                                   maxlength="100">
                        </div>
                        <div class="col-sm-1"></div>
                    </div>
                </div>
                <div class="row">
                    <div class="form-group">
                        <label class="col-sm-4 control-label">类型：</label>
                        <div class="col-sm-5">
                            <select class="input-sm form-control" id="inpType">

                            </select>
                        </div>
                        <div class="col-sm-1"></div>
                    </div>
                </div>
                <div class="row">
                    <div class="form-group">
                        <label class="col-sm-4 control-label">来源：</label>
                        <div class="col-sm-5">
                            <input type="text" class="input-sm form-control" readonly id="inpSource" name="inpSource">
                        </div>
                        <div class="col-sm-1"></div>
                    </div>
                </div>
                <div class="row">
                    <div class="form-group">
                        <label class="col-sm-4 control-label">状态：</label>
                        <div class="col-sm-5">
                            <select class="input-sm form-control" id="inpFlag">
                                <option value="0">使用</option>
                                <option value="1">作废</option>
                            </select>
                        </div>
                        <div class="col-sm-1"></div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary btn-sm" id="saveBtn">保存</button>
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">关闭</button>
            </div>
        </div>
    </div>
</div>
<%--多图片框--%>
<div class="modal fade" id="pdfModal" tabindex="-1" role="dialog"
     aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content enterCss">
            <div class="modal-header">

                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                        aria-hidden="true">×</span></button>
                <h4 class="modal-title">手动上传扫描病历（图片上传）</h4>
            </div>
            <div class="modal-body">
                <form id="filesUpload" style="margin-top:20px;" method="POST" enctype="multipart/form-data">
                    <div class="imgDivCss" id="divImg">
                        <div class="form-inline">
                            <div class="form-group divCss">
                                <label for="inpGl">归类 :</label>
                                <select class="input-sm form-control" id="inpGl">
                                    <option value="非类型">非类型</option>
                                    <option value="">全部</option>
                                </select>
                            </div>
                            <button type="button" class="btn btn-primary btn-sm divCss" id="imgBtn">查询</button>
                            <button type="button" class="btn btn-warning btn-sm divCss" id="imgsSaveBtn">保存</button>
                            <a href="javascript:;" class="a-upload btn btn-info btn-sm">
                                <input type="file" name="myFile" id="myFile" multiple="multiple" hidden/>选择文件
                            </a>
                        </div>
                        <div class="img_div"></div>
                        <div class="shade" onclick="javascript:closeShade()">
                            <div class=""><span class="text_span"></span>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<%--发大弹窗--%>
<div class="modal fade" id="maxImg" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content ">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                        aria-hidden="true">×</span></button>
            </div>
            <div class="modal-body" STYLE="height: 950px">
                <div class="shadeImg" onclick="javascript:closeShadeImg()">
                    <div class="">
                        <img class="showImg" src=""/>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">返回</button>
            </div>
        </div>
    </div>
</div>
<%--确认框--%>
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content ">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                        aria-hidden="true">×</span></button>
                <h4 class="modal-title" id="exampleModalLabel">确认作废</h4>
            </div>
            <div class="modal-body">
                <form>
                    <div class="form-group">
                        <input type="hidden" id="idT" name="idT" value=""/>
                        <label class="control-label">作废该分段记录吗？</label>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">返回</button>
                <button type="button" class="btn btn-primary btn-sm" id="stateBtn">确认</button>
            </div>
        </div>
    </div>
</div>
</body>
<script type="text/javascript">
    var path = "${path}";
</script>
<script src="${path}/static/js/inHospList/inHospList.js?time=2020-10-16"></script>
<script src="${path}/static/js/hospitalLoadPdf/loadPdf.js?time=2020-10-16"></script>
<script src="${path}/static/js/hospitalCommom/hospitalCommom.js?time=2020-11-16"></script>
</html>