<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>病案终审退回日志</title>
    <meta charset="utf-8">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
    <style>
        .divCss {
            margin-top: 5px;
        }

        .divCss2 {
            margin-top: 5px;
            margin-left: 20px;
        }

        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }

        /* dataTables表头居中 */
        .table > thead:first-child > tr:first-child > th {
            text-align: center !important;
        }

        .hidden-xs {
            max-width: 100px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }

        /**
         *多选下拉框
         */
        .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
            width: 168px !important;
        }

        .filter-option-inner-inner {
            font-size: 12px;
        }
    </style>
</head>
<body>
<div class="mainBody">
    <div class="main">
        <div class="headDiv">
            <div class="headSpanDiv">
        <span class="headspan">
            病案终审退回日志
        </span>
            </div>
        </div>
        <div class="mainDiv">
            <!--搜索-->
            <form style="margin-top:5px;margin-bottom: 0!important;">
                <div class="form-inline">
                    <div class="form-group divCss8">
                        <label for="inpNo">&emsp;住院号:</label>
                        <input type="text" class="input-sm form-control" id="inpNo" placeholder="请输入住院号">
                    </div>
                    <div class="form-group divCss8">
                        <label for="visitId">住院次数:</label>
                        <input type="number" class="input-sm form-control" min="1" id="visitId" placeholder="请输入次数">
                    </div>
                    <div class="form-group divCss8">
                        <label for="name">姓&emsp;&emsp;名:</label>
                        <input type="text" class="input-sm form-control" id="name" placeholder="请输入姓名">
                    </div>
                    <div class="form-group divCss8">
                        <label for="name">身份证号:</label>
                        <input type="text" class="input-sm form-control" id="idNo" placeholder="请输入身份证号">
                    </div>
                    <div class="form-group divCss8">
                        <label for="creater">&emsp;召回人:</label>
                        <input type="text" class="input-sm form-control" id="creater" placeholder="请输入召回人">
                    </div>
                    <div class="form-group divCss8">
                        <label for="archivestate">归档状态:</label>
                        <select class="input-sm form-control" id="archivestate">
                            <option value="">全部</option>
                            <option value="0">未归档</option>
                            <option value="1">已归档</option>
                        </select>
                    </div>
                    <%--<div class="form-group divCss8">
                        <label for="state">状态 :</label>
                        <select class="input-sm form-control" id="state">
                            <option value="">全部</option>
                            <option value="已召回">已召回</option>
                            <option value="未召回">未召回</option>
                        </select>
                    </div>--%>
                    <div class="form-group divCss">
                        <label>召回日期:</label>
                        <div class="input-group input-daterange">
                            <input type="text" class="input-sm form-control" name="start" id="startDate" maxlength="10"
                                   autocomplete="off"/>
                            <span class="input-group-addon">-</span>
                            <input type="text" class="input-sm form-control" name="end" id="endDate" maxlength="10"
                                   autocomplete="off"/>
                        </div>
                    </div>
                    <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtn">查询</button>
                    <button type="button" class="btn btn-info btn-sm divCss" id="excelBtn">条件导出</button>
                </div>
            </form>
            <!--数据表格-->
            <div class="table-responsive">
                <table id="table" class="table text-nowrap"></table>
            </div>
            <div id="toolbar" class="btn-group pull-right" style="margin-right: 20px;">
                <div class="columns columns-right btn-group pull-right">
                    <div class="btn-group btn-info">
                        <select id="sel_exportoption" class="form-control">                
                            <option value="">导出当前页面数据</option>
                            <option value="all">导出全部数据</option>
                            <option value="selected">导出选中数据</option>
                        </select>
                    </div>
                    <button class=" btn btn-success" style="height: 34px" type="button" id="refreshBtn" name="refresh"
                            aria-label="Refresh"
                            title="Refresh">
                        <i class="glyphicon glyphicon-refresh icon-refresh"></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
<script>
    var path = "${path}";
</script>
<script src="${path}/static/js/recallDateList/recallDateList.js?time=2020-09-11"></script>
</html>