<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>

<%--<%@ include file="/WEB-INF/jspf/common.jspf" %>--%>
<html>
<head>
    <title>病案终审退回</title>
    <meta charset="utf-8">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
</head>
<style>
    .divCss {
        margin-top: 5px;
    }
    .divCss2 {
        margin-top: 5px;
        margin-left: 20px;
    }
    .divCss8 {
        margin-top: 5px;
        margin-right: 20px;
    }
    /* dataTables表头居中 */
    .table > thead:first-child > tr:first-child > th {
        text-align: center !important;
    }
    .enterCss2 {
        height: 160px;
        width: 500px;
    }
    /**
     *多选下拉框
     */
    .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
        width: 168px !important;
    }
    .filter-option-inner-inner {
        font-size: 12px;
    }
</style>
<script>
    var path = "${path}";
</script>
<body>
<div class="mainBody">
    <div class="main">
        <div class="headDiv">
            <div class="headSpanDiv">
        <span class="headspan">
            病案终审退回
        </span>
            </div>
        </div>
        <div class="mainDiv">
            <!--搜索-->
            <form style="margin-top:5px;margin-bottom: 0!important;">
                <div class="form-inline">
                    <div class="form-group divCss8">
                        <label for="inpNo">&emsp;住院号:</label>
                        <input type="text" class="input-sm form-control" id="inpNo" placeholder="请输入住院号" maxlength="25">
                    </div>
                    <div class="form-group divCss8">
                        <label for="visitId">住院次数:</label>
                        <input type="number" class="input-sm form-control" min="1" id="visitId" placeholder="请输入次数"
                               maxlength="2">
                    </div>
                    <div class="form-group divCss8">
                        <label for="name">姓&emsp;&emsp;名:</label>
                        <input type="text" class="input-sm form-control" id="name" placeholder="请输入姓名" maxlength="8">
                    </div>
                    <div class="form-group divCss8">
                        <label for="name">身份证号:</label>
                        <input type="text" class="input-sm form-control" id="idNo" placeholder="请输入身份证号" maxlength="18">
                    </div>
                    <%--<div class="form-group divCss8">
                        <label for="archivestate">归档状态 :</label>
                        <select class="input-sm form-control" id="archivestate">
                            <option value="">全部</option>
                            <option value="已认证">已认证</option>
                            <option value="已归档">已归档</option>
                        </select>
                    </div>--%>
                    <div class="form-group divCss8" id="deptDiv" style="height: 18px;margin-top: -7px;">
                        <label>出院科室:</label>
                        <select class="selectpicker bla bla bli" multiple data-live-search="true" data-actions-box="true" name="deptName" id="deptName" title="请输入科室">
                        </select>
                    </div>
                    <div class="form-group divCss">
                        <label for="state">召回状态:</label>
                        <select class="input-sm form-control" id="state">
                            <option value="">全部</option>
                            <option value="1">已召回</option>
                            <option value="0">未召回</option>
                        </select>
                    </div>
                    <div class="form-group divCss8">
                        <label for="name">终审工号:</label>
                        <input type="text" class="input-sm form-control" id="checkedDoctor" placeholder="请输入终审工号" maxlength="16">
                    </div>
                    <div class="form-group divCss8">
                        <label for="name">纸质位置:</label>
                        <input type="text" class="input-sm form-control" id="paperPositionSearch" placeholder="请输入纸质位置关键字" maxlength="16">
                    </div>
                    <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtn">查询</button>
                    <button type="button" class="btn btn-info btn-sm divCss" id="excelBtn">条件导出</button>
                </div>
            </form>
            <!--数据表格-->
            <table id="table" class="table text-nowrap table-striped"></table>
            <div id="toolbar" class="btn-group pull-right" style="margin-right: 20px;">
                <div class="columns columns-right btn-group pull-right">
                    <div class="btn-group btn-info">
                        <select id="sel_exportoption" class="form-control">                
                            <option value="">导出当前页面数据</option>
                                           
                            <option value="all">导出全部数据</option>
                                           --%>
                            <option value="selected">导出选中数据</option>
                        </select>
                    </div>
                    <button class=" btn btn-success btn-sm" style="height: 34px" type="button" id="refreshBtn"
                            name="refresh"
                            aria-label="Refresh"
                            title="Refresh">
                        <i class="glyphicon glyphicon-refresh icon-refresh"></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- 模态框1（Modal）召回日志 -->
<div class="modal fade" id="logModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content modal-contentHigh">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title">
                    最后一次召回日志信息
                </h4>
            </div>
            <div class="modal-body">
                <!--通过审批且未过期的patientId集合-->
                <form class="form-horizontal" id="logForm">
                    <input type="hidden" id="approveId" name="id">
                    <div class="row">
                        <div class="form-group">
                            <label class="col-sm-4 control-label">病案号：</label>
                            <div class="col-sm-5">
                                <input type="text" class="input-sm form-control" readonly id="archiveDetailId"
                                       name="archiveDetailId">
                            </div>
                            <div class="col-sm-1"></div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group">
                            <label class="col-sm-4 control-label">操作人：</label>
                            <div class="col-sm-5">
                                <input type="text" class="input-sm form-control" readonly id="creater" name="creater">
                            </div>
                            <div class="col-sm-1"></div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group">
                            <label class="col-sm-4 control-label">ip：</label>
                            <div class="col-sm-5">
                                <input type="text" class="input-sm form-control" readonly id="ip" name="ip">
                            </div>
                            <div class="col-sm-1"></div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group">
                            <label class="col-sm-4 control-label">说明：</label>
                            <div class="col-sm-6">
                                <textarea class="input-sm form-control" rows="3" readonly id="recallReason"
                                          name="recallReason"></textarea>
                            </div>
                            <div class="col-sm-1"></div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">关闭
                </button>
            </div>
        </div>
    </div>
</div>
<%--确认框--%>
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-contentLow">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                        aria-hidden="true">×</span></button>
                <h4 class="modal-title" id="exampleModalLabel">确认召回</h4>
            </div>
            <div class="modal-body">
                <form>
                    <input type="hidden" name="formToken" id="formToken">
                    <div class="form-group ">
                        <input type="hidden" id="id" name="id" value=""/><label hidden id="danganhao"></label>
                        <span style="vertical-align:top;">原因：</span><textarea rows="6" cols="70" maxlength="255"
                                                                              id="recallReason2"></textarea>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">返回</button>
                <button type="button" class="btn btn-primary btn-sm" id="stateBtn">确认</button>
            </div>
        </div>
    </div>
</div>
<%--查看流程弹窗--%>
<div class="modal fade" id="showFlowInfo" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-contentHigh">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">查看流程</h4>
            </div>
            <div class="modal-body">
                <iframe id="showFlowInfoIframe" width="100%" height="100%" scrolling="yes"></iframe>
            </div>
        </div>
    </div>
</div>
<%--编辑纸质位置弹窗--%>
<div class="modal fade verifyModal" id="paperPosition" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-contentLow">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">纸质位置</h4>
            </div>
            <div class="modal-body">
                <form>
                    <input type="hidden" id="patientId1">
                    <div class="form-group ">
                        <span style="vertical-align:top;">纸质位置：</span>
                        <input type="text" id="paperPosition1" maxlength="16">
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">返回</button>
                <button type="button" class="btn btn-primary btn-sm" id="updatePaperPosition">保存</button>
            </div>
        </div>
    </div>
</div>
</body>
<script src="${path}/static/js/medicalRecallList/medicalRecallList.js?time=2021-03-13"></script>
</html>