<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>字典列表</title>
    <meta charset="utf-8">
    <%@include file="../../jspf/comm.jspf" %>
    <%@ include file="../../jspf/ztreeCommom.jsp" %>
    <script type="text/javascript" src="${path}/static/js/pyAndWb.js"></script>
    <script>
        var path = "${path}";
    </script>
    <style>
        .treeBtn {
            margin-left: 24px;
        }

        .zTreeDemo {
            height: calc(100vh - 162px);
            overflow: auto;
            margin-left: 60px;
        }

        .box {
            margin-bottom: 0;
        }

        .control-label {
            margin-right: -25px;
        }
    </style>
</head>
<body style="background-color: #c1d7e3">
<div class="mainBody">
    <div class="row" style="margin: 0">
        <!--内容-->
        <div class="col-md-4">
            <div class="box box-primary">
                <div class="box-header with-border">
                    <h3 class="box-title">基础信息设置</h3>
                </div>
                <div class="box-body" style="height: calc(100vh - 82px);">
                    <form class="form-horizontal" id="form1">
                        <input hidden name="id" value="${overtimeSet.id}">
                        <div class="form-group">
                            <label for="days" class="col-sm-5 control-label">正常病历超期天数:</label>
                            <div class="col-sm-6">
                                <input type="number" min="1" oninput="if(value.length>2)value=value.slice(0,2)" class="form-control input-sm" id="days" name="days" value="${overtimeSet.days}" placeholder="请输入正常超期天数">
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="deadDays" class="col-sm-5 control-label">死亡病历超期天数:</label>
                            <div class="col-sm-6">
                                <input type="number" min="1" oninput="if(value.length>2)value=value.slice(0,2)"  class="form-control input-sm" id="deadDays" name="deadDays" value="${overtimeSet.deadDays}" placeholder="请输入死亡超期天数">
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="surplusDays" class="col-sm-5 control-label">超期提前提醒天数:</label>
                            <div class="col-sm-6">
                                <input type="number" min="1" oninput="if(value.length>2)value=value.slice(0,2)"  class="form-control input-sm" id="surplusDays" name="surplusDays" value="${overtimeSet.surplusDays}" placeholder="倒数几工作日提醒">
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="remindTime" class="col-sm-5 control-label">提醒时刻:</label>
                            <div class="col-sm-6">
                                <select class="form-control input-sm" id="remindTime" name="remindTime">
                                    <option value="0 0 8 * * ?" <c:if test="${overtimeSet.remindTime == '0 0 8 * * ?'}">selected</c:if>>08:00:00</option>
                                    <option value="0 0 9 * * ?" <c:if test="${overtimeSet.remindTime == '0 0 9 * * ?'}">selected</c:if>>09:00:00</option>
                                    <option value="0 0 10 * * ?" <c:if test="${overtimeSet.remindTime == '0 0 10 * * ?'}">selected</c:if>>10:00:00</option>
                                    <option value="0 0 11 * * ?" <c:if test="${overtimeSet.remindTime == '0 0 11 * * ?'}">selected</c:if>>11:00:00</option>
                                    <option value="0 0 14 * * ?" <c:if test="${overtimeSet.remindTime == '0 0 14 * * ?'}">selected</c:if>>14:00:00</option>
                                    <option value="0 0 15 * * ?" <c:if test="${overtimeSet.remindTime == '0 0 15 * * ?'}">selected</c:if>>15:00:00</option>
                                    <option value="0 0 16 * * ?" <c:if test="${overtimeSet.remindTime == '0 0 16 * * ?'}">selected</c:if>>16:00:00</option>
                                    <option value="0 0 17 * * ?" <c:if test="${overtimeSet.remindTime == '0 0 17 * * ?'}">selected</c:if>>17:00:00</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row">
                                <div class="col-sm-8"></div>
                                <div class="col-sm-3">
                                    <button type="button" class="btn btn-primary btn-sm" id="overtimeSetBtn">保存</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="box box-primary">
                <div class="box-header with-border">
                    <h3 class="box-title"><span style="color: red">取消提醒科室</span>设置</h3>
                </div>
                <div class="box-body">
                    <div class="form-inline">
                        <input type="text" id="key1" autocomplete="false" value="" class="input-sm " style="width:70%" placeholder="科室名称"
                               maxlength="25"/>
                        <button type="button" class="btn btn-primary btn-sm" id="remindCancleDeptBtn">保存</button>
                    </div>
                    <div class="row" style="margin-left: 40px;margin-top: 10px">
                        <button type="button" class="btn  btn-success btn-sm treeBtn" onclick="expandAll(1);">全部展开
                        </button>
                        <button type="button" class="btn  btn-success btn-sm treeBtn" onclick="collapseAll(1);">全部收缩
                        </button>
                    </div>
                    <div class="row">
                        <!--树-->
                        <div class="col-md-12">
                            <div class="zTreeDemo">
                                <ul id="ztree1" class="ztree" style="margin-left:-18px;"></ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="box box-primary">
                <div class="box-header with-border">
                    <h3 class="box-title">取消科室提醒<span style="color: red">个别用户开启提醒</span>设置</h3>
                </div>
                <div class="box-body">
                    <div class="form-inline">
                        <input type="text" id="key2" autocomplete="false" class="input-sm " style="width:70%" placeholder="用户工号/姓名"
                               maxlength="25"/>
                        <button type="button" class="btn btn-primary btn-sm" id="remindDeptUserBtn">保存</button>
                    </div>
                    <div class="row" style="margin-left: 40px;margin-top: 10px">
                        <button type="button" class="btn  btn-success btn-sm treeBtn" onclick="expandAll(2);">全部展开
                        </button>
                        <button type="button" class="btn  btn-success btn-sm treeBtn" onclick="collapseAll(2);">全部收缩
                        </button>
                    </div>
                    <div class="row">
                        <!--树-->
                        <div class="col-md-12">
                            <div class="zTreeDemo">
                                <ul id="ztree2" class="ztree" style="margin-left:-18px;"></ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript" src="${path}/static/js/overtimeSet/overtimeSet.js"></script>
</body>
</html>