﻿<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>科室病案超期</title>
    <meta charset="utf-8">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
    <link rel="shortcut icon" href="${path}/favicon.ico">
    <style>
        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }
        /**
        *多选下拉框
        */
        .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
            width: 168px !important;
        }
        .table>tbody>tr>td {
            border: 0px;
            text-align: center;
        }
        .bootstrap-table .table thead>tr>th {
            text-align: center;
        }
    </style>
    <script>
        var path = "${path}";
    </script>
</head>

<body>
<!--当前操作角色-->
<input type="hidden" id="checker">
<input type="hidden" id="flag" value="2">
<div class="mainBody">
    <div class="main">
        <div class="headDiv">
            <div class="headSpanDiv">
        <span class="headspan">
            科室病案超期
        </span>
            </div>
        </div>
        <div class="mainDiv">
            <!--搜索-->
            <form style="margin-top:5px;margin-bottom: 0!important;">
                <div class="form-inline">
                    <div class="form-group divCss8">
                        <label>主管医生:</label>
                        <select class="selectpicker bla bla bli" multiple data-live-search="true" data-actions-box="true"
                                id="doctorInCharge" title="请输入主管医生">
                            <option value="">全部</option>
                        </select>
                    </div>
                    <div class="form-group divCss8">
                        <label>出院日期:</label>
                        <div class="input-group">
                            <input type="text" class="input-sm form-control" id="startTime1" style="text-align: center"
                                   maxlength="10" autocomplete="off" value="${startDate}"/>
                            <span class="input-group-addon">-</span>
                            <input type="text" class="input-sm form-control" id="endTime1" style="text-align: center"
                                   maxlength="10" autocomplete="off" value="${endDate}"/>
                        </div>
                    </div>
                    <div class="form-group divCss">
                        <label>出院时段:</label>
                            <select class="form-control input-sm" id="timeInterval"
                                    onchange="loadTableByTime(this.options[this.options.selectedIndex].value,'startTime1','endTime1','table')">
                            </select>
                    </div>
                    <div class="form-group divCss8">
                        <label>出院科室:</label>
                        <select class="selectpicker bla bla bli" multiple data-live-search="true" data-actions-box="true" name="deptName" id="deptName" title="请选择出院科室">
                        </select>
                    </div>
                    <div class="form-group divCss8">
                        <label>待审核节点:</label>
                        <select class="form-control input-sm" id="infoId">
                            <option value="">全部</option>
                            <option value="2">医生提交</option>
                            <option value="3">医生质控员质控</option>
                            <option value="4">科主任审核</option>
                            <option value="5">护士提交</option>
                            <option value="6">护士质控员质控</option>
                            <option value="7">护士长审核</option>
                            <option value="8">病案室审核</option>
                        </select>
                    </div>
                    <%--<div class="form-group divCss8">
                        <label>患者姓名:</label>
                        <input type="text" class="form-control input-sm" id="name" maxlength="8">
                    </div>
                    <div class="form-group divCss8">
                        <label>&emsp;住院号:</label>
                        <input type="text" class="form-control input-sm" id="inpNo" maxlength="25">
                    </div>--%>
                    <div class="form-group divCss8">
                        <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtnStatistics">查询</button>
                        <button type="button" class="btn btn-info btn-sm divCss" id="excelBtn">条件导出</button>
                    </div>
                </div>
            </form>
            <div class="col-md-12" style="text-align: center;">
                <p>超期份数&nbsp;<span style="color:red" id="allCount">0</span>&nbsp;份,
                    其中医生已提交&nbsp;<span style="color:red" id="count1Percent">0%</span>&nbsp;,
                    医生质控员已提交&nbsp;<span style="color:red" id="count2Percent">0%</span>&nbsp;,
                    科主任已提交&nbsp;<span style="color:red" id="count3Percent">0%</span>&nbsp;,
                    护士已提交&nbsp;<span style="color:red" id="count4Percent">0%</span>&nbsp;,
                    护士质控员已提交&nbsp;<span style="color:red" id="count5Percent">0%</span>&nbsp;,
                    护士长已提交&nbsp;<span style="color:red" id="count6Percent">0%</span>&nbsp;
                    病案室已提交&nbsp;<span style="color:red" id="count7Percent">0%</span>&nbsp;;
                </p>
            </div>
            <!--数据表格-->
            <div id="tableDiv">
                <table id="table" class="table text-nowrap table-bordered"></table>
            </div>
        </div>
    </div>
</div>
<%--查看流程弹窗--%>
<div class="modal fade" id="showFlowInfo" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-contentHigh">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">查看流程</h4>
            </div>
            <div class="modal-body">
                <iframe id="showFlowInfoIframe" width="100%" height="100%" scrolling="yes"></iframe>
            </div>
        </div>
    </div>
</div>
<script src="${path}/static/js/statistics/getDeptCommom.js?time=2020-08-18"></script>
<script src="${path}/static/js/statistics/statisticsCommom.js?t=2020-07-24"></script>
<script src="${path}/static/js/record/deptOverTimeInfo.js?time=2021-07-30"></script>
<script src="${path}/static/js/record/expandRowCommom.js?time=2021-05-17"></script>
</body>
</html>