﻿<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>病案室提交明细(签收)</title>
    <meta charset="utf-8">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
    <link rel="shortcut icon" href="${path}/favicon.ico">
    <style>
        /* .divCss {
             margin-top: 5px;
         }*/
        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }

        /* dataTables表头居中 */
        /*.table > thead:first-child > tr:first-child > th {
            text-align: center !important;
        }*/
        /**
        *多选下拉框
        */
        .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
            width: 168px !important;
        }


    </style>
    <script>
        var path = "${path}";
    </script>
</head>

<body>
<div class="mainBody">
    <div class="main">
        <div class="headDiv">
            <div class="headSpanDiv">
        <span class="headspan">
            病案室提交明细
        </span>
            </div>
        </div>
        <div class="mainDiv">
            <!--搜索-->
            <form style="margin-top:5px;margin-bottom: 0!important;">
                <div class="form-inline">
                    <div class="form-group divCss8">
                        <div class="input-group">
                            <select class="form-control" id="dateFlag">
                                <option value="1">按日查询</option>
                                <option value="2">按月查询</option>
                                <option value="3">按年查询</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group divCss8" id="day">
                        <label>出院日查询:</label>
                        <div class="input-group">
                            <input type="text" class="input-sm form-control" id="startTime1" style="text-align: center"
                                   maxlength="10" autocomplete="off"/>
                            <span class="input-group-addon">-</span>
                            <input type="text" class="input-sm form-control" id="endTime1" style="text-align: center"
                                   maxlength="10" autocomplete="off"/>
                        </div>
                    </div>
                    <div class="form-group divCss8" id="month" style="display: none">
                        <label>出院月查询:</label>
                        <div class="input-group">
                            <input type="text" class="input-sm form-control" id="startTime3" style="text-align: center"
                                   maxlength="10" autocomplete="off"/>
                            <span class="input-group-addon">-</span>
                            <input type="text" class="input-sm form-control" id="endTime3" style="text-align: center"
                                   maxlength="10" autocomplete="off"/>
                        </div>
                    </div>
                    <div class="form-group divCss8" id="year" style="display: none">
                        <label>出院年查询:</label>
                        <div class="input-group">
                            <input type="text" class="input-sm form-control" id="startTime4" style="text-align: center"
                                   maxlength="10" autocomplete="off"/>
                            <span class="input-group-addon">-</span>
                            <input type="text" class="input-sm form-control" id="endTime4" style="text-align: center"
                                   maxlength="10" autocomplete="off"/>
                        </div>
                    </div>
                    <div class="form-group divCss" id="dateRange">
                        <label>出院时段:</label>
                        <select class="form-control input-sm" id="timeInterval"
                                onchange="loadTableByTime(this.options[this.options.selectedIndex].value,'startTime1','endTime1','table')">
                        </select>
                    </div>
                    <div class="form-group divCss8">
                        <label>出院科室:</label>
                        <select class="selectpicker bla bla bli" data-live-search="true" data-actions-box="true" name="deptName" id="deptName" title="请输入出院科室">
                            <option value="">全部</option>
                        </select>
                    </div>
                    <%--<div class="form-group divCss8">
                        <label>患者姓名:</label>
                        <input type="text" class="form-control input-sm" id="name" maxlength="8">
                    </div>
                    <div class="form-group divCss8">
                        <label>&emsp;住院号:</label>
                        <input type="text" class="form-control input-sm" id="inpNo" maxlength="25">
                    </div>--%>
                    <div class="form-group divCss8">
                        <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtnStatistics">查询</button>
                        <button type="button" class="btn btn-info btn-sm divCss" id="excelBtn">条件导出</button>
                    </div>
                </div>
            </form>
           <%-- <p style="text-align: left">
                <span>查询科室：</span><span style="color:red;font-size:16px" id="checkedOption">全部</span>
            </p>--%>
            <!--数据表格-->
            <div id="tableDiv">
                <table id="table" class="table text-nowrap table-bordered"></table>
            </div>
        </div>
    </div>
</div>
<script src="${path}/static/js/statistics/getDeptCommom.js?time=2020-08-18"></script>
<script src="${path}/static/js/statistics/statisticsCommom.js?t=2020-07-24"></script>
<script src="${path}/static/js/record/signedRecord.js?time=2020-11-25"></script>
<script src="${path}/static/js/record/getStartDateAndEndDateGroupbyDayMonthYear.js"></script>
</body>
</html>