﻿<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>病案统计报表</title>
    <meta charset="utf-8">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
    <link rel="shortcut icon" href="${path}/favicon.ico">
    <style>
        /* .divCss {
             margin-top: 5px;
         }*/
        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }

        /* dataTables表头居中 */
        /*.table > thead:first-child > tr:first-child > th {
            text-align: center !important;
        }*/
        /**
        *多选下拉框
        */
        .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
            width: 168px !important;
        }

       /* .table{
            overflow: hidden;
        }*/
    </style>
    <script>
        var path = "${path}";
    </script>
</head>

<body>
<!--隐藏是否是初始化-->
<input type="hidden" id="isSearch" value="1">
<!--定义加载的层级数-->
<input type="hidden" id="level" value="${level}">
<!--初始化加载科室选中-->
<input type="hidden" id="searchDeptName" value="${record.deptName}">
<!--第三层初始化按科室查-->
<input type="hidden" id="searchDeptNameTemp">
<input type="hidden" id="timeIntervalTemp" value="${record.timeInterval}">
<div class="mainBody">
    <div class="main">
        <div class="headDiv">
            <div class="headSpanDiv">
        <span class="headspan">
            病案统计报表
        </span>
            </div>
        </div>
        <div class="mainDiv">
            <!--搜索-->
            <form style="margin-top:5px;margin-bottom: 0!important;height: 75px">
                <div class="form-inline">
                    <div class="form-group divCss8">
                        <label>出院日期:</label>
                        <div class="input-group">
                            <input type="text" class="input-sm form-control" id="startTime1" style="text-align: center"
                                   maxlength="10" autocomplete="off" value="${record.startDate}"/>
                            <span class="input-group-addon">-</span>
                            <input type="text" class="input-sm form-control" id="endTime1" style="text-align: center"
                                   maxlength="10" autocomplete="off" value="${record.endDate}"/>
                        </div>
                    </div>
                    <div class="form-group divCss">
                        <label>出院时段:</label>
                        <c:choose>
                            <c:when test="${level == '1'}">
                                <select class="form-control input-sm" id="timeInterval"
                                        onchange="loadTableByTime(this.options[this.options.selectedIndex].value,'startTime1','endTime1','table')">
                                </select>
                            </c:when>
                            <c:when test="${level == '2'}">
                                <select class="form-control input-sm" id="timeInterval"
                                        onchange="loadTableByTime(this.options[this.options.selectedIndex].value,'startTime1','endTime1','table1')">
                                </select>
                            </c:when>
                            <c:when test="${level == '3'}">
                                <select class="form-control input-sm" id="timeInterval"
                                        onchange="loadTableByTime(this.options[this.options.selectedIndex].value,'startTime1','endTime1','table2')">
                                </select>
                            </c:when>
                        </c:choose>
                        </select>
                    </div>
                    <div class="form-group divCss8">
                        <label>出院科室:</label>
                        <select class="selectpicker bla bla bli" multiple data-live-search="true" data-actions-box="true" name="deptName" id="deptName" title="请输入出院科室">
                        </select>
                    </div>
                    <div class="form-group divCss8">
                        <label>患者姓名:</label>
                        <input type="text" class="form-control input-sm" id="name" maxlength="8" value="${record.name}">
                    </div>
                    <div class="form-group divCss8">
                        <label>&emsp;住院号:</label>
                        <input type="text" class="form-control input-sm" id="inpNo" maxlength="25"
                               value="${record.inpNo}">
                    </div>
                    <div class="form-group divCss8">
                        <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtnStatistics">查询</button>
                        <button type="button" class="btn btn-info btn-sm divCss" id="excelBtn">条件导出</button>
                    </div>
                </div>
            </form>
            <!--数据表格-->
            <c:if test="${level == '1'}">
                <div id="tableDiv">
                    <table id="table" class="table text-nowrap table-bordered"></table>
                </div>
            </c:if>
            <c:if test="${level == '2'}">
                <div id="tableDiv">
                    <table id="table1" class="table text-nowrap table-bordered"></table>
                </div>
            </c:if>
            <c:if test="${level == '3'}">
                <div id="tableDiv">
                    <table id="table2" class="table text-nowrap table-bordered"></table>
                </div>
            </c:if>
        </div>
    </div>
</div>
<script src="${path}/static/js/statistics/getDeptCommom.js?time=2020-08-18"></script>
<script src="${path}/static/js/statistics/statisticsCommom.js?t=2020-07-24"></script>
<script src="${path}/static/js/statistics/recordStatistics.js?time=2020-08-21"></script>
</body>
</html>