<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>医师归档统计</title>
    <meta charset="utf-8">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
    <style>
        .divCss {
            margin-top: 5px;
        }

        .divCss2 {
            margin-top: 5px;
            margin-left: 20px;
        }

        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }

        /* dataTables表头居中 */
        .table > thead:first-child > tr:first-child > th {
            text-align: center !important;
        }

        /**
      *多选下拉框
        */
        .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
            width: 168px !important;
        }

        .filter-option-inner-inner {
            font-size: 12px;
        }
    </style>
    <script>
        var path = "${path}";
    </script>
</head>

<body>
<!--赋值权限按钮标识-->
<input type="hidden" id="power">
<div class="mainBody">
    <div class="main">
        <div class="headDiv">
            <div class="headSpanDiv">
        <span class="headspan">
            医师归档统计
        </span>
            </div>
        </div>
        <div class="mainDiv">
            <!--搜索-->
            <form style="margin-top:5px;margin-bottom: 0!important;">
                <div class="form-inline">
                    <div class="form-group divCss8">
                        <label>出院科室:</label>
                        <select class="selectpicker bla bla bli" multiple data-live-search="true" data-actions-box="true" name="deptName" id="deptName" title="请输入出院科室">
                        </select>
                    </div>
                    <div class="form-group divCss8">
                        <label>主管医生:</label>
                        <input type="text" class="form-control input-sm" id="doctor" style="width: 116px;">
                    </div>
                    <div class="form-group divCss">
                        <label>出院日期:</label>
                        <div class="input-group input-daterange">
                            <input type="text" class="input-sm form-control" name="start" id="startDate" maxlength="10"
                                   autocomplete="off"/>
                            <span class="input-group-addon">-</span>
                            <input type="text" class="input-sm form-control" name="end" id="endDate" maxlength="10"
                                   autocomplete="off"/>
                        </div>
                    </div>
                    <button type="button" class="btn btn-primary btn-sm divCss" onclick="searchBtn()">查询</button>
                </div>
            </form>
            <!--数据表格-->
            <iframe src="${path}/vCount/getDoctorFileInfoIframe"
                    style="height:calc(100vh - 94px);width:100%; overflow-x:hidden;overflow-y:scroll" id="iframe"
                    frameborder="0"></iframe>
        </div>
    </div>
</div>
</body>
<script src="${path}/static/js/vCount/doctorFileList.js?time=2020-08-18"></script>
</html>