<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>统计列表</title>
    <meta charset="utf-8">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script type="text/javascript" src="${path}/static/js/echarts.min.js"></script>
    <%@include file="../../jspf/comm.jspf" %>
    <style>
        .divCss {
            margin-top: 5px;
        }

        .divCss2 {
            margin-top: 5px;
            margin-left: 20px;
        }

        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }

        /* dataTables表头居中 */
        .table > thead:first-child > tr:first-child > th {
            text-align: center !important;
        }

        /**
    *多选下拉框
      */
        .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
            width: 168px !important;
        }

        .filter-option-inner-inner {
            font-size: 12px;
        }

        /**
        * echartDiv样式
         */
        .echartsClass {
            margin-top: 10px;
            background-color: #ECF0F5;
            width: calc(100vw - 50px);
            height: calc(100vh - 107px);
        }
    </style>
</head>
<body>
<div class="mainBody">
    <div class="main">
        <div class="headDiv">
            <div class="headSpanDiv">
        <span class="headspan">
            统计列表
        </span>
            </div>
        </div>
        <div class="mainDiv">
            <ul class="nav nav-tabs" role="tablist">
                <li role="presentation" class="active"><a href="#home" aria-controls="home" role="tab"
                                                          data-toggle="tab">统计表格</a></li>
                <li role="presentation"><a href="#home1" aria-controls="home1" role="tab" data-toggle="tab">归档率统计图表</a>
                </li>
                <li role="presentation"><a href="#home2" aria-controls="home2" role="tab" data-toggle="tab">出院统计图表</a>
                </li>
            </ul>
            <div class="tab-content">
                <div role="tabpanel" class="tab-pane fade in active" id="home">
                    <!--搜索-->
                    <form style="margin-top:5px;margin-bottom: 0!important;">
                        <div class="form-inline">
                            <div class="form-group divCss8" style="height: 18px;margin-top: -7px;">
                                <label>出院科室:</label>
                                <select class="selectpicker bla bla bli" multiple data-live-search="true" data-actions-box="true" name="deptName" id="deptName" title="请输入出院科室">
                                </select>
                            </div>
                            <div class="form-group divCss">
                                <label>出院日期:</label>
                                <div class="input-group input-daterange">
                                    <input type="text" class="input-sm form-control" name="start" id="startDate"
                                           maxlength="10" autocomplete="off" value="${startDate}"/>
                                    <span class="input-group-addon">-</span>
                                    <input type="text" class="input-sm form-control" name="end" id="endDate"
                                           maxlength="10" autocomplete="off" value="${endDate}"/>
                                </div>
                            </div>
                            <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtn">查询</button>
                            <button type="button" class="btn btn-info btn-sm divCss" id="excelBtn">条件导出</button>
                            <button type="button" class="btn btn-danger btn-sm divCss" id="excelBtn2">未归档导出</button>
                        </div>
                    </form>
                    <!--数据表格-->
                    <table id="table" class="table table-striped"></table>
                    <div id="toolbar" class="btn-group pull-right" style="margin-right: 20px;">
                        <div class="columns columns-right btn-group pull-right">
                            <div class="btn-group btn-info">
                                <select id="sel_exportoption" class="form-control">
                                    <option value="">导出当前页面数据</option>
                                    <option value="all">导出全部数据</option>
                                    <option value="selected">导出选中数据</option>
                                </select>
                            </div>
                            <button class=" btn btn-success" style="height: 34px" type="button" id="refreshBtn"
                                    name="refresh" aria-label="Refresh" title="Refresh">
                                <i class="glyphicon glyphicon-refresh icon-refresh"></i>
                            </button>
                        </div>
                    </div>
                </div>
                <div role="tabpanel" class="tab-pane fade" id="home1">
                    <div class="echartsClass" id="chartmainTwo"></div>
                </div>
                <div role="tabpanel" class="tab-pane fade" id="home2">
                    <div class="echartsClass" id="chartmainOne"></div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
<script>
    var path = "${path}";
</script>
<script src="${path}/static/js/vCount/vCountList.js?time=2021-07-30"></script>
</html>