﻿<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>病案未提交报表</title>
    <meta charset="utf-8">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
    <script>
        var path = "${path}";
    </script>
    <link rel="shortcut icon" href="../../../static/favicon.ico">
    <style>
        /* .divCss {
             margin-top: 5px;
         }*/
        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }

        /* dataTables表头居中 */
        /*.table > thead:first-child > tr:first-child > th {
            text-align: center !important;
        }*/
        /**
        *多选下拉框
        */
        .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
            width: 168px !important;
        }

        /* .table{
             overflow: hidden;
         }*/
    </style>
</head>

<body>
<!--当前操作角色-->
<input type="hidden" id="checker">
<input type="hidden" id="deptCode" value="${obj.deptName}">
<input type="hidden" id="flag" value="">
<div class="mainBody">
    <div class="main">
        <div class="headDiv">
            <div class="headSpanDiv">
        <span class="headspan">
            病案未提交报表
        </span>
            </div>
        </div>
        <div class="mainDiv">
            <!--搜索-->
            <form style="margin-top:5px;margin-bottom: 0!important;">
                <div class="form-inline">
                    <div class="form-group divCss8">
                        <label>出院日期:</label>
                        <div class="input-group">
                            <input type="text" class="input-sm form-control" id="startTime1" style="text-align: center"
                                   maxlength="10" autocomplete="off" value="${obj.startDate}"/>
                            <span class="input-group-addon">-</span>
                            <input type="text" class="input-sm form-control" id="endTime1" style="text-align: center"
                                   maxlength="10" autocomplete="off" value="${obj.endDate}"/>
                        </div>
                    </div>
                    <div class="form-group divCss">
                        <label>出院时段:</label>
                        <select class="form-control input-sm" id="timeInterval"
                                onchange="loadTableByTime(this.options[this.options.selectedIndex].value,'startTime1','endTime1','table')">
                        </select>
                    </div>
                    <div class="form-group divCss8">
                        <label>出院科室:</label>
                        <select class="selectpicker bla bla bli" multiple data-live-search="true"  data-actions-box="true" name="deptName" id="deptName" title="请输入出院科室">
                        </select>
                    </div>
                    <div class="form-group divCss">
                        <label>待审核角色:</label>
                        <select class="form-control input-sm" id="infoId">
                            <option value="">全部</option>
                            <option value="2" <c:if test="${obj.infoId == 2}">selected</c:if>>医生待审核</option>
                            <option value="3"<c:if test="${obj.infoId == 3}">selected</c:if>>医生质控员待审核</option>
                            <option value="4"<c:if test="${obj.infoId == 4}">selected</c:if>>科主任待审核</option>
                            <option value="5"<c:if test="${obj.infoId == 5}">selected</c:if>>护士待审核</option>
                            <option value="6"<c:if test="${obj.infoId == 6}">selected</c:if>>护士质控员待审核</option>
                            <option value="7"<c:if test="${obj.infoId == 7}">selected</c:if>>护士长待审核</option>
                            <option value="8"<c:if test="${obj.infoId == 8}">selected</c:if>>病案室待审核</option>
                        </select>
                    </div>
                    <%--<div class="form-group divCss8">
                        <label>患者姓名:</label>
                        <input type="text" class="form-control input-sm" id="name" maxlength="8">
                    </div>
                    <div class="form-group divCss8">
                        <label>&emsp;住院号:</label>
                        <input type="text" class="form-control input-sm" id="inpNo" maxlength="25">
                    </div>--%>
                    <div class="form-group divCss8">
                        <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtnStatistics">查询</button>
                        <button type="button" class="btn btn-info btn-sm divCss" id="excelBtn1">条件导出</button>
                    </div>
                </div>
            </form>
            <!--数据表格-->
            <div id="tableDiv">
                <table id="table" class="table text-nowrap table-bordered"></table>
            </div>
        </div>
    </div>
</div>
<%--查看流程弹窗--%>
<div class="modal fade" id="showFlowInfo" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-contentHigh">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">查看流程</h4>
            </div>
            <div class="modal-body">
                <iframe id="showFlowInfoIframe" width="100%" height="100%" scrolling="yes"></iframe>
            </div>
        </div>
    </div>
</div>
<script src="${path}/static/js/statistics/getDeptCommom.js?time=2020-08-18"></script>
<script src="${path}/static/js/statistics/statisticsCommom.js?t=2020-07-24"></script>
<script>
    $(function(){
        initTable();
        getDeptStatistics();
        //赋值审核角色
        getChecker();
    })
    $("#searchBtnStatistics").click(function(){
        $("#table").bootstrapTable("refreshOptions", {pageNumber: 1});
    })
    //加载科室
    function getDeptStatistics() {
        //获取科室列表
        $.ajax({
            url: path+"/inHosp/getDept",
            type: "POST",
            data: {effective: 1, typecode: "dept_code"},
            async:false,
            success: function (result) {
                if (result != null) {
                    var html = '';
                    for (var i = 0; i < result.length; i++) {
                        var deptCode = $("#deptCode").val();
                        //定义是否包含默认需要选中的
                        var name = result[i].name;
                        var py = makePy(name);
                        var pingyin = ConvertPinyin(name);
                        var selected = false;
                        if(deptCode == result[i].code){
                            selected = true;
                        }
                        if(selected){
                            html += '<option data-tokens="' + name + '|' + py[0] + '|' + pingyin + '" value="' + result[i].code + '" selected>' + name + '</option>';
                        }else{
                            html += '<option data-tokens="' + name + '|' + py[0] + '|' + pingyin + '" value="' + result[i].code + '">' + name + '</option>';
                        }
                    }
                    $("#deptName").append(html);
                    $("#deptAdmissionTo").append(html);
                }
                $(".selectpicker").selectpicker('refresh'); //
            }
        });
    }
    //按科室审核角色分组查
    function initTable() {
        $("#table").bootstrapTable({ // 对应table标签的id
            url: path + "/record/getRecordGroupDeptAndRole", // 获取表格数据的url
            sidePagination: 'server', // 设置为服务器端分页     客户端：client
            cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
            striped: true,  //表格显示条纹，默认为false
            pagination: true, // 在表格底部显示分页组件，默认false
            paginationShowPageGo: true,
            pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
            searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
            detailView: false,//是否可展开
            undefinedText: '--', //当数据为 undefined 时显示的字符
            singleSelect: false,//设置True 将禁止多选
            clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
            paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
            height:553,
            searchTimeOut: 500,// 默认500  设置搜索超时时间。
            showHeader: true,//是否显示列头。
            //查询条件
            queryParams: function (params) {
                var currPageSize = this.pageSize;
                if (currPageSize == 2) {
                    currPageSize = 10;
                }
                var limit = null;
                var offset = params.offset;
                //判断是否导出全部all
                if ($("#sel_exportoption").val() == "all") {
                    offset = 0;
                    limit = _this.totalRows;
                    this.pageSize = limit;
                } else {
                    limit = currPageSize;
                    this.pageSize = currPageSize;
                }
                var infoId = $("#infoId").val();
                var operRole = getOperRole(infoId);
                var deptName = getDeptName();
                if(deptName == ''){
                    deptName = $("#deptCode").val();
                }
                var temp = {
                    offset:offset,
                    limit:limit,
                    startDate: $("#startTime1").val(),
                    endDate: $("#endTime1").val(),
                    deptName:deptName,
                    infoId:infoId,
                    operRole:operRole
                };
                return temp;
            },
            columns: [
                {
                    title: '序号',
                    formatter: function (value, row, index) {
                        return index + 1;
                    }
                },
                {
                    title: '主管医生',
                    field: 'doctorInCharge'
                },
                {
                    title: '医生工号',
                    field: 'doctorInChargeCode'
                },
                {
                    title: '超期份数',
                    field: 'overTimeCounts'
                },
                {
                    title: '出院科室',
                    field:'deptName'

                },
                {
                    title: '患者姓名',
                    field: 'name'
                },
                {
                    title: '住院号',
                    field: 'inpNo'
                },
                {
                    title: '住院次数',
                    field: 'visitId'
                },
                {
                    title: '出院日期',
                    field: 'dischargeDateTime',
                    formatter: function (value, row, index) {
                        return operDisDate(value);
                    }
                },
                {
                    title: '超期天数',
                    field: 'overtimeDays'
                },
                {
                    title: '状态',
                    field: 'status'
                },
                {
                    title: '完整性',
                    field: 'lockInfo'
                },
                {
                    title:'操作',
                    align: 'center',
                    valign: 'middle',
                    formatter: function (value, row, index) {
                        return '<button type="button" class="btn btn-sm btn-success showFlowInfo" title="查看流程">查看流程</button>';
                    },
                    events:{
                        //查看流程
                        'click .showFlowInfo': function (e, value, row) {
                            $('#showFlowInfo').modal({
                                backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                                keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                                show: true//弹出对话框
                            });
                            var masterId = row.id;
                            var name = encodeURI(row.name);
                            var inpNo = row.inpNo;
                            var visitId = row.visitId;
                            var dischargeDateTime = row.dischargeDateTime;
                            $("#showFlowInfoIframe").prop("src",path+"/beHosp/toShowFlowInfo?id="+masterId+"&name="+name+"&inpNo="+inpNo+"&visitId="+visitId+"&dischargeDateTime="+dischargeDateTime+"&role="+$("#checker").val());
                        }
                    }
                }
            ],
            onLoadSuccess: function (result) {  //加载成功时执行
                $(".page-list").show();
            }
        });
    }
    //获取操作角色
    function getOperRole(infoId){
        var operRole = 0;
        if(infoId < 5){
            operRole = 1;
        }else if(infoId == 5 || infoId == 6){
            operRole = 2;
        }else{
            operRole = 4;
        }
        return operRole;
    }

    //导出excel功能
    $("#excelBtn1").click(function () {
        var infoId = $("#infoId").val();
        var operRole = getOperRole(infoId);
        var deptName = getDeptName();
        if(deptName == ''){
            deptName = $("#deptCode").val();
        }
        var url = path+"/workHome/exportExcelNotSubmit";
        post(url,{
            "startDate": $("#startTime1").val(),
            "endDate": $("#endTime1").val(),
            "deptName":deptName,
            "infoId":infoId,
            "operRole":operRole
        });
    });
    //未终审页面、在院浏览、出院浏览查看病历时按审核角色查询分类，主要查询checker=2护士的只查看护理记录单和体温表
    function getChecker(){
        $.get(path+'/beHosp/getChecker',function(data){
            if(data.code == 100){
                var checker = data.extend.checker;
                $("#checker").val(checker);
                //根据操作角色显示退回角色
                if(checker == 1){
                    $("#returnDoctor").show();
                }else if(checker == 2){
                    $("#returnNurse").show();
                }else{
                    $("#returnDoctor").show();
                    $("#returnNurse").show();
                }
            }else{
                toastr.error(data.msg);
            }
        },'json');
    }
</script>
</body>
</html>