$('.bs-select').selectpicker({});
$('#deptDiv').selectpicker({
    size: 4
});
var tipLoad = 1;

//处理导出内容,这个方法可以自定义某一行、某一列、甚至某个单元格的内容,也就是将其值设置为自己想要的内容
function DoOnCellHtmlData(cell, row, col, data) {
    if (row == 0) {
        return data;
    }
    //由于备注列超过6个字的话,通过span标签处理只显示前面6个字,如果直接导出的话会导致内容不完整,因此要将携带完整内容的span标签中title属性的值替换
    if (col == 4 || col == 11 || col == 7) {
        var spanObj = $(data);//将带 <span title="val"></span> 标签的字符串转换为jQuery对象
        var title = spanObj.attr("title");//读取<span title="val"></span>中title属性的值
        //var span = cell[0].firstElementChild;//读取cell数组中的第一个值下的第一个元素
        if (typeof (title) != 'undefined') {
            return title;
        }
    }
    return data;
}
//定义表格内容最大高度
var maxHeight = 0;
function initTable() {
    if (tipLoad == 1) {
        $("#table").bootstrapTable({ // 对应table标签的id
            //method: 'POST',
            url: path+"/fault/faultList", // 获取表格数据的url
            contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
            //dataField: "data",//这是返回的json数组的key.默认是"rows".这里只有前后端约定好就行
            cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
            striped: true,  //表格显示条纹，默认为false
            pagination: true, // 在表格底部显示分页组件，默认false
            paginationShowPageGo: true,
            pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
            sidePagination: 'server', // 设置为服务器端分页     客户端：client
            search: false,
            showColumns: true,
            toolbar: '#toolbar',//指定工具栏
            searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
            undefinedText: '---', //当数据为 undefined 时显示的字符
            singleSelect: false,//设置True 将禁止多选
            clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
            //height: getHeight(219),     //定义表格的高度。
            searchTimeOut: 500,// 默认500  设置搜索超时时间。
            toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
            paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
            showHeader: true,//是否显示列头。
            trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
            //是否显示导出按钮
            showExport: true,
            //导出表格方式（默认basic：只导出当前页的表格数据；all：导出所有数据；selected：导出选中的数据）
            exportDataType: "basic",
            //导出文件类型
            exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel'],
            exportOptions: {
                fileName: document.title
            },
            queryParams: function (params) {
                var currPageSize = this.pageSize;
                if (currPageSize == 2) {
                    currPageSize = 10;
                }
                var limit = null;
                var offset = params.offset;
                //判断是否导出全部all
                if ($("#sel_exportoption").val() == "all") {
                    offset = 0;
                    limit = this.totalRows;
                    this.pageSize = limit;
                } else {
                    limit = currPageSize;
                    this.pageSize = currPageSize;
                }
                var url = window.location.href;
                var deptName = url.substring(url.lastIndexOf('&') + 1).replace("depts=", "");
                var len = ($("#deptName").val()).length;
                if (len > 0) {
                    var deptNameT = $("#deptName").val();
                    if (deptNameT.indexOf("") == -1) {
                        deptName = $("#deptName").val().toString();
                    }
                }
                var temp = {
                    limit: limit,     //页面大小
                    offset: offset,   //页码
                    order: params.order,      //排位命令（desc，asc）
                    startDate: $("#startDateTo").val(),
                    endDate: $("#endDateTo").val(),
                    inpNo: "" + $("#inpNo").val(),
                    visitId: "" + $("#visitId").val(),
                    name: "" + $("#name").val(),
                    archivestate: "" + $("#archivestate").val(),
                    deptName: deptName.toString(),
                    isSearch: $("#isSearch").val()
                };
                return temp;
            },
            sortName: 'id', // 要排序的字段
            sortOrder: 'desc', // 排序规则
            columns: [{
                title: '全选',
                field: 'select',   //复选框
                checkbox: true,
                width: 25,
                align: 'left',
                valign: 'middle',
            },
                {
                    title: '序号',
                    field: 'id',
                    align: 'center',
                    valign: 'middle',
                    //field: 'ID',
                    // visible: false,
                    formatter: function (value, row, index) {
                        return index + 1;
                    }
                },
                {
                    title: '住院号',
                    field: 'inpNo',
                    valign: 'middle',
                    //sortable: true,
                },
                {
                    title: '住院次数',
                    field: 'visitId',
                    valign: 'middle',
                    align: 'center'
                },
                {
                    title: '姓名',
                    field: 'name',
                    valign: 'middle',
                },
                {
                    title: '出院科室',
                    field: 'deptName',
                    align: 'left',
                    valign: 'middle',
                },
                {
                    title: '出院日期',
                    field: 'dischargeDateTime',
                    align: 'center',
                    valign: 'middle',
                    formatter: function (value, row, index) {
                        return operDisDate(value);
                    }
                },
                {
                    title: '归档状态',
                    field: 'archivestate',
                    align: 'center',
                    formatter: function (value, row, index) {
                        //在院  未归档  归档中  初审 已归档 已认证 复审退回
                        var a = '';
                        if (value == "已归档") {
                            a = '<span style="color:#030378"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                        } else {
                            a = '<span style="color:#c0c0c0;"><i class="fa fa-times-circle-o" aria-hidden="true"></i>未归档</span>';
                        }
                        return a;
                    }
                },
                {
                    field: 'score',
                    title: '评分(分)',
                    //sortable: true,
                    align: 'center',
                    valign: 'middle',
                    formatter: function (value, row, index) {
                        return value;
                        //return changeDateFormat(value)
                    }
                },
                {
                    field: 'backContent',
                    title: '退回内容',
                    formatter: function (value, row, index) {
                        return value;
                        //return changeDateFormat(value)
                    }
                },
                {
                    field: 'assortId',
                    title: '缺陷选项',
                    valign: 'middle',
                    formatter: function (value) {
                        return '<p class="hidden-xs" title="' + value + '">' + value + '</p>';
                    }
                },
                {
                    field: 'content',
                    title: '缺陷自定内容',
                    valign: 'middle',
                    formatter: function (value) {
                        return value;
                    }
                },
                {
                    field: 'createTime',
                    title: '创建时间',
                    valign: 'middle',
                    formatter: function (value) {
                        return value;
                        //return changeDateFormat(value)
                    }
                },
                {
                    field: 'creater',
                    title: '创建人',
                    valign: 'middle',
                    formatter: function (value, row, index) {
                        return value;
                    }
                },
            ],
            onLoadSuccess: function (result) {  //加载成功时执行
                //console.info("加载成功");
                $(".page-list").show();
                tipLoad = 0;
                reloadTableHeight("table");
            },
            onLoadError: function () {  //加载失败时执行
                //console.info("加载数据失败");
                tipLoad = 0;
            }
        });
    }
}

$(function () {
    //加载权限科室
    getPowerDept();
    var url = window.location.href;
    var index = url.substring(url.lastIndexOf('?') + 1).replace("num=", "");
    if (index != null && index != "" && index.indexOf("excel") != -1) {
        $("#excelBtn").show();
        $("#toolbar").show();
    } else {
        $("#excelBtn").hide();
        $(".columns-right").hide();
    }
    var deptAdmissionTo = url.substring(url.lastIndexOf('&') + 1).replace("depts=", "");
    var deptArr = deptAdmissionTo.split(',');
    //var n = (deptAdmissionTo.split(',')).length ;
    if (deptAdmissionTo == null || deptAdmissionTo == '' || deptArr.length > 1) {
        $('#deptDiv').show();
    } else {
        $('#deptDiv').hide();
    }
});
initTable();
//2.初始化select的change事件
$("#sel_exportoption").change(function () {
    $('#table').bootstrapTable('refreshOptions', {
        exportDataType: $(this).val()
    });
});
$("#refreshBtn").click(function () {
    //刷新
    $('#table').bootstrapTable('refresh');
});

//导出excel功能
$("#excelBtn").click(function () {
    var inpNo = $("#inpNo").val();
    var visitId = $("#visitId").val();
    var name = $("#name").val();
    var startDate = $("#startDateTo").val();
    var endDate = $("#endDateTo").val();
    var archivestate = $("#archivestate").val();

    var url = window.location.href;
    var deptName = url.substring(url.lastIndexOf('&') + 1).replace("depts=", "");
    var len = ($("#deptName").val()).length;
    if (len > 0) {
        var deptNameT = $("#deptName").val();
        if (deptNameT.indexOf("") == -1) {
            deptName = $("#deptName").val().toString();
        }
    }
    var isSearch = $("#isSearch").val();
    var url = path+"/fault/exportExcel";
    post(url, {
        "inpNo": inpNo,
        "visitId": visitId,
        "name": name,
        "deptName": deptName,
        "startDate": startDate,
        "endDate": endDate,
        "isSearch": isSearch,
        "archivestate": archivestate
    });
});