//校验完整性
function checkSuccessMethod(masterId){
    var returnStr = '';
    $.ajax({
        type:'get',
        url:path+'/beHosp/checkSuccess',
        data:{archiveDetailId:masterId},
        async:false,
        success:function(result){
            if(result != ''){
                returnStr = result;
            }
        }
    });
    return returnStr;
}
//查询根据记账号查询重新采集未完成的文件名称集合
function selectC1WithNotCollectFinishByPatientId(){
    var masterId = $("#archiveId").val();
    $.ajaxSetup({ //ajax异步转同步
        async : false
    });
    var returnStr = '';
    var checkData=$("#table").bootstrapTable('getRowByUniqueId',masterId);
    var patientId = checkData.patientId;
    $.get(path+"/archiveExt/selectC1WithNotCollectFinishByPatientId/"+patientId,function(result){
        if(result.code == 100){
            var resultSuccess = result.extend.c1s;
            if(resultSuccess != ''){
                returnStr += '重新采集未完成:'+resultSuccess+";";
            }
        }
    },'json');
    return returnStr;
}
//加载科室内主管医生列表
function loadDoctorInCharge(){
    var deptName = getDeptNameForQuery();
    $.ajax({
        type:'get',
        url:path+'/beHosp/loadDoctorInCharge',
        async:false,
        data:{deptName:deptName},
        success:function(data){
            $("#doctorInCharge").empty();
            if(data.code == 100){
                var html = '';
                var list = data.extend.list;
                if(list != null && list != ''){
                    for (var i = 0; i < list.length; i++) {
                        var name = list[i].doctorInCharge;
                        var py = makePy(name);
                        var pingyin = ConvertPinyin(name);
                        var selected = '';
                        //判断是否需要选中
                        var flag = $("#flag").val();
                        var currentRole = $("#roleId").val();
                        if(currentRole == 1){
                            if($("#currentName").val() == name){
                                selected = 'selected';
                            }
                        }
                        html += '<option data-tokens="' + name + '|' + py[0] + '|' + pingyin + '" value="' + name + '" '+selected+'>' + name + '</option>';
                    }
                }
                $("#doctorInCharge").append(html);
            }
            $(".selectpicker").selectpicker('refresh');
        }
    })
}

//退回按钮
function returnInfo(status,targetCode,id){
    //重新生成formToken
    setFormToken();
    $("#backArchiveId").val(id);
    $("#status").val(status);
    $("#targetCode").val(targetCode);
    $('#form2').find('input,textarea,checkbox').prop('readonly', false);
    $('#returnBtn').show();
    //清空标签的内容
    $('#content').val("");
    $('#backContent').val("");
    $('#score').val("");
    $('input[name="returntoRole"]').each(function () {
        $(this).prop('checked', false);
    });
    $("#faultTypeDiv").empty();
    getFaultType();
    $('#returnModal').modal({
        backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
        keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
        show: true//弹出对话框
    });
}

//提交退回信息
$("#returnBtn").on('click', function () {
    //退给角色选中个数
    var returnRoleLength = $("input[name='returntoRole']:checked").length;
    if(returnRoleLength == 0){
        toastr.warning("退给角色至少选中一个!");
        return;
    }
    if (validateNum($("#score").val()) && $("#backArchiveId").val() != "") {
        var data = {};
        data.archiveDetailId = $("#backArchiveId").val();
        //缺陷信息
        data.content = $("#content").val();
        //选择框checkbox,选中的id
        data.assortId = "";
        //jquery获取复选框值
        var arr = [];
        $('input[name="Fruit"]:checked').each(function () {//遍历每一个名字为interest的复选框，其中选中的执行函数
            arr.push($(this).val())//将选中的值添加到数组arr中
        });
        if (arr != []) {
            data.assortId = arr.toString();
        }
        //退回信息
        data.score = $("#score").val();
        var length = $('input[name="returntoRole"]:checked').length;
        if(length == 2){
            //退给角色,如果选中两个存ALL
            data.returntoRole = 'ALL';
        }else{
            $('input[name="returntoRole"]:checked').each(function () {//遍历每一个名字为interest的复选框，其中选中的执行函数
                data.returntoRole = $(this).val();
            });
        }
        data.backContent = $("#backContent").val();
        data.status = $("#status").val();
        data.formToken = $("#formToken1").val();
        data.targetCode = $("#targetCode").val();
        //根据病案号保存缺陷信息
        $.ajax({
            url: path+"/lastVerify/updateDetailByArchivId",
            type: "POST",
            data: data,
            success: function (result) {
                if (result.code == 100) {
                    //关闭modal
                    $('#returnModal').modal('hide');  //手动关闭
                    toastr.success("退回成功！");
                    //刷新
                    $('#table').bootstrapTable('refresh');
                } else {
                    toastr.error(result.msg);
                }
            }
        });
    } else {
        toastr.warning("评分范围0-100！");
    }
});

//数字验证，评分范围0-100
function validateNum(value) {
    var testReg = /^(((\d|[1-9]\d)(\.\d{1,2})?)|100|100.0|100.00)$/;
    if (testReg.test(value) != true) {
        toastr.warning("评分范围0-100,保留两位小数！");
        return false;
    } else {
        return true;
    }
}

//查询缺陷类别字典
function getFaultType() {
    //获取科室列表
    $.ajax({
        url: path+"/lastVerify/getFaultType",
        type: "POST",
        data: {effective: 1},
        success: function (result) {
            if (result != null) {
                var html = '';
                for (var i = 0; i < result.length; i++) {
                    if (i % 2 == 0) {
                        html += '<div class="row" style="width:600px"><label class="col-xs-6"><input name="Fruit" type="checkbox"  value="' + result[i].id + '">' + result[i].typeName + '</label>'

                    } else {
                        html += '<label class="col-xs-6"><input name="Fruit"  type="checkbox" value="' + result[i].id + '">' + result[i].typeName + '</label></div>';
                    }
                }
                $("#faultTypeDiv").append(html);
            }
        }
    });
}

//加载采集来源
function getSource(){
    $.ajax({
        type:'get',
        url:path+'/inHosp/getSourceByMasterId',
        data:{masterid:$("#idLab").html()},
        dataType:"json",
        success:function(data){
            $("#source").empty();
            var html = '<option value="">全部</option>';
            if(data.code == 100){
                var list = data.extend.str;
                if(list != null && list != '') {
                    list = list.split(",");
                    for (var i = 0; i < list.length; i++) {
                        var source = list[i];
                        html += '<option value="' + source + '">' + source + '</option>';
                    }
                }
            }
            $("#source").append(html);
        }
    })
}
$("#searchBtn2").click(function(){
    initTable2();
})
//创建数组保存图片
var files = new Array();
var id = 0;
//图片处理相关代码
$(function () {
    initTable();
});

var objUrl;
var img_html;
$("#myFile").change(function () {
    var img_div = $(".img_div");
    var filepath = $("input[name='myFile']").val();
    //获取所有图片
    var fileALL = this.files;
    for (var i = 0; i < fileALL.length; i++) {
        //把图片存到数组中
        files[id] = fileALL[i];
        id++;
        //获取图片路径
        objUrl = getObjectURL(fileALL[i]);
        var extStart = filepath.lastIndexOf(".");
        var ext = filepath.substring(extStart, filepath.length).toUpperCase();
        /**
         *描述：鉴定每个图片上传尾椎限制
         */
        if ( ext != ".PNG" && ext != ".GIF" && ext != ".JPG" && ext != ".JPEG") {
            toastr.warning("图片限于png,gif,jpeg,jpg格式");
            return false;
        } else {
            /**
             *若规则全部通过则在此提交url到后台数据库
             */
            img_html = "<div class='isImg' id='-1'><img src='" + objUrl + "' id='" + fileALL[i].name + "' onclick='javascript:lookBigImg(this)' style='height: 100%; width: 100%;' />"

            img_html += selectStr
                + " <button class='removeBtn' onclick='javascript:removeImg(this)'>x</button></div>";
            img_div.append(img_html);
        }
    }
    /**
     *描述：鉴定每个图片大小总和
     */
    var file_size = 0;
    var all_size = 0;
    for (j = 0; j < fileALL.length; j++) {
        file_size = fileALL[j].size;
        all_size = all_size + fileALL[j].size;
        var size = all_size / 1024;
        if (size > 500000000) {//500
            toastr.warning("上传的图片大小不能超过10000000k！");
            this.value = "";
            $(".img_div").html("");
            return false;
        }
    }
    /**
     *描述：鉴定每个图片宽高 以后会做优化 多个图片的宽高 暂时隐藏掉 想看效果可以取消注释就行
     */
    return true;
});

/**
 *描述：鉴定每个浏览器上传图片url 目前没有合并到Ie,返回值为blob的url
 */
function getObjectURL(file) {
    var url = null;
    if (window.createObjectURL != undefined) { // basic
        url = window.createObjectURL(file);
    } else if (window.URL != undefined) { // mozilla(firefox)
        url = window.URL.createObjectURL(file);
    } else if (window.webkitURL != undefined) { // webkit or chrome
        url = window.webkitURL.createObjectURL(file);
    }
    return url;
}
/**
 * 描述：上传图片附带删除 再次地方可以加上一个ajax进行提交到后台进行删除
 */
function removeImg(r) {
    //获取data中的图片名
    var filename = $(r).siblings("img").attr('id');
    //删除父节点
    $(r).parent().remove();
    var fileList = Array.from(files);
    //遍历数组
    for (var j = 0; j < fileList.length; j++) {
        //通过图片名判断图片在数组中的位置然后删除
        if (fileList[j].name == filename) {
            fileList.splice(j, 1);
            break;
        }
    }
    files = fileList;
    var id = $(r).parent().attr('id');
    var maxPicture = $(r).siblings("img").attr('src');
    if ($(r).parent().attr('id') != -1) {
        var target = document.getElementById('filesUpload');
        spinner.spin(target);//给id为foo的div 中绑上spinner
        $.ajax({
            url: "${path}/inHosp/delImg",
            type: "POST",
            data: {id: id, maxPicture: maxPicture},
            success: function (result) {
                spinner.spin();
                if (result.indexOf("成功") != -1) {
                    toastr.success(result);
                } else {
                    toastr.error(result);
                }
            }, error: function () {
            }
        });
    }
}
/**
 * 描述：上传图片附带放大查看处理
 */
function lookBigImg(b) {
    $('#maxImg').modal({
        backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
        keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
        show: true//弹出对话框
    });
    $(".shadeImg").fadeIn(500);
    $(".showImg").attr("src", $(b).attr("src"));
}

/**
 * 描述：关闭弹出层
 */
function closeShade() {}

/**
 *描述：关闭弹出层
 */
function closeShadeImg() {}
//初始化类别
var selectStr = "";
//上传图片的分类列表
function getAssortFun() {
    $.ajax({
        url: path+"/inHosp/getAssort",
        type: "POST",
        data: {patientId: $("#idLab").html()},
        async: true,
        success: function (result) {
            if (result.length > 0) {
                if (result != null) {
                    selectStr = "<select class='selectB'>";
                    for (i = 0; i < result.length; i++) {
                        selectStr += "<option value=" + result[i].assortId + ">" + result[i].assortName + "</option>";
                        $("#inpGl").append("<option value=" + result[i].assortId + ">" + result[i].assortName + "</option>");
                    }
                    selectStr += " </select>";
                }
            }
        }, error: function () {
        }
    });
}
var opts = {
    lines: 13, // The number of lines to draw |小长条的数量
    length: 20, // The length of each line |小长条的长度
    width: 5, // The line thickness |小长条的宽度
    radius: 15, // The radius of the inner circle |内环的半径长
    corners: 1, // Corner roundness (0..1)
    rotate: 0, // The rotation offset |旋转角度
    direction: 1, // 1: clockwise, -1: counterclockwise |1：顺时针方向 -1：逆时针方向
    color: '#000', // #rgb or #rrggbb or array of colors |颜色
    speed: 1, // Rounds per second |每秒转多少圈
    trail: 60, // Afterglow percentage |余晖效果百分比
    shadow: false, // Whether to render a shadow |渲染阴影
    hwaccel: false, // Whether to use hardware acceleration |加速
    className: 'spinner', // The CSS class to assign to the spinner |类名spinner
    zIndex: 2e9, // The z-index (defaults to 2000000000) |显示在最顶层
    top: '70%', // Top position relative to parent in px |相对父元素的top
};
var spinner = new Spinner(opts);

var url = "";

function uploadFileFun() {
    var formData = new FormData();
    formData.append('file', $('#addFile')[0].files[0]);
    formData.append('fileName', $("#outDateLab").val());
    formData.append('id', $("#inpId").val());
    formData.append('masterID', $("#idLab").html());
    formData.append('assortID', $("#inpType").val());
    $.ajax({
        url: path+"/inHosp/uploadImg",
        scriptCharset: "UTF-8",
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        type: 'POST',
        cache: false,
        data: formData,
        processData: false,
        success: function (result) {
            if (result.indexOf("文件") == -1) {
                toastr.success("上传成功!");
                $('#addFile').attr("src", result);
                url = result;
                $('#previewFile').css("display", "block");//显示预览按钮
            } else {
                toastr.warning(result);
            }
        }, error: function (result) {
            toastr.error("上传失败！");
        }
    });
}
function imgSelectFun() {
    var img_div = $(".img_div");
    if ($("#inpGl").val() != "非类型") {
        var target = document.getElementById('divImg');
        spinner.spin(target);//给id为foo的div 中绑上spinner
        var data = {};
        data.relationId = $("#idLab").html();
        data.assortId = $("#inpGl").val();
        $.ajax({
            url: path+"/inHosp/getPicList",
            type: "post",
            data: data,
            success: function (result) {
                if (result != null) {
                    img_div.empty();
                    for (var i = 0; i < result.length; i++) {
                        /**
                         *若规则全部通过则在此提交url到后台数据库
                         */
                        var fileName = result[i].maxPicture.split("\\");
                        img_html = "<div class='isImg' id='" + result[i].id + "'><img src='../" + result[i].maxPicture + "' id='" + fileName[fileName.length - 1] + "' onclick='javascript:lookBigImg(this)' style='height: 100%; width: 100%;' />"
                            + selectStr
                            + " <button class='removeBtn' onclick='javascript:removeImg(this)'>x</button></div>";
                        img_div.append(img_html);
                        img_div.find("select").eq(i).val(result[i].assortId);
                    }
                } else {
                    toastr.success("暂无数据！");
                }
                spinner.spin();
            },
            error: function () {
                toastr.error("获取图片列表失败！");
            }
        });
    } else {
        img_div.empty();
    }
}

$("#imgBtn").click(function () {
    imgSelectFun();
});

$("#imgsSaveBtn").click(function () {
    var spinner1 = new Spinner(opts);
    var target = document.getElementById('divImg');
    spinner1.spin(target);//给id为foo的div 中绑上spinner
    var fileArr = [];
    var b = 0;
    //获取图片src和下拉框值
    var div_p = $(".img_div").children();
    var div_data = div_p.children();
    if (div_data != null)
        for (var i = 0; i < div_data.length; i++) {
            if (div_data[i].getAttribute('src') != null && div_data[i].getAttribute('src') != "") {
            }
            if (div_data[i].value != null && div_data[i].value != "") {
                var obj = {};
                obj.selectVal = div_data[i].value;
                if (b < div_data.length / 2) {
                    obj.id = div_p[b].id;
                    b++;
                }
                fileArr.push(obj);
            }
        }
    if (fileArr.length > 0) {
        //创建FormData根据form
        var uploadFile = new FormData($("#filesUpload")[0]);
        uploadFile.append('fileName', $("#outDateLab").val());
        uploadFile.append('masterID', $("#idLab").html());
        uploadFile.append("list", JSON.stringify(fileArr));
        //遍历图片数组把图片添加到FormData中
        for (var i = 0; i < files.length; i++) {
            uploadFile.append("imgs", files[i]);
        }
        if ("undefined" != typeof (uploadFile) && uploadFile != null && uploadFile != "") {
            var target = document.getElementById('filesUpload');
            spinner.spin(target);//给id为foo的div 中绑上spinner
            //通过ajax上传
            $.ajax({
                url: path+"/inHosp/uploadImgS",
                type: "post",
                data: uploadFile, //把FormData作为参数
                contentType: false, //不设置内容类型
                processData: false, //不处理数据
                success: function (data) {
                    initTree($("#idLab").html(),$("#checker").val());
                    setTimeout(function () {
                        //刷新当前类别
                        imgSelectFun();
                        if (data.indexOf("成功") != -1) {
                            toastr.success(data);
                        } else if (data.indexOf("成功") != -1) {
                            toastr.error(data);
                        } else {
                            toastr.warning(data);
                        }
                        spinner1.spin();
                    }, 2000);
                    files = new Array();
                },
                error: function () {
                    spinner1.spin();
                    toastr.error("批量上传失败！");
                }
            });
            spinner.spin();
        }
    } else {
        toastr.warning("请选择上传的图片！");
    }
});

$("#uploadBtn").click(function () {
    $('#pdfModal').modal({
        backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
        keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
        show: true//弹出对话框
    });
    //加载分类选项
    getAssortFun();
});

$('#addFile').on('change', function () {
    //判断文件类型，并上传pdf
    uploadFileFun();
});

$("#previewFile").on('click', function () {
    //上传后预览pdf文件
    var fileUrl = $("#fileUrlInp").val();
    var pdfUrl = path+"/static/pdfjs/web/viewer.html?file=" + fileUrl;
    if (fileUrl != null && fileUrl != "") {
        window.open(pdfUrl, 'PDF', 'width:50%;height:50%;top:100;left:100;');
    }
});
var idArr = [];
//文档列表
function initTable2() {
    $("#table2").bootstrapTable("destroy");
    $("#table2").bootstrapTable({ // 对应table标签的id
        //method: 'POST',
        url: path+"/inHosp/getAssortdetail", // 获取表格数据的url
        contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
        //dataField: "data",//这是返回的json数组的key.默认是"rows".这里只有前后端约定好就行
        cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
        striped: true,  //表格显示条纹，默认为false
        pagination: true, // 在表格底部显示分页组件，默认false
        paginationShowPageGo: true,
        pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
        smartDisplay: false,
        pageSize: 20, // 页面数据条数
        pageNumber: 1, // 初始化加载第一页，默认第一页
        sidePagination: 'server', // 设置为服务器端分页     客户端：client
        search: false,
        //showColumns: true,
        searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
        undefinedText: '---', //当数据为 undefined 时显示的字符
        singleSelect: false,//设置True 将禁止多选
        clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
        height: 560,     //定义表格的高度。
        searchTimeOut: 500,// 默认500  设置搜索超时时间。
        //toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
        paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
        showHeader: true,//是否显示列头。
        trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
        sortable: true,
        queryParams: function (params) {
            var currPageSize = this.pageSize;
            if (currPageSize == 2) {
                currPageSize = 10;
            }
            var limit = null;
            var offset = params.offset;
            var patientId = $("#idLab").html();
            var assortId = $("#assortId").html();
            if (assortId == 0) assortId = null;
            //判断是否导出全部all
            if ($("#sel_exportoption").val() == "all") {
                offset = 0;
                limit = this.totalRows;
                this.pageSize = limit;
            } else {
                limit = currPageSize;
                this.pageSize = currPageSize;
            }

            var temp = {
                limit: limit,     //页面大小
                offset: offset,   //页码
                sort:params.sort,
                order: params.order,      //排位命令（desc，asc）
                patientId: patientId,
                assortId: assortId,
                checker:$("#checker").val(),
                source:$("#source").val(),
                title:$("#title").val()
            };
            return temp;
        },
        columns: [{
            title: '全选',
            field: 'select',   //复选框
            checkbox: true,
            width: 25,
            align: 'center',
            hidden: true
        }, {
            title: '序',
            field: 'id',
            align: 'left',
            visible: false
        },

            {
                title: '分段类id',
                field: 'assortId',
                align: 'left',
                valign: 'middle',
                visible: false
            },
            {
                title: '标题',
                field: 'title',
                align: 'left',
                valign: 'middle',
                width: 1,
                cellStyle: {
                    css: {"max-width":"450px","white-space":"nowrap","text-overflow":"ellipsis","overflow":"hidden"}
                }
            },
            {
                title: '采集完成时间',
                field: 'uploaddatetime',
                align: 'left',
                valign: 'middle',
                sortable: true,
                width: 150
            },
            {
                title: '来源',
                field: 'source',
                align: 'center',
                valign: 'middle',
                width: 50 // 定义列的宽度，单位为像素px
            },
            {
                title: '状态',
                field: 'flag',
                align: 'center',
                valign: 'middle',
                width: 80, // 定义列的宽度，单位为像素px
                formatter: function (value, row, index) {
                    //在院  未归档  归档中  初审 已归档 已认证
                    var a = '';
                    if (value == "1") {
                        a = '<span style="color:red;"><i class="fa fa-times-circle-o" aria-hidden="true"></i>作废</span>';
                    } else if (value == "0") {
                        a = '<span style="color:green"><i class="fa fa-check-circle-o" aria-hidden="true"></i>使用</span>';
                    }
                    return a;
                }
            },
            {
                title: "操作",
                align: 'left',
                valign: 'middle',
                width: 120, // 定义列的宽度，单位为像素px
                formatter: function (value, row, index) {
                    //return '<button class="btn btn-danger btn-sm" onclick="selectFun(\'' + row + '\')">查看 </button>';
                    var html = '<button type="button" class="btn btn-info btn-sm editInfo" >编辑 </button>';// '<a href="javascript:;" class="delete">删除</a>';
                    if (row.flag == "0") {
                        html = html + '<button type="button" class="btn btn-danger btn-sm stateInfo" >作废 </button>';
                    }
                    return html;
                }, events: {
                    'click .editInfo': function (e, value, row, index) {
                        $('#assortModal').modal({
                            backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                            keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                            show: true//弹出对话框
                        });

                        //同步
                        $("#inpId").val(row.id);
                        $("#inpTitle").val(row.title);
                        //下拉类别
                        getZdAssort();
                        $("#inpType").val(row.assortId);
                        $("#inpSource").val(row.source);
                        $("#inpFlag").val(row.flag);
                        if (row.pdfPath != "" && row.pdfPath != "") {
                            $("#fileUrlInp").val(row.pdfPath);
                            $('#previewFile').css("display", "block");//显示预览按钮
                        }
                    }, 'click .stateInfo': function (e, value, row, index) {
                        $('#exampleModal').modal({
                            backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                            keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                            show: true//弹出对话框
                        });
                        //同步
                        $("#idT").val(row.id);
                    }
                },
                cellStyle: function (value, row, index) {
                    return {classes: 'success'}
                }
            }
        ],
        onLoadSuccess: function (result) {  //加载成功时执行
            // console.info("加载成功");
        },
        onLoadError: function () {  //加载失败时执行
            console.info("加载数据失败");
        }, onCheckAll: function (rows) { //点击全选框时触发的操作
            if (rows != null && rows.length) {
                for (var i = 0; i < rows.length; i++) {
                    idArr.push(rows[i].id)
                }
            }
        }, onCheck: function (row) {//点击每一个单选框时触发的操作
            idArr.push(row.id)
        }, onUncheck: function (row) {//取消每一个单选框时对应的操作；
            var index = idArr.indexOf(row.id);
            if (index > -1) {
                idArr.splice(index, 1);
            }
        }, onUncheckAll: function (row) {//取消每一个单选框时对应的操作；
            idArr = [];
        }
    });
}

$("#selModal").keydown(function (e) {
    if (e.keyCode == 13) {
        event.preventDefault();//禁用默认回车事件
    }
});

//2.初始化select的change事件
$("#sel_exportoption").change(function () {
    $('#table').bootstrapTable('refreshOptions', {
        exportDataType: $(this).val()
    });
});
$("#refreshBtn").click(function () {
    //刷新
    $('#table').bootstrapTable('refresh');
});

var zNodes = [];
var nodeList = [];

//加载分段树
function initTree(patientId,checker) {
    var target = document.getElementById('foo');
    spinner.spin(target);//给id为foo的div 中绑上spinner
    zNodes = [];
    //获取所有分段列表
    $.ajax({
        url: path+"/inHosp/getAssort",
        type: "POST",
        data: {patientId: patientId,checker:checker},
        async: true,
        success: function (result) {
            zNodes.push({id: 0, pId: 0, name: "分段列表", open: true});
            if (result.length > 0) {
                for (var i = 0; i < result.length; i++) {
                    //树列表
                    var obj = {};
                    obj.id = result[i].assortId;
                    obj.pId = 0;
                    obj.name = "" + result[i].assortName + "(" + (result[i].pageNum) + ")";
                    obj.assortSort = result[i].assortSort;
                    obj.patientId = result[i].patientId;
                    obj.printFlag = result[i].printFlag;
                    obj.ids = result[i].ids;
                    obj.pageCounts = result[i].pageCounts;
                    zNodes.push(obj);
                }
            }
            $.fn.zTree.init($("#ztree"), setting, zNodes);
            initTable2();
            spinner.spin();
        }, error: function () {
        }
    });
}

var setting = {
    view: {
        addHoverDom: false,
        removeHoverDom: false,
        selectedMulti: false,
        autoCancelSelected: false
    },
    check: {
        enable: true
    },
    data: {
        simpleData: {
            enable: true,
            idKey: "id",
            pIdKey: "pId",
            rootPId: "0"
        }
    },
    edit: {
        enable: false
    },
    callback: {
        beforeClick: function (treeId, treeNode) {
            idArr = [];
            $("#assortId").html("'"+treeNode.id+"'");
            //查询之后重新从第一页算起
            $('#table2').bootstrapTable('refreshOptions', {limit: 1, offset: 10});
            //刷新
            $('#table2').bootstrapTable('refresh');
        },
        onClick:onClick,
        onCheck:onCheck
    }
};
//树点击事件
function onClick(e, treeId, treeNode) {
    var zTree = $.fn.zTree.getZTreeObj("ztree");
    //点击后选中
    zTree.checkNode(treeNode,!treeNode.checked, true);
    loadTable2ByOperTree();
};
//树选中事件
function onCheck(e, treeId, treeNode) {
    loadTable2ByOperTree();
};
function loadTable2ByOperTree(){
    var ids = '';
    //获取树
    var zTree = $.fn.zTree.getZTreeObj("ztree");
    //获取改变的全部结点
    var changedNodes = zTree.getChangeCheckedNodes();
    for (var i = 0; i < changedNodes.length; i++) {
        if (changedNodes[i].id !== 0) {
            ids += "'" + changedNodes[i].id + "',";
        }
    }
    if(ids !== ''){
        ids = ids.substring(0,ids.length-1);
    }
    $("#assortId").html(ids);
    //查询之后重新从第一页算起
    $('#table2').bootstrapTable('refreshOptions', {limit: 1, offset: 10});
    //刷新
    $('#table2').bootstrapTable('refresh');
}
//查询树节点
function searchNode() {
    var zTree = $.fn.zTree.getZTreeObj("ztree");
    if(zTree != null) {
        var value = $("#key").val();
        if (value == "") {
            var nodes = zTree.getNodesByParam("isHidden", true);
            zTree.showNodes(nodes);
        } else {
            nodeList = zTree.getNodesByParamFuzzy("name", value);
            var nodes = zTree.getNodes();
            zTree.hideNodes(nodes[0].children);
            updateNodes(true);
        }
        zTree.expandAll(true);
    }
}

function updateNodes(highlight) {
    var zTree = $.fn.zTree.getZTreeObj("ztree");
    for (var i = 0, l = nodeList.length; i < l; i++) {
        zTree.showNode(nodeList[i]);
    }
}

$(document).keydown(function (event) {
    if (event.keyCode == 13) {
        searchNode();
    }
});
//按esc关闭病历清单
$(document).keydown(function (event) {
    if (event.keyCode == 27){//点击“ESC”键
        $("#selModal").modal('hide');
    }
});

//展开
function expandAll() {
    var treeObj = $.fn.zTree.getZTreeObj("ztree");
    treeObj.expandAll(true);
}

//收缩
function collapseAll() {
    var treeObj = $.fn.zTree.getZTreeObj("ztree");
    treeObj.expandAll(false);
}

$("#searchBtn1").click(function () {
    searchNode();
});

$("#updateStateBtn").click(function () {
    //选中批量作废
    var id = idArr.toString();
    //判断id
    if (id == null || id == '') {
        toastr.warning("请选择记录！");
        return;
    }
    $.ajax({
        url: path+"/inHosp/updateStateAll",
        type: "POST",
        data: {"id": id, flag: "1"},
        success: function (result) {
            if (result == 1) {
                //刷新
                $('#table2').bootstrapTable('refresh');
                toastr.success("批量作废成功！");
                //获取选中节点
                initTree($("#idLab").html(),$("#checker").val());
            } else {
                toastr.error("批量作废失败，无记录！");
            }
        }, error: function () {
            toastr.error("操作失败！");
        }
    });
});

$("#updateStateBtn2").click(function () {
    //选中批量使用
    var id = idArr.toString();
    //判断id
    if (id == null || id == '') {
        toastr.warning("请选择记录！");
        return;
    }
    $.ajax({
        url: path+"/inHosp/updateStateAll",
        type: "POST",
        data: {"id": id, flag: "0"},
        success: function (result) {
            if (result == 1) {
                //刷新
                $('#table2').bootstrapTable('refresh');
                //获取选中节点
                initTree($("#idLab").html(),$("#checker").val());
                toastr.success("批量使用成功！");
            } else {
                toastr.error("批量使用失败，无记录！");
            }
        }, error: function () {
            toastr.error("操作失败！");
        }
    });
});
$("#stateBtn").click(function () {
    $('#exampleModal').modal('hide');  //手动关闭
    var id = $("#idT").val();
    //console.log("===作废事件=======" + id);
    $.ajax({
        url: path+"/inHosp/updateState",
        type: "POST",
        data: {"id": id, flag: "1"},
        success: function (result) {
            if (result == 1) {
                //刷新
                $('#table2').bootstrapTable('refresh');
                toastr.success("作废成功！");
                //获取选中节点
                initTree($("#idLab").html(),$("#checker").val());
            } else {
                toastr.error("作废失败，无该条记录！");
            }
        }, error: function () {
            toastr.error("操作失败！");
        }
    });

});

function inpFun() {
    var temp = {};
    temp.id = $("#inpId").val();
    temp.title = $("#inpTitle").val();
    temp.assortid = $("#inpType").val();
    temp.source = $("#inpSource").val();
    temp.flag = $("#inpFlag").val();
    temp.masterid = $("#idLab").html();
    temp.sys = "emr_medical_record";
    return temp
}

$("#saveBtn").click(function () {
    if ($("#inpTitle").val().length > 100) {
        toastr.warning("长度不超过100！");
        return;
    }
    $.ajax({
        url: path+"/inHosp/saveInfo",
        type: "POST",
        data: inpFun(),
        success: function (result) {
            if (result.indexOf("成功") != -1) {
                $('#assortModal').modal('hide');  //手动关闭
                //获取选中节点
                initTree($("#idLab").html(),$("#checker").val());
                toastr.success(result);
            } else {
                toastr.error(result);
            }
        }, error: function () {
            toastr.error("操作失败！");
        }
    });
});
$("#workDetail").click(function(){
    pageNumber = 1;
    //撤销监听
    cancleListentingSuccess();
    $("#workDetailModal").modal({
        show: true//弹出对话框
    });
    $.ajax({
        type:'get',
        url:path+'/archiveExt/getArchiveExtInfoList',
        data:{jzh: $("#patientId").val()},
        dataType:'json',
        success:function(data){
            loadTable5Table(data);
            initTable5(data,'client');
        },
        error:function(data){
            console.log('查询出错了')
        }
    })
    //赋值任务详情标题 姓名:住院号:住院次数: 出院日期:
    $("#workTitle").text("");
    var workTitle = "姓名:"+$("#nameLab").text()+";住院号:"+$("#inLab").text()+";住院次数:"+$("#inTimeLab").text()+";出院日期:"+$("#inDateLab1").text()+";";
    $("#workTitle").text(workTitle);
})
//初始化选择框
function loadTable5Table(rows){
    //初始化条件选择框
    if(rows != null && rows != ''){
        var sysFlagMap = new Map();
        var statusFlagMap = new Map();
        var assortIdMap = new Map();
        for (var i = 0; i < rows.length; i++) {
            var sysFlag = rows[i].sysflag;
            if(sysFlag != null){
                sysFlagMap.set(sysFlag,rows[i].sysFlagStr);
            }
            var statusflag = rows[i].statusflag;
            if(statusflag != null){
                statusFlagMap.set(statusflag,rows[i].statusFlagStr);
            }
            var assortId = rows[i].assortId;
            if(assortId != null){
                assortIdMap.set(assortId,rows[i].assortName);
            }
        }
        //加载来源选择框
        if(sysFlagMap != null){
            var html = "<option value=''>请选择来源</option>";
            $("#sysflag").empty();
            sysFlagMap.forEach(function(value,key){
                html += '<option value="'+key+'">'+value+'</option>'
            });
            $("#sysflag").append(html);
        }
        //加载状态选择框
        if(statusFlagMap != null){
            var html = "<option value=''>请选择状态</option>";
            $("#statusflag").empty();
            statusFlagMap.forEach(function(value,key){
                html += '<option value="'+key+'">'+value+'</option>'
            });
            $("#statusflag").append(html);
        }
        //加载分段选择框
        if(assortIdMap != null){
            var html = "<option value=''>请选择分段</option>";
            $("#assortIdSearch").empty();
            assortIdMap.forEach(function(value,key){
                html += '<option value="'+key+'">'+value+'</option>'
            });
            $("#assortIdSearch").append(html);
        }
    }
}
//任务详情
var pageNumber;
function initTable5(data,sidePagination) {
    var option = {};
    $("#table5").bootstrapTable("destroy");
    option = { // 对应table标签的id
        //method: 'POST',
        contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
        //dataField: "data",//这是返回的json数组的key.默认是"rows".这里只有前后端约定好就行
        cache: false, // 设置为ab false 禁用 AJAX 数据缓存， 默认为true
        striped: true,  //表格显示条纹，默认为false
        pagination: true, // 在表格底部显示分页组件，默认false
        paginationShowPageGo: true,
        pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
        smartDisplay: false,
        pageSize: 20, // 页面数据条数
        pageNumber: 1, // 初始化加载第一页，默认第一页
        sidePagination: sidePagination, // 设置为服务器端分页     客户端：client
        search: false,
        //showColumns: true,
        searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
        undefinedText: '---', //当数据为 undefined 时显示的字符
        singleSelect: false,//设置True 将禁止多选
        clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
        height: 560,     //定义表格的高度。
        searchTimeOut: 500,// 默认500  设置搜索超时时间。
        //toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
        paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
        showHeader: true,//是否显示列头。
        trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
        sortable: false,
        queryParams: function (params) {
            var currPageSize = this.pageSize;
            if (currPageSize == 2) {
                currPageSize = 10;
            }
            var limit = null;
            var offset = params.offset;
            //判断是否导出全部all
            if ($("#sel_exportoption").val() == "all") {
                offset = 0;
                limit = this.totalRows;
                this.pageSize = limit;
            } else {
                limit = currPageSize;
                this.pageSize = currPageSize;
            }
            var temp = {
                limit: limit,     //页面大小
                offset: offset,   //页码
                jzh: $("#patientId").val(),
                c2: $("#c2").val(),
                statusflag:$("#statusflag").val(),
                sysflag:$("#sysflag").val(),
                assortId:$("#assortIdSearch").val(),
            };
            return temp;
        },
        columns: [
            {
                title: '全选',
                field: 'select',   //复选框
                checkbox: true,
                width: 25,
                align: 'center',
                hidden: true
            },
            {
                title: "操作",
                align: 'center',
                valign: 'middle',
                width: 120, // 定义列的宽度，单位为像素px
                formatter: function (value, row, index) {
                    var html = '<button type="button" class="btn btn-primary btn-sm editInfo" >同步更新</button>';
                    return html;
                },
                events: {
                    'click .editInfo': function (e, value, row, index) {
                        var ids = row.idTemp;
                        var sysflag = row.sysflag;
                        var sysFlagStr= [];
                        sysFlagStr.push(sysflag);
                        console.log(sysFlagStr)
                        submitUpdate(ids,sysFlagStr);
                    }
                }
            },
            {
                title: '序',
                field: 'id',
                align: 'left',
                visible: false
            },
            {
                title: '标题',
                field: 'c2',
                align: 'left',
                valign: 'middle',
                formatter: function (value, row, index) {
                    var sysFlag = row.sysflag;
                    if(null != sysFlag && sysFlag == 8){
                        return '长临医嘱';
                    }else{
                        return value;
                    }
                }
            },
            {
                title: '最近更新',
                field: 'sysupdatetimeStr',
                align: 'center',
                valign: 'middle',
                sortable: true,
            },
            {
                title: '同步时间',
                field: 'sysupdatetimeStr',
                align: 'center',
                valign: 'middle',
                sortable: true,
                formatter: function (value, row, index) {
                    return operDisTime(value);
                }
            },
            {
                title: '状态',
                field: 'statusflag',
                align: 'center',
                valign: 'middle',
                formatter: function (value, row, index) {
                    if(value != null){
                        if (row.statusflag == 3) {
                            value='完成';
                            return value;
                        }
                        if (row.statusflag == 2) {
                            value='正采';
                            return value;
                        }
                        var color = '';
                        if(row.statusflag == 0){
                            value='未开始';
                            color = selectTimeColor(row.tempTime,row.etimeStr);
                        }
                        return '<span style="color:'+color+'">'+value+'</span>';
                    }else{
                        return value;
                    }
                }
            },
            // {
            //     title: '分段',
            //     field: 'assortName',
            //     align: 'center',
            //     valign: 'middle'
            // },
            {
                title: '备注',
                field: 'presult',
                align: 'left',
                valign: 'middle'
            },
            {
                title: '来源',
                field: 'sysFlagStr',
                align: 'center',
                valign: 'middle',
                sortable: true
            },
            {
                title: '开始时间',
                field: 'stimeStr',
                align: 'center',
                valign: 'middle',
                sortable: true,
                formatter: function (value, row, index) {
                    return operDisTime(value);
                }
            },
            {
                title: '结束时间',
                field: 'etimeStr',
                align: 'center',
                valign: 'middle',
                sortable: true,
                formatter: function (value, row, index) {
                    return operDisTime(value);
                }
            }
        ],
        //监听分页点击事件
        onPageChange: function(num, type) {
            pageNumber = num;
        },
    };
    if(data == ''){
        option.url = path+"/archiveExt/getArchiveExtInfo";
    }else{
        option.data = data;

    }
    $("#table5").bootstrapTable(option);
}
//对比结束时间方法
/**
 * @param createTime 开始真实的时间
 * @param etimeStr 最后更新的时间
 * @param type 区别，type=1显示time值，type=2显示最新更新的时间
 * @returns {*}
 */
function selectTimeColor(createTime,etimeStr){
    var color = 'red';
    if(etimeStr != null && etimeStr > createTime){
        color = 'green';
    }
    return color;
}
//定义刷新开始计时到超时时间为10分钟
var timeOut = 10 * 60 * 1000;
//定义查询间隔时间默认10秒
var intervalTime = 10 * 1000;
//定义倒计时刷新秒数默认5秒
var times = 5;
//定义护理倒计时刷新秒数默认900秒(15分钟)
var nurseTimes = 5;
$("#loading").css("background","url("+path+"/static/img/load.gif) no-repeat 10px 50%");
//同步更新
var timeInterval;
//定义需要监听采集成功与否的otherId集合
var otherExtIds = '';
//记录需要监听的数据
function addListentingData(ids){
    //添加不重复的id
    if(ids != ''){
        if(otherExtIds != ''){
            var otherExtIdsArr = otherExtIds.split(",");
            var idsArr = ids.split(",");
            for (var i = 0; i < idsArr.length; i++) {
                //定义是否存在
                var existIdFlag = false;
                for (var j = 0; j < otherExtIdsArr.length; j++) {
                    if(idsArr[i] != '' && otherExtIdsArr[j] != ''){
                        if(idsArr[i] == otherExtIdsArr[j]){
                            existIdFlag = true;
                            break;
                        }
                    }
                }
                //存在则添加
                if(!existIdFlag){
                    otherExtIds += ',' + idsArr[i];
                }
            }
        }else{
            otherExtIds = ids;
        }
    }
}

//撤销监听
function cancleListentingSuccess(){
    //隐藏加载控件
    $("#loading").hide();
    clearInterval(timeInterval);
    otherExtIds = '';
}

//提交同步采集
function submitUpdate(ids,sysFlagStr) {
    //记录需要监听的数据
    //addListentingData(ids);
    //撤销定时
    clearInterval(timeInterval);
    var jzh = $("#patientId").val();
    var consumeTime = '';
    var consumeTImeSum =  0;
    $.ajax({
        type:'post',
        url:path+'/archiveExt/submitUpdate1',
        data:{ids:ids},
        dataType:'json',
        success:function (data) {
            if(data.code == 100){
                for (let i = 0; i < sysFlagStr.length; i++){
                    switch(sysFlagStr[i]) {
                        case 1://移动护理系统采集服务
                            consumeTime = 1
                            break
                        case 2://LIS系统采集服务
                            consumeTime =1
                            break
                        case 3://PACS系统采集服务
                            consumeTime =1
                            break
                        case 4://心电系统采集服务
                            consumeTime =1
                            break
                        case 5://手麻系统采集服务
                            consumeTime =2
                            break
                        case 6:
                            consumeTime =1
                            break
                        case 7://电子病理系统采集服务—首页
                            consumeTime =3
                            break
                        case 8://电子病理系统采集服务—长临遗嘱
                            consumeTime =1
                            break
                        case 9://广东省病案上报统计系统采集服务
                            consumeTime =2
                            break
                        case 10://输血系统采集服务
                            consumeTime =1
                            break
                        case 11://神康心理检测报告采集服务
                            consumeTime =1
                            break
                        case 12://心里测量报告采集器服务
                            consumeTime =2
                            break
                        case 13:
                            consumeTime =1
                            break
                        case 14:
                            consumeTime =1
                            break
                        case 15://电子病理系统采集服务—嘉禾美康
                            consumeTime =1
                            break
                        case 16:
                            consumeTime =1
                            break
                    }
                    consumeTImeSum +=consumeTime
                }

                // toastr.success("同步更新已发送,预计"+consumeTImeSum+"分钟请耐心等待!");
                //刷新列表
                initTable5('','server');
                setTimeout(function() {
                    $('#table5').bootstrapTable('selectPage', pageNumber);
                },500);
                $("#loading").show();
                timeInterval = setInterval(function () {
                    //其他
                    $.ajax({
                        type: 'get',
                        url: path + '/archiveExt/selectAllByIdsAndSubmitTime1',
                        data: {ids: ids},
                        dataType: 'json',
                        async:false,
                        success: function (result) {
                            if (result == 1) {
                                    //撤销监听
                                    clearInterval(timeInterval);
                                    //执行业务
                                    setTimeout(function(){
                                        toastr.success("按需采集全部完成,页面将在" + times + "秒后自动刷新");
                                        //刷新列表
                                        initTable5('','server');
                                        setTimeout(function() {
                                            $('#table5').bootstrapTable('selectPage', pageNumber);
                                        },500);
                                        //撤销监听
                                        cancleListentingSuccess();
                                    },times*1000);
                            }
                        }
                    })
                    /*setTimeout(function(){
                        toastr.error("后台按需采集超时,请联系系统运维人员");
                        //隐藏加载控件
                        $("#loading").hide();
                    },timeOut);*/
                },intervalTime);
            }else{
                toastr.error(data.msg);
            }
        }
    })
}
//批量更新
$("#searchBtn6").click(function(){
    var data =$("#table5").bootstrapTable('getSelections');
    if(data.length == 0){
        toastr.warning("请至少选中一个!");
    }else{
        var ids = '';
        var  sysFlagArray=[];
        for (var i = 0; i < data.length; i++) {

            sysFlagArray.push(data[i].sysflag);
            if(ids!=''){
                ids += ",";
            }
            ids += data[i].idTemp;
        }
        console.log("1"+sysFlagArray)
        sysFlagArray=unique(sysFlagArray);
        console.log("2"+sysFlagArray)
        submitUpdate(ids,sysFlagArray);
    }
})
function unique (arr) {

    return Array.from(new Set(arr))
    // for (var i = 0; i < sysFlagStrsss.length; i++) {
    //
    //     sysFlagStrss +=sysFlagStrsss[i]
    //     if(i !=sysFlagStrss.length-1){
    //         sysFlagStrss += ",";
    //     }
    // }


}
