var tipLoad = 0;
var url = path + '/statistics/recordStatistics/';
//定义表格内容最大高度
var maxHeight = 0;
$(function(){
    //加载科室内主管医生列表
    loadOverTimeDoctorInCharge();
    //加载科室
    getDeptStatistics();
    //赋值审核角色
    getChecker();
    //加载病案统计
    selectOvertimeCount();
})

//加载科室内主管医生列表
function loadOverTimeDoctorInCharge(){
    $.ajax({
        type:'get',
        url:path+'/beHosp/loadOverTimeDoctorInCharge',
        success:function(data){
            $("#doctorInCharge").empty();
            if(data.code == 100){
                var html = '';
                var list = data.extend.list;
                if(list != null && list != ''){
                    for (var i = 0; i < list.length; i++) {
                        var name = list[i].doctorInCharge;
                        var py = makePy(name);
                        var pingyin = ConvertPinyin(name);
                        html += '<option data-tokens="' + name + '|' + py[0] + '|' + pingyin + '" value="' + name + '">' + name + '</option>';
                    }
                }
                $("#doctorInCharge").append(html);
            }
            $(".selectpicker").selectpicker('refresh');
        }
    })
}
//加载病案统计
function selectOvertimeCount(){
    $.ajax({
        type:'get',
        url:path+'/record/selectOvertimeCount',
        dataType:'json',
        async:false,
        data:{
            startDate: $("#startTime1").val(),
            endDate: $("#endTime1").val(),
            deptName:getDeptName(),
            flag:2,
            doctorInCharge:getSelecteds("doctorInCharge"),
            infoId: $("#infoId").val()
        },
        success:function(data){
            if(data.code == 100){
                var record = data.extend.record;
                var allCount = record.allCount;
                if(allCount != null) {
                    $("#allCount").text(allCount);
                    setSubmitPercent('count1Percent', record.count1Percent);
                    setSubmitPercent('count2Percent', record.count2Percent);
                    setSubmitPercent('count3Percent', record.count3Percent);
                    setSubmitPercent('count4Percent', record.count4Percent);
                    setSubmitPercent('count5Percent', record.count5Percent);
                    setSubmitPercent('count6Percent', record.count6Percent);
                    setSubmitPercent('count7Percent', record.count7Percent);
                }else{
                    $("#allCount").text(0);
                    setSubmitPercent('count1Percent', '0%');
                    setSubmitPercent('count2Percent', '0%');
                    setSubmitPercent('count3Percent', '0%');
                    setSubmitPercent('count4Percent', '0%');
                    setSubmitPercent('count5Percent', '0%');
                    setSubmitPercent('count6Percent', '0%');
                    setSubmitPercent('count7Percent', '0%');
                }
            }else{
                toastr.error(data.msg);
            }
        }
    })
}
//组织提交率并判断颜色
function setSubmitPercent(pId,value){
    $("#"+pId).text(value);
    var countPercentTemp = value.substring(0,value.length-1);
    var color = '';
    if(countPercentTemp >= 80){
        //颜色呈绿色
        color = "green";
    }else{
        //颜色呈红色
        color = "red";
    }
    $("#"+pId).css("color",color);
}
//出院时段触发查询
function loadTableByTime(value,startDateId,endDateId,tableId){
    //填空出院日期搜索框并立即查询
    //开始日期id
    var startDateDocument = $("#"+startDateId);
    //结束日期id
    var endDateDocument = $("#"+endDateId);
    switch (value) {
        case '':
            //不限
            startDateDocument.val("");
            break;
        case '1':
            //3天内
            //开始日期为3天前getHisDay
            startDateDocument.val(getHisDay(3));
            break;
        case '2':
            //7天内
            //开始日期为7天前getHisDay
            startDateDocument.val(getHisDay(7));
            break;
        case '3':
            //1个月内
            //开始日期为1个月前
            startDateDocument.val(getPreMonthToday());
            break;
        case '4':
            //3个月内
            //开始日期为6个月前
            startDateDocument.val(getPreMonthDay(getNowDay(),3));
            break;
    }
    if(value != ''){
        //非不限结束日期均为今天
        //结束时间为今天
        endDateDocument.val(getNowDay());
    }else{
        //结束时间为今天
        endDateDocument.val("");
    }
    $("#"+tableId).bootstrapTable("refreshOptions", {pageNumber: 1});
    //加载病案统计
    selectOvertimeCount();
}
//加载科室
function getDeptStatistics() {
    //获取科室列表
    $.ajax({
        url: path+"/inHosp/getDept",
        type: "POST",
        data: {effective: 1, typecode: "dept_code"},
        success: function (result) {
            if (result != null) {
                var html = '';
                for (var i = 0; i < result.length; i++) {
                    //定义是否包含默认需要选中的
                    var name = result[i].name;
                    var py = makePy(name);
                    var pingyin = ConvertPinyin(name);
                    html += '<option data-tokens="' + name + '|' + py[0] + '|' + pingyin + '" value="' + result[i].code + '">' + name + '</option>';
                }
                $("#deptName").append(html);
                $("#deptAdmissionTo").append(html);
            }
            $(".selectpicker").selectpicker('refresh'); //
        }
    });
}
//第一层，查全部
function initTable() {
    $("#table").bootstrapTable({ // 对应table标签的id
        url: path+"/record/getSubmitRecordList", // 获取表格数据的url
        sidePagination: 'server', // 设置为服务器端分页     客户端：client
        cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
        striped: true,  //表格显示条纹，默认为false
        pagination: true, // 在表格底部显示分页组件，默认false
        paginationShowPageGo: true,
        pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
        toolbar: '#toolbar',//指定工具栏
        searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
        detailView:true,//是否可展开
        undefinedText: '--', //当数据为 undefined 时显示的字符
        singleSelect: false,//设置True 将禁止多选
        clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
        searchTimeOut: 500,// 默认500  设置搜索超时时间。
        showHeader: true,//是否显示列头。
        height:550,
        //是否显示导出按钮
        queryParams: function (params) {
            return queryParams(params,this,'');
        },
        columns:[
            [{
                title: '科室名称',
                field: 'deptNameCn',
                align: 'center'
            },
            {
                title: '超期份数',
                field: 'count',
                align: 'center'

            },
            {
                title: '医生未提交',
                field: 'unDoctorSubmitCount',
                align: 'center'
            },
            {
                title: '医生质控员未提交',
                field: 'unDoctorCheckCount',
                align: 'center'
            },
            {
                title: '科主任未提交',
                field: 'unDirectorCheckCount',
                align: 'center'
            },
            {
                title: '护士未提交',
                field: 'unNurseSubmitCount',
                align: 'center'
            },
            {
                title: '护士质控员未提交',
                field: 'unNurseCheckCount',
                align: 'center'
            },
            {
                title: '护士长未提交',
                field: 'unHeadNurseCount',
                align: 'center'
            },
            {
                title: '病案室未提交',
                field: 'unRecordRoomCount',
                align: 'center'
            },
        ]],
        onLoadSuccess: function (result) {
            $(".page-list").show();
        },
        //展开详情事件
        onExpandRow: function (index, row, $detail) {//點擊datagrid 展開按鈕事件
            var tableId = "table1_" + row.deptName;
            var html = '<div id="tableDiv1">\n' +
                '        <table id="'+tableId+'" class="table text-nowrap"></table>\n' +
                '    </div>';
            $detail.html(html);
            var table1Data = getTable1Data(row);
            initTable1(table1Data,tableId);
        }
    });
}

//各表格查询条件
function queryParams(params,_this,deptName){
    var currPageSize = _this.pageSize;
    if (currPageSize == 2) {
        currPageSize = 10;
    }
    var limit = null;
    var offset = params.offset;
    //判断是否导出全部all
    if ($("#sel_exportoption").val() == "all") {
        offset = 0;
        limit = _this.totalRows;
        _this.pageSize = limit;
    } else {
        limit = currPageSize;
        _this.pageSize = currPageSize;
    }
    if(deptName == ''){
        deptName = getDeptName();
    }
    var temp = {
        offset:offset,
        limit:limit,
        startDate: $("#startTime1").val(),
        endDate: $("#endTime1").val(),
        deptName:deptName,
        flag:2,
        doctorInCharge:getSelecteds("doctorInCharge"),
        infoId:$("#infoId").val()
    };
    return temp;
}

//查询按钮
$('#searchBtnStatistics').click(function () {
    //查询之后重新从第一页算起
    selectOvertimeCount();
    $("#table").bootstrapTable("refreshOptions", {pageNumber: 1});
});
//键盘回车查询
$(document).keyup(function(event){
    if(event.keyCode ==13){
        $("#searchBtnStatistics").trigger("click");
    }
});
//导出excel功能
$("#excelBtn").click(function () {
    var startDate = $("#startTime1").val();
    var endDate = $("#endTime1").val();
    var url = path+"/record/exportExcelDeptOverTime";
    post(url,{
        "deptName":getDeptName(),
        "startDate":startDate,
        "endDate":endDate,
        "flag":2,
        "doctorInCharge":getSelecteds("doctorInCharge"),
        "info":$("#infoId").val()
    });
});