var tipLoad = 0;
var url = path + '/statistics/recordStatistics/';
//定义表格内容最大高度
var maxHeight = 0;
$(function(){
    //加载科室
    getDeptStatistics();
    initTable();
})

//出院时段触发查询
function loadTableByTime(value,startDateId,endDateId,tableId){
    //填空出院日期搜索框并立即查询
    //开始日期id
    var startDateDocument = $("#"+startDateId);
    //结束日期id
    var endDateDocument = $("#"+endDateId);
    switch (value) {
        case '':
            //不限
            startDateDocument.val("");
            break;
        case '1':
            //3天内
            //开始日期为3天前getHisDay
            startDateDocument.val(getHisDay(3));
            break;
        case '2':
            //7天内
            //开始日期为7天前getHisDay
            startDateDocument.val(getHisDay(7));
            break;
        case '3':
            //1个月内
            //开始日期为1个月前
            startDateDocument.val(getPreMonthToday());
            break;
        case '4':
            //3个月内
            //开始日期为6个月前
            startDateDocument.val(getPreMonthDay(getNowDay(),3));
            break;
    }
    if(value != ''){
        //非不限结束日期均为今天
        //结束时间为今天
        endDateDocument.val(getNowDay());
    }else{
        //结束时间为今天
        endDateDocument.val("");
    }
    $("#"+tableId).bootstrapTable("refreshOptions", {pageNumber: 1});
}
//加载科室
function getDeptStatistics() {
    //获取科室列表
    $.ajax({
        url: path+"/inHosp/getDept",
        type: "POST",
        data: {effective: 1, typecode: "dept_code"},
        async:false,
        success: function (result) {
            if (result != null) {
                var html = '';
                for (var i = 0; i < result.length; i++) {
                    //定义是否包含默认需要选中的
                    var name = result[i].name;
                    var py = makePy(name);
                    var pingyin = ConvertPinyin(name);
                    html += '<option data-tokens="' + name + '|' + py[0] + '|' + pingyin + '" value="' + result[i].code + '">' + name + '</option>';
                }
                $("#deptName").append(html);
                $("#deptAdmissionTo").append(html);
            }
            $(".selectpicker").selectpicker('refresh'); //
        }
    });
}

//格式化百分比
function formatPercent(value){
    if(value != null){
        value = value.substring(0,value.length-1);
        var color = '';
        if(value >= 80){
            color = 'green';
        }else{
            color = 'red';
        }
        return '<span style="color:'+color+'">'+value+'%</span>';
    }else{
        return value;
    }
}
//按日期分组查
function initTable() {
    $("#table").bootstrapTable({ // 对应table标签的id
        url: path + "/record/getSignedRecordList", // 获取表格数据的url
        cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
        striped: true,  //表格显示条纹，默认为false
        pagination: true, // 在表格底部显示分页组件，默认false
        paginationShowPageGo: true,
        pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
        sidePagination: 'server', // 设置为服务器端分页     客户端：client
        searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
        undefinedText: '--', //当数据为 undefined 时显示的字符
        singleSelect: false,//设置True 将禁止多选
        clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
        paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
        height:514,
        searchTimeOut: 500,// 默认500  设置搜索超时时间。
        showHeader: true,//是否显示列头。
        //查询条件
        queryParams: function (params) {
            return queryParams(params,this,'');
        },
        columns: [
            {
                title: '序号',
                align: 'center',
                formatter: function (value, row, index) {
                    return index + 1;
                }
            },
            {
                title: '出院日期',
                field: 'disDate',
                align: 'center'
            },
            {
                title: '出院科室',
                field: 'deptNameCn',
                align: 'center'
            },
            {
                title: '出院人数',
                field: 'allCount',
                align: 'center'
            },
            {
                title: '采集完整',
                field: 'count3',
                align: 'center'
            },
            {
                title: '已提交',
                field: 'count1',
                align: 'center'
            },
            {
                title: '已归档',
                field: 'count2',
                align: 'center'
            },
            {
                title: '完整率',
                field: 'count3Percent',
                align: 'center',
                formatter: function (value, row, index) {
                    return formatPercent(value);
                }
            },
            {
                title: '提交率',
                field: 'count1Percent',
                align: 'center',
                formatter: function (value, row, index) {
                    return formatPercent(value);
                }
            },
            {
                title: '归档率',
                field: 'count2Percent',
                align: 'center',
                formatter: function (value, row, index) {
                    return formatPercent(value);
                }
            }
        ],
        onLoadSuccess: function (result) {  //加载成功时执行
            $(".page-list").show();
        }
    });
}
//各表格查询条件
function queryParams(params,_this,deptName){
    var currPageSize = _this.pageSize;
    if (currPageSize == 2) {
        currPageSize = 10;
    }
    var limit = null;
    var offset = params.offset;
    //判断是否导出全部all
    if ($("#sel_exportoption").val() == "all") {
        offset = 0;
        limit = _this.totalRows;
        _this.pageSize = limit;
    } else {
        limit = currPageSize;
        _this.pageSize = currPageSize;
    }
    if(deptName == ''){
        //deptName = getDeptName();
        deptName = $("#deptName").val();
    }
    var dateFlag = $("#dateFlag").val();
    var startDate = getStartOrEndDate(dateFlag,"startTime");
    var endDate = getStartOrEndDate(dateFlag,"endTime");
    var temp = {
        offset:offset,
        limit:limit,
        startDate: startDate,
        endDate: endDate,
        deptName:deptName,
        dateFlag:dateFlag
    };
    return temp;
}
//查询按钮
$('#searchBtnStatistics').click(function () {
    //查询之后重新从第一页算起
    $("#table").bootstrapTable("refreshOptions", {pageNumber: 1});
});
//键盘回车查询
$(document).keyup(function(event){
    if(event.keyCode ==13){
        $("#searchBtnStatistics").trigger("click");
    }
});
//导出excel功能
$("#excelBtn").click(function () {
    var dateFlag = $("#dateFlag").val();
    var deptName = $("#deptName").val();
    var startDate = getStartOrEndDate(dateFlag,"startTime");
    var endDate = getStartOrEndDate(dateFlag,"endTime");
    var url = path+"/record/exportExcelSigned";
    post(url,{
        "deptName":deptName,
        "startDate":startDate,
        "endDate":endDate,
        "dateFlag":dateFlag
    });
});