package com.emr;

import com.emr.dao.Archive_MasterMapper;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.w3c.dom.Document;

import javax.xml.namespace.QName;
import javax.xml.soap.*;
import javax.xml.ws.Dispatch;
import javax.xml.ws.Service;
import java.net.URL;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;


@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations={"classpath:config/applicationContext.xml"})
public class MapperTest {
	
	@Autowired
	Archive_MasterMapper archive_MasterMapper;

	/**
	 * 测试mapper
	 */
	@Test
	public void testCRUD() throws Exception{
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
		String date = "2020-11-17";
		String date1 = "2020-11-17";
		Date parse = sdf.parse(date);
		Date parse1 = sdf.parse(date1);
		System.out.println(parse.getTime() >= parse1.getTime());
	}
	private String userName;
	private String password;

	private static String ns = "http://tempuri.org/";
	private static String wsdlUrl = "http://localhost:55556/AppEngine2?wsdl";
	public String getProject(String userName, String password) {
		this.userName = userName;
		this.password = password;
		try {
			Map<String, String> args = new HashMap<>();
			String result = invoke("GetNewID", null);
			return result;
		} catch (Exception e) {
			return null;
		}
	}
	private SOAPMessage createSoapMessage(String userName, String password, String serviceName, Map<String, ?> args) {
		try {
			// 创建消息工厂
			MessageFactory factory = MessageFactory.newInstance(SOAPConstants.SOAP_1_2_PROTOCOL);
			// 根据消息工厂创建SoapMessage
			SOAPMessage message = factory.createMessage();
			// 创建SOAPPart
			SOAPPart part = message.getSOAPPart();

			// 获取SOAPEnvelope
			SOAPEnvelope envelope = part.getEnvelope();
			// 通过SoapEnvelope可以获取到相应的Body和Header等信息
			SOAPHeader header = envelope.getHeader();
			// 根据Qname创建相应的节点,Qname是一个带有命名空间的节点
			QName securityContext = new QName(ns, "SecurityContext");
			SOAPHeaderElement headerElement = header.addHeaderElement(securityContext);
			headerElement.addChildElement("UserName").setValue(userName);
			headerElement.addChildElement("Password").setValue(password);

			SOAPBody body = envelope.getBody();
			QName function = new QName(ns, serviceName);
			SOAPBodyElement bodyElement = body.addBodyElement(function);
			for (String argName : args.keySet()) {
				bodyElement.addChildElement(argName).setValue(args.get(argName).toString());
			}

			message.setProperty("SOAPAction", ns + serviceName);

			message.saveChanges();

			return message;
		} catch (Exception e) {
			e.printStackTrace();
			return null;
		}
	}

	private String invoke(String serviceName, Map<String, ?> args) {
		try {
			// 创建服务service
			URL url = new URL(wsdlUrl);
			QName sname = new QName(ns, "GetNewID");
			Service service = Service.create(url, sname);

			//创建DIspatch
			Dispatch<SOAPMessage> dispatch = service.createDispatch(new QName(ns, "ServiceSoap12"),
					SOAPMessage.class, Service.Mode.MESSAGE);

			//创建SOAPMessage
			SOAPMessage msg = createSoapMessage(this.userName, this.password, serviceName, args);

			//通过Dispatch传递消息,会返回相应消息
			SOAPMessage response = dispatch.invoke(msg);

			//将相应的消息转换为doc对象
			Document doc = response.getSOAPPart().getEnvelope().getBody().extractContentAsDocument();
			String str = doc.getElementsByTagName(serviceName + "Response").item(0).getTextContent();
			return str;

		} catch (Exception e) {
			e.printStackTrace();
			return null;
		}
	}
}
